2011-03-07  Chong Yidong  <cyd@stupidchicken.com>

	* Version 23.3 released.

2011-02-25  Glenn Morris  <rgm@gnu.org>

	* variables.texi (Directory Local Variables): Mention the optional
	mtime argument of dir-locals-set-directory-class.  (Bug#3577)

2011-02-18  Eli Zaretskii  <eliz@gnu.org>

	* elisp.texi: Sync @dircategory with ../../info/dir.

	* files.texi (Visiting Functions): Document find-file-literally,
	both the command and the variable.

	* variables.texi (Creating Buffer-Local): Explain the meaning of
	permanent local variables.

2011-02-18  Glenn Morris  <rgm@gnu.org>

	* keymaps.texi (Remapping Commands): Mention how to undo it.

2011-02-05  Chong Yidong  <cyd@stupidchicken.com>

	* commands.texi (Accessing Mouse): Note that a header line is not
	included in the row of posn-col-row.

2011-01-28  Chong Yidong  <cyd@stupidchicken.com>

	* vol1.texi (Top):
	* vol2.texi (Top):
	* elisp.texi (Top):
	* display.texi (Display Property): Shorten the menu description of
	the "Other Display Specs" node (Bug#7816).

	* keymaps.texi (Defining Menus): Add "menu item" and "extended
	menu item" concept index entries (Bug#7805).

2011-01-23  Chong Yidong  <cyd@stupidchicken.com>
            Richard Kim  <emacs18@gmail.com>

	* loading.texi (Library Search): Document list-load-path-shadows
	(Bug#7757).

2011-01-23  Chong Yidong  <cyd@stupidchicken.com>

	* searching.texi (Regexp Special): Remove outdated discussion of
	character sets (Bug#7780).

2011-01-22  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Pop-Up Menus): Document where menu title comes
	from (Bug#7684).

2011-01-22  Glenn Morris  <rgm@gnu.org>

	* display.texi (Making Buttons): Mention limitation of text buttons.

2011-01-08  Chong Yidong  <cyd@stupidchicken.com>

	* files.texi (Directory Names): Move directory-abbrev-alist doc to
	Emacs manual.

2011-01-07  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (Directory Names): Explain why FROM in
	directory-abbrev-alist should begin with \`.  (Bug#7777)

2010-12-25  Eli Zaretskii  <eliz@gnu.org>

	* modes.texi (Emulating Mode Line): Fix last change.

2010-12-18  Eli Zaretskii  <eliz@gnu.org>

	* modes.texi (Emulating Mode Line): Update documentation of
	format-mode-line according to changes that fixed bug #7587.

2010-12-11  Eli Zaretskii  <eliz@gnu.org>

	* processes.texi (Shell Arguments):
	* strings.texi (Creating Strings): Don't mention "shell commands";
	make it explicit that `split-string-and-unquote' and
	`combine-and-quote-strings' are mainly for working with arguments
	to call-process and start-process.

	* processes.texi (Shell Arguments): Fix documentation of
	`split-string-and-unquote'.  Add indexing.  (Bug#7563)

2010-12-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* modes.texi (Auto-Indentation): New section to document SMIE.
	(Major Mode Conventions):
	* text.texi (Mode-Specific Indent): Refer to it.

2010-12-04  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Other Display Specs): Document left-fringe and
	right-fringe display specs.

2010-12-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* backups.texi (Making Backups):
	* modes.texi (Example Major Modes): Use recommended coding style.
	(Major Mode Basics, Derived Modes): Encourge more strongly use of
	define-derived-mode.  Mention completion-at-point-functions.

2010-11-21  Chong Yidong  <cyd@stupidchicken.com>

	* nonascii.texi (Converting Representations):
	Document byte-to-string.

	* strings.texi (Creating Strings): Don't mention semi-obsolete
	function char-to-string.
	(String Conversion): Shorten discussion of semi-obsolete function
	string-to-char.  Link to Converting Representations.

	* objects.texi (Symbol Type):
	* text.texi (Near Point):
	* help.texi (Help Functions):
	* functions.texi (Mapping Functions): Use string instead of
	char-to-string in examples.

2010-11-20  Chong Yidong  <cyd@stupidchicken.com>

	* text.texi (Kill Functions, Kill Functions)
	(Low-Level Kill Ring, Low-Level Kill Ring): Remove obsolete
	YANK-HANDLER args.

	* symbols.texi (Creating Symbols): Using unintern without an
	obarray arg is now obsolete.

	* numbers.texi (Float Basics): Document float-e and float-pi.

	* variables.texi (Defining Variables): Change "pi" example to
	"float-pi".

2010-11-12  Eli Zaretskii  <eliz@gnu.org>

	* customize.texi (Composite Types): Lower-case index entry.

	* loading.texi (How Programs Do Loading):
	Document load-file-name.  (Bug#7346)

2010-11-10  Glenn Morris  <rgm@gnu.org>

	* text.texi (Kill Functions, Low-Level Kill Ring): Small fixes.

2010-10-27  Glenn Morris  <rgm@gnu.org>

	* maps.texi (Standard Keymaps): Update File menu description.

2010-10-22  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Window Systems): Deprecate use of window-system as
	a predicate.

2010-09-05  Alexander Klimov  <alserkli@inbox.ru>  (tiny change)

	* files.texi (Directory Names): Use \` rather than ^.

2010-08-22  Chong Yidong  <cyd@stupidchicken.com>

	* modes.texi (Defining Minor Modes): Doc fix (Bug#6880).

2010-08-19  Chong Yidong  <cyd@stupidchicken.com>

	* objects.texi (Bool-Vector Type): Minor definition tweak (Bug#6878).

2010-08-02  Christoph  <cschol2112@googlemail.com>

	* control.texi (Handling Errors) <error-message-string>: Fix arg name.

2010-07-29  Juanma Barranquero  <lekktu@gmail.com>

	* modes.texi (Defining Minor Modes): Use C-backspace, not C-delete.
	Suggested by Štěpán Němec <stepnem@gmail.com>.

2010-07-28  Juanma Barranquero  <lekktu@gmail.com>

	* minibuf.texi (High-Level Completion): Document args of
	`read-buffer-function' (bug#5625).

2010-07-27  Juanma Barranquero  <lekktu@gmail.com>

	* modes.texi (Defining Minor Modes): Use C-delete in examples,
	instead of "\C-\^?" (bug#6334).

2010-07-21  Juanma Barranquero  <lekktu@gmail.com>

	* text.texi (Special Properties): Fix typo.

2010-06-24  Chong Yidong  <cyd@stupidchicken.com>

	* text.texi (Undo): Clarify command loop behavior (Bug#2433).

	* commands.texi (Command Overview): Mention undo-boundary call.

2010-06-23  Glenn Morris  <rgm@gnu.org>

	* abbrevs.texi, commands.texi, compile.texi, debugging.texi:
	* display.texi, edebug.texi, elisp.texi, eval.texi, files.texi:
	* frames.texi, functions.texi, internals.texi, keymaps.texi:
	* loading.texi, minibuf.texi, numbers.texi, os.texi, processes.texi:
	* searching.texi, sequences.texi, strings.texi, syntax.texi:
	* text.texi, tips.texi, vol1.texi, vol2.texi, windows.texi:
	Untabify Texinfo files.

2010-06-20  Chong Yidong  <cyd@stupidchicken.com>

	* modes.texi (Minor Mode Conventions): Fix typo (Bug#6477).

2010-06-19  Chong Yidong  <cyd@stupidchicken.com>

	* errors.texi (Standard Errors): Remove unnecessary markup
	(Bug#6461).

2010-06-02  Chong Yidong  <cyd@stupidchicken.com>

	* searching.texi (Regexp Special): Remove obsolete information
	about matching non-ASCII characters, and suggest using char
	classes (Bug#6283).

2010-05-30  Juanma Barranquero  <lekktu@gmail.com>

	* minibuf.texi (Basic Completion): Add missing "@end defun".

2010-05-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuf.texi (Basic Completion): Document completion-boundaries.
	(Programmed Completion): Document the new fourth method for boundaries.

2010-05-07  Chong Yidong  <cyd@stupidchicken.com>

	* Version 23.2 released.

2010-05-03  Štěpán Němec  <stepnem@gmail.com>  (tiny change)

	* windows.texi (Textual Scrolling):
	* tips.texi (Coding Conventions):
	* minibuf.texi (Minibuffer History):
	* maps.texi (Standard Keymaps):
	* loading.texi (Where Defined):
	* edebug.texi (Instrumenting): Fix typos.

2010-04-25  Chong Yidong  <cyd@stupidchicken.com>

	* keymaps.texi (Menu Bar): Document :advertised-binding property.

	* functions.texi (Obsolete Functions):
	Document set-advertised-calling-convention.

	* minibuf.texi (Basic Completion): Document completion-in-region.
	(Programmed Completion): Document completion-annotate-function.

	* commands.texi (Reading One Event): Document read-key.
	(Distinguish Interactive): Document KIND arg to
	called-interactively-p.  Delete obsolete interactive-p.

	* elisp.texi (Top): Update node description.

2010-04-14  Juri Linkov  <juri@jurta.org>

	Fix @deffn without category.

	* abbrevs.texi (Abbrev Expansion): Replace @deffn with @defun
	for `abbrev-insert'.

	* buffers.texi (Indirect Buffers): Add category `Command'
	to @deffn of `clone-indirect-buffer'.

	* windows.texi (Cyclic Window Ordering): Replace @deffn with @defun
	for `next-window' and `previous-window'.  Add category `Command'
	to @deffn of `pop-to-buffer'.

2010-04-01  Chong Yidong  <cyd@stupidchicken.com>

	* nonascii.texi (Text Representations): Don't mark
	enable-multibyte-characters as a user option.

2010-03-31  Eli Zaretskii  <eliz@gnu.org>

	* control.texi (Handling Errors): How to re-throw a signal caught
	by condition-case.

2010-03-26  Chong Yidong  <cyd@stupidchicken.com>

	* loading.texi (Hooks for Loading): Document after-load-functions.
	Copyedits.

2010-03-24  Arni Magnusson  <arnima@hafro.is>  (tiny change)

	* frames.texi (Cursor Parameters): Fix typo.  (Bug#5760)

2010-03-21  Chong Yidong  <cyd@stupidchicken.com>

	* processes.texi (Network Processes): Document seqpacket type.

2010-03-06  Chong Yidong  <cyd@stupidchicken.com>

	* objects.texi (Integer Type): Take note of the read syntax
	exception for numbers that cannot fit in the integer type.

2010-03-03  Glenn Morris  <rgm@gnu.org>

	* numbers.texi (Integer Basics, Bitwise Operations):
	* objects.texi (Integer Type): Update for integers now being 30-bit.

2010-02-27  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Low-Level Font): Document :otf font-spec property.

2010-02-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* display.texi (Line Height): Avoid obsolete special default variables
	like default-major-mode.

2010-01-28  Alan Mackenzie  <acm@muc.de>

	* display.texi (Auto Faces): Say fontification-functions is called
	whether or not Font Lock is enabled.  Tidy up the wording a bit.

2010-01-17  Chong Yidong  <cyd@stupidchicken.com>

	* elisp.texi: Remove duplicate edition information (Bug#5407).

2010-01-17  Juanma Barranquero  <lekktu@gmail.com>

	* two.el (volume-header-toc-markup): Fix typos in docstring.

2010-01-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	Avoid dubious uses of save-excursions.
	* positions.texi (Excursions): Recommend the use of
	save-current-buffer if applicable.
	* text.texi (Clickable Text): Fix the example code which used
	save-excursion in a naive way which sometimes preserves point and
	sometimes not.
	* variables.texi (Creating Buffer-Local):
	* os.texi (Session Management):
	* display.texi (GIF Images):
	* control.texi (Cleanups): Use (save|with)-current-buffer.

2010-01-02  Eli Zaretskii  <eliz@gnu.org>

	* modes.texi (Example Major Modes): Fix indentation.  (Bug#5195)

2010-01-02  Chong Yidong  <cyd@stupidchicken.com>

	* nonascii.texi (Text Representations, Character Codes)
	(Converting Representations, Explicit Encoding)
	(Translation of Characters): Use hex notation consistently.
	(Character Sets): Fix map-charset-chars doc (Bug#5197).

2010-01-01  Chong Yidong  <cyd@stupidchicken.com>

	* loading.texi (Where Defined): Make it clearer that these are
	loaded files (Bug#5068).

2009-12-29  Chong Yidong  <cyd@stupidchicken.com>

	* minibuf.texi (Completion Styles): Document `initials' style.

2009-12-25  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Resources): Describe inhibit-x-resources.
	(Size Parameters): Copyedit.

	* hash.texi (Creating Hash):
	* objects.texi (Hash Table Type): Document the new hash table
	printed representation.

	* minibuf.texi (Basic Completion): 4th arg to all-completions is
	obsolete.

	* processes.texi (Process Buffers):
	Document process-kill-buffer-query-function.

2009-12-05  Glenn Morris  <rgm@gnu.org>

	* hooks.texi (Standard Hooks): Remove diary-display-hook, replaced by
	diary-display-function, and no longer recommended to be a hook.
	Update for changes in the names of calendar and diary hooks.
	diary-print-entries-hook has changed section.

2009-11-28  Eli Zaretskii  <eliz@gnu.org>

	* text.texi (Special Properties): More accurate description of
	what the `cursor' property does.

2009-11-26  Kevin Ryde  <user42@zip.com.au>

	* commands.texi (Misc Events): vindex mouse-wheel-up-event and
	mouse-wheel-down-event, the closest thing to a definition for them.
	* os.texi (Startup Summary): vindex inhibit-startup-message and
	inhibit-splash-screen.
	(Command-Line Arguments): vindex argv.
	(Suspending Emacs): vindex suspend-tty-functions and
	resume-tty-functions.  Don't want to index every hook, but having
	the programming ones is helpful.

2009-11-14  Chong Yidong  <cyd@stupidchicken.com>

	* commands.texi (Motion Events): Fix typo (Bug#4907).

2009-11-08  Chong Yidong  <cyd@stupidchicken.com>

	* searching.texi (Char Classes): Note that [:upper:] and [:lower:]
	are affected by case-fold-search (Bug#4483).

2009-11-02  Chong Yidong  <cyd@stupidchicken.com>

	* minibuf.texi (Reading File Names): Note that read-file-name may
	use a graphical file dialog.

2009-10-31  Glenn Morris  <rgm@gnu.org>

	* nonascii.texi (User-Chosen Coding Systems): Minor reword.  (Bug#4817)

2009-10-16  Kevin Ryde  <user42@zip.com.au>

	* files.texi (Magic File Names): Add @vindex file-name-handler-alist,
	in particular so `info-lookup-symbol' can find its docs.

2009-10-16  Chong Yidong  <cyd@stupidchicken.com>

	* variables.texi (Constant Variables): Distinguish from defconst
	variables.
	(Defining Variables): Add cindex.

2009-10-15  Chong Yidong  <cyd@stupidchicken.com>

	* os.texi (Time of Day): Clarify that the microsecond part is
	ignored (Bug#4637).

2009-10-11  Glenn Morris  <rgm@gnu.org>

	* frames.texi (Size and Position): Clarify what is included in the frame
	height.  (Bug#4535)

2009-10-10  Glenn Morris  <rgm@gnu.org>

	* windows.texi (Size of Window): The relationship between window and
	frame heights is not so simple.  (Bug#4535)
	Mention window-full-height-p.

2009-10-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* positions.texi (Text Lines): Remove goto-line, since it shouldn't be
	used from Lisp.

2009-10-07  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (Directory Names) <abbreviate-file-name>:
	Document that root home directories are not replaced with "~".

2009-10-06  Eli Zaretskii  <eliz@gnu.org>

	* text.texi (Special Properties): Document the meaning of the
	`cursor' text property whose value is an integer.

2009-10-05  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Magic File Names): Add `copy-directory'.

2009-10-05  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (File Attributes): Fix description of file
	attributes.  (Bug#4638) Update attributes of files.texi example to
	be more representative.

2009-10-05  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Create/Delete Dirs): New command copy-directory.

2009-10-04  Juanma Barranquero  <lekktu@gmail.com>

	* anti.texi (Antinews):
	* macros.texi (Indenting Macros):
	* strings.texi (Creating Strings, Case Conversion):
	Remove duplicate words.

2009-10-01  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Create/Delete Dirs): delete-directory has an
	optional parameter RECURSIVE.

2009-10-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* buffers.texi (Swapping Text): Minor clarification.

2009-10-01  Glenn Morris  <rgm@gnu.org>

	* functions.texi (Declaring Functions): Mention that we also search for
	".m" files in the src/ directory.

2009-09-25  David Engster  <deng@randomsample.de>

	* display.texi (Managing Overlays): Document copy-overlay (Bug#4549).

2009-09-22  Glenn Morris  <rgm@gnu.org>

	* internals.texi (Building Emacs): Mention preloaded-file-list.

2009-09-14  Alan Mackenzie  <acm@muc.de>

	* os.texi (Terminal Output): Put "@code{}" around "stdout".

2009-09-13  Chong Yidong  <cyd@stupidchicken.com>

	* functions.texi (Anonymous Functions): Rearrange discussion,
	giving usage of unquoted lambda forms first.  Mention that
	`function' and `#'' are no longer required (Bug#4290).

2009-09-11  Alan Mackenzie  <acm@muc.de>

	* os.texi (Terminal Output): Document `send-string-to-terminal' in
	batch mode.

2009-09-01  Glenn Morris  <rgm@gnu.org>

	* display.texi (Face Functions): Mention define-obsolete-face-alias.

2009-08-26  Ulrich Mueller  <ulm@gentoo.org>

	* nonascii.texi (Character Codes): Fix typos.

2009-08-25  Michael Albinus  <michael.albinus@gmx.de>

	* processes.texi (Synchronous Processes): New defvar
	process-file-side-effects.

2009-08-25  Glenn Morris  <rgm@gnu.org>

	* display.texi (Fontsets): Fix typo.

	* files.texi (Format Conversion Round-Trip): Mention nil regexp.

2009-08-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* processes.texi (Asynchronous Processes): Adjust arglist of
	start-process-shell-command and start-file-process-shell-command.

2009-08-15  Chong Yidong  <cyd@stupidchicken.com>

	* advice.texi (Argument Access in Advice): Note that argument
	positions are zero-based (Bug#3932).

	* commands.texi (Distinguish Interactive): Minor copyedit.

	* display.texi (Face Attributes): Add xref to Displaying Faces for
	explanation of "underlying face".

	* customize.texi (Common Keywords): Add xref to Loading.

	* loading.texi (How Programs Do Loading): Add xref to Lisp
	Libraries node in the Emacs manual.

2009-08-13  Chong Yidong  <cyd@stupidchicken.com>

	* objects.texi (Meta-Char Syntax): Add xref to Strings of Events.

2009-07-18  Chong Yidong  <cyd@stupidchicken.com>

	* processes.texi (Shell Arguments): Copyedits.

2009-07-18  Glenn Morris  <rgm@gnu.org>

	* loading.texi (Repeated Loading): Fix typo.

2009-07-16  Richard Stallman  <rms@gnu.org>

	* buffers.texi (Swapping Text): Recommend setting
	write-region-annotate-functions and buffer-saved-size.

	* backups.texi (Auto-Saving): Document buffer-saved-size = -2.

2009-07-15  Glenn Morris  <rgm@gnu.org>

	* edebug.texi: Minor re-phrasings throughout.
	(Edebug Execution Modes): Sit-for affects continue mode too.
	(Jumping): Use `forward-sexp' rather than its keybinding.
	(Edebug Misc): Fix Q binding.
	(Edebug Eval): Remove cl version.
	(Printing in Edebug): Clarify print-length etc.
	(Instrumenting Macro Calls): Defopt edebug-eval-macro-args.
	(Specification List): Remove edebug-unwrap findex entry.
	(Specification Examples): defmacro is actually not the same as defun.
	Escape "`" in example.

2009-07-15  Chong Yidong  <cyd@stupidchicken.com>

	* markers.texi (The Mark): Document optional arg to
	deactivate-mark.

2009-07-11  Kevin Ryde  <user42@zip.com.au>

	* hooks.texi (Standard Hooks): Fix cross-references.

	* loading.texi (Named Features): Refer to eval-after-load.

2009-07-11  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (TEXI2PDF): New.
	(elisp.pdf): New target.

	* searching.texi (Regexp Backslash): Fix typo.

	* elisp.texi (Top): Display copyright notice at start of non-TeX.

2009-07-10  Glenn Morris  <rgm@gnu.org>

	* elisp.texi, vol1.texi, vol2.texi: Update @detailmenu.

	* customize.texi (Customization Types):
	* display.texi (Abstract Display):
	* objects.texi (Character Type, String Type):
	Merge in some menu descriptions from elisp.texi.

	* hash.texi (Hash Tables):
	* modes.texi (Multiline Font Lock):
	End menu description with period.

2009-07-09  Glenn Morris  <rgm@gnu.org>

	* back.texi: Don't hard-code texinfo location.

	* two-volume.make (texinfodir): New, with location of texinfo.tex.
	(tex): Add texinfodir to TEXINPUTS.
	(elisp1med-init, elisp2med-init): Use texinfodir.

	* Makefile.in (texinfodir): Rename from usermanualdir, and update.
	(clean): Add two-volume.make intermediate files.

	* elisp.texi, vol1.texi, vol2.texi:
	Use a DATE variable with the publication date, and update it.
	Fix antinews menu description.

	* vol1.texi, vol2.texi: Update VERSION to match elisp.texi.
	Update the detailed node listing to match elisp.texi.

	* README: Update edition to match elisp.texi.

	* objects.texi (General Escape Syntax):
	* nonascii.texi (Character Sets):
	Use consistent case for "Unicode Standard".

	* anti.texi (Antinews):
	* customize.texi (Variable Definitions):
	* functions.texi (Declaring Functions):
	* nonascii.texi (Character Properties):
	* processes.texi (Serial Ports):
	* text.texi (Special Properties):
	* tips.texi (Coding Conventions):
	Minor rearrangements to improve TeX line-filling.

	* commands.texi (Using Interactive): Fix cross-reference.

2009-07-01  Jan Djärv  <jan.h.d@swipnet.se>

	* frames.texi (Management Parameters): Mention sticky.

2009-07-01  Andreas Schwab  <aschwab@redhat.com>

	* help.texi (Help Functions): Fix description of help-buffer and
	help-setup-xref to use @defun instead of @deffn.

2009-07-01  Jan Djärv  <jan.h.d@swipnet.se>

	* frames.texi (Size Parameters): Mention maximized for fullscreen.

2009-06-24  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Window Systems): Add ns to the list.

2009-06-21  Chong Yidong  <cyd@stupidchicken.com>

	* Branch for 23.1.

2009-06-17  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Dedicated Windows): Fix typo.
	(Resizing Windows): Replace @defun by @deffn.

2009-06-17  Glenn Morris  <rgm@gnu.org>

	* variables.texi (Directory Local Variables):
	Update for 2009-04-11 name-change of dir-locals-directory-alist.

2009-06-09  Kenichi Handa  <handa@m17n.org>

	* nonascii.texi (Character Sets): State clearly that FROM and TO
	are codepoints of CHARSET.

2009-06-07  Chong Yidong  <cyd@stupidchicken.com>

	* minibuf.texi (Reading File Names): Fix introductory text.
	Suggested by stan@derbycityprints.com.
	(High-Level Completion): Fix typo.

2009-05-28  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Text Terminal Colors): Multi-tty is already
	implemented, but tty-local colors are not.

2009-05-27  Chong Yidong  <cyd@stupidchicken.com>

	* hooks.texi (Standard Hooks): Remove mention of obsolete
	redisplay-end-trigger-functions.

	* internals.texi (Window Internals): Remove mention of obsolete
	redisplay-end-trigger-functions.

2009-05-21  Martin Rudalics  <rudalics@gmx.at>

	* abbrevs.texi (Abbrev Mode): abbrev-mode is an option.

	* backups.texi (Making Backups): backup-directory-alist and
	make-backup-file-name-function are options.
	(Auto-Saving): auto-save-list-file-prefix is an option.

	* buffers.texi (Killing Buffers): buffer-offer-save is an
	option.

	* display.texi (Refresh Screen): no-redraw-on-reenter is an
	option.
	(Echo Area Customization): echo-keystrokes is an option.
	(Selective Display): selective-display-ellipses is an option.
	(Temporary Displays): temp-buffer-show-function is an option.
	(Face Attributes): underline-minimum-offset and x-bitmap-file-path
	are options.
	(Font Selection): face-font-family-alternatives,
	face-font-selection-order, face-font-registry-alternatives, and
	scalable-fonts-allowed are options.
	(Fringe Indicators): indicate-buffer-boundaries is an option.
	(Fringe Cursors): overflow-newline-into-fringe is an option.
	(Scroll Bars): scroll-bar-mode is an option.

	* eval.texi (Eval): max-lisp-eval-depth is an option.

	* files.texi (Visiting Functions): find-file-hook is an option.
	(Directory Names): directory-abbrev-alist is an option.
	(Unique File Names): temporary-file-directory and
	small-temporary-file-directory are options.

	* frames.texi (Initial Parameters): initial-frame-alist,
	minibuffer-frame-alist and default-frame-alist are options.
	(Cursor Parameters): blink-cursor-alist and
	cursor-in-non-selected-windows ar options.
	(Window System Selections): selection-coding-system is an
	option.
	(Display Feature Testing): display-mm-dimensions-alist is an
	option.

	* help.texi (Help Functions): help-char and help-event-list are
	options.

	* keymaps.texi (Functions for Key Lookup): meta-prefix-char is
	an option.

	* minibuf.texi (Minibuffer History): history-length and
	history-delete-duplicates are options.
	(High-Level Completion): read-buffer-function and
	read-buffer-completion-ignore-case are options.
	(Reading File Names): read-file-name-completion-ignore-case is
	an option.

	* modes.texi (Mode Line Top): mode-line-format is an option.
	(Mode Line Variables): mode-line-position and mode-line-modes
	are options.

	* nonascii.texi (Text Representations):
	enable-multibyte-characters is an option.
	(Default Coding Systems): auto-coding-regexp-alist,
	file-coding-system-alist, auto-coding-alist and
	auto-coding-functions are options.
	(Specifying Coding Systems): inhibit-eol-conversion is an
	option.

	* os.texi (Init File): site-run-file is an option.
	(System Environment): mail-host-address is an option.
	(User Identification): user-mail-address is an option.
	(Terminal Output): baud-rate is an option.

	* positions.texi (Word Motion): words-include-escapes is an
	option.

	* searching.texi (Standard Regexps): page-delimiter,
	paragraph-separate, paragraph-separate and sentence-end are
	options.

	* text.texi (Margins): left-margin and fill-nobreak-predicate
	are options.

	* variables.texi (Local Variables): max-specpdl-size is an
	option.

	* windows.texi (Choosing Window):
	split-window-preferred-function, special-display-function and
	display-buffer-function are options.

2009-05-20  Chong Yidong  <cyd@stupidchicken.com>

	Fix errors spotted by Martin Rudalics.

	* syntax.texi (Position Parse): Document rationale for ignored
	arguments to syntax-ppss-flush-cache.

	* processes.texi (Input to Processes): Mark PROCESS arg to
	process-running-child-p as optional.
	(Network Options): Document NO-ERROR arg to
	set-network-process-option.

	* buffers.texi (Indirect Buffers): Mark clone-indirect-buffer as a
	command.

	* searching.texi (POSIX Regexps): Mark posix-search-forward and
	posix-search-backward as commands.

	* os.texi (Killing Emacs): Mark kill-emacs as a command.
	(Suspending Emacs): Mark suspend-emacs as a command.
	(Processor Run Time): Mark emacs-uptime and emacs-init-time as
	commands.
	(Terminal Output): Remove obsolete function baud-rate.
	Document TERMINAL arg for send-string-to-terminal.

	* nonascii.texi (Terminal I/O Encoding): Document TERMINAL arg for
	terminal-coding-system and set-terminal-coding-system.
	(Explicit Encoding): Mark DESTINATION arg of decode-coding-region
	as optional.
	(Character Sets): Document RESTRICTION arg of char-charset.
	(Character Codes): Mark POS argument to get-byte as optional.

	* minibuf.texi (Minibuffer Misc): Document ARGS arg for
	minibuffer-message.

	* files.texi (Create/Delete Dirs): Mark make-directory and
	delete-directory as commands.

	* abbrevs.texi (Abbrev Tables): Fix arglist for make-abbrev-table.

	* text.texi (Base 64): Mark base64-decode-string and
	base64-encode-string as commands.
	(Columns): Mark move-to-column as a command.
	(Mode-Specific Indent): Document RIGID arg to
	indent-for-tab-command.
	(Region Indent): Mark TO-COLUMN arg to indent-region as optional.
	Mark indent-code-rigidly as a command.
	(Substitution): Mark translate-region as a command.

	* frames.texi (Size and Position): Remove obsolete functions
	screen-height and screen-width.

2009-05-19  Chong Yidong  <cyd@stupidchicken.com>

	* windows.texi (Cyclic Window Ordering, Cyclic Window Ordering)
	(Displaying Buffers, Resizing Windows): Correct mistakes;
	next-window, previous-window, and pop-to-buffer are not commands,
	and fit-window-to-buffer" is a command.  (Pointed out by Martin
	Rudalics.)

2009-05-17  Richard M Stallman  <rms@gnu.org>

	* modes.texi (Precalculated Fontification): Clarify text.

2009-05-17  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Selecting Windows): Clarify descriptions of
	with-selected-window and get-lru-window.
	(Cyclic Window Ordering): Refer to particular frame when talking
	about how splitting affects the ordering.
	(Displaying Buffers): Fix descriptions of switch-to-buffer and
	switch-to-buffer-other-window.  Explain how setting of
	display-buffer-reuse-frames affects pop-to-buffer.
	(Choosing Window): Clarify some details in descriptions of
	display-buffer-reuse-frames, pop-up-frames, and
	pop-up-frame-function.
	(Dedicated Windows): Clarify some details.
	(Textual Scrolling): Replace term vscroll by term vertical
	scroll position.
	(Vertical Scrolling): Fix typo.
	(Window Hooks): Relate text on jit-lock-register to window
	scrolling and size changes.

2009-05-14  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Initial Parameters): Clarify what the initial
	minibuffer frame is.
	(Buffer Parameters): Note that the minibuffer parameter can not be
	altered.

	* anti.texi (Antinews): Copyedits.  Rearrange some entries.
	Document display-buffer changes.

2009-05-13  Chong Yidong  <cyd@stupidchicken.com>

	* anti.texi (Antinews): Rewrite for Emacs 22.

	* abbrevs.texi (Abbrevs): Add xref to Creating Symbols when
	obarrays are first mentioned.  Define "system abbrev" more
	prominently, and add it to the index.
	(Abbrev Mode, Abbrev Tables, Defining Abbrevs, Abbrev Properties):
	Copyedits.
	(Abbrev Expansion): Document abbrev-insert.

2009-05-12  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Font and Color Parameters): Rename from Color
	Parameters.  Document font-backend parameter.

	* vol2.texi (Top): Update node listing.
	* vol1.texi (Top): Update node listing.
	* elisp.texi (Top): Update node listing.

2009-05-11  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Choosing Window): Don't explicitly refer to
	split-window-sensibly's window argument in descriptions of
	split-height-threshold and split-width-threshold.

2009-05-10  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Choosing Window): Fix rewrite of window
	splitting section.

2009-05-09  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Default Coding Systems): Document
	find-auto-coding, set-auto-coding, and auto-coding-alist.
	Add indexing.
	(Lisp and Coding Systems): Add index entries.

2009-05-09  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Choosing Window): Describe split-window-sensibly
	and rewrite section on window splitting accordingly.
	(Textual Scrolling): Replace `...' by @code{...}.

2009-05-04  Chong Yidong  <cyd@stupidchicken.com>

	* hooks.texi (Standard Hooks): Add abbrev-expand-functions.
	Remove obsoleted pre-abbrev-expand-hook.

	* locals.texi (Standard Buffer-Local Variables): Consolidate table
	entries.

	* internals.texi (Object Internals): Don't assume 32-bit machines
	are the norm.
	(Buffer Internals): Consolidate table entries for readability.
	(Window Internals): Synch field names to window.h.
	(Process Internals): Synch field names to process.h.

2009-04-29  Chong Yidong  <cyd@stupidchicken.com>

	* variables.texi (File Local Variables): Note that read-circle is
	bound to nil when reading file-local variables.

	* streams.texi (Input Functions): Document read-circle.
	(Output Variables): Add xref to Circular Objects.

2009-04-25  Chong Yidong  <cyd@stupidchicken.com>

	* tips.texi (Coding Conventions): Copyedits.  Add xref to Named
	Features and Coding System Basics.  Node that "p" stands for
	"predicate".  Recommend utf-8-emacs instead of emacs-mule.
	(Key Binding Conventions): Emacs does use S-down-mouse-1, for
	mouse-appearance-menu.
	(Programming Tips): Add xref to Progress.

2009-04-22  Chong Yidong  <cyd@stupidchicken.com>

	* os.texi (Command-Line Arguments):
	Document command-line-args-left.
	(Suspending Emacs): Adapt text to multi-tty case.  Document use of
	terminal objects for tty arguments.
	(Startup Summary): Add xref to Session Management.
	(Session Management): Mention emacs-session-restore.  Copyedits.

2009-04-20  Chong Yidong  <cyd@stupidchicken.com>

	* os.texi (Startup Summary): Copyedits.  The init file is not
	necessarily named .emacs now.  Document initial-buffer-choice and
	initial-scratch-message.  Note where Emacs exits in batch mode.
	Document inhibit-splash-screen as an alias.
	(Init File): Be neutral about which init file name to use.

2009-04-16  Chong Yidong  <cyd@stupidchicken.com>

	* os.texi (System Interface): Fix Texinfo usage.

2009-04-15  Chong Yidong  <cyd@stupidchicken.com>

	* searching.texi (Regexp Backslash): Also refer to shy groups as
	non-capturing or unnumbered groups.
	(Regexp Functions): Add cross-reference to Regexp Backslash.

	* display.texi (Truncation): Overlays can use line-prefix and
	wrap-prefix too.
	(Overlay Properties): Document wrap-prefix and line-prefix.
	(Face Attributes): Document underline-minimum-offset.
	(Face Remapping): Copyedits.
	(Low-Level Font): Copyedits.
	(Image Cache): Note that the image cache is shared between frames.
	(Line Height): Emphasize that line-spacing only takes effect on
	graphical terminals.

2009-04-13  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Refresh Screen): Note that a passage about screen
	refreshing is text terminal only.
	(Forcing Redisplay): Delete misleading comment---sit-for calls
	redisplay, not the other way around.
	(Truncation): Note new values of truncate-partial-width-windows.
	Copyedits.
	(Invisible Text): Document invisible-p.

2009-04-11  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Overlays): Overlays don't scale well.  See
	http://lists.gnu.org/archive/html/emacs-devel/2009-04/msg00243.html.

2009-04-10  Chong Yidong  <cyd@stupidchicken.com>

	* syntax.texi (Syntax Table Functions): Document cons cell
	argument for modify-syntax-entry.
	(Categories): Document cons cell argument for
	modify-category-entry.

	* searching.texi (String Search): Document word-search-forward-lax
	and word-search-backward-lax.
	(Searching and Case): Describe isearch behavior more precisely.

	* keymaps.texi (Tool Bar): Mention that some platforms do not
	support multi-line toolbars.  Suggested by Stephen Eglen.

	* frames.texi (Layout Parameters): Mention that Nextstep also
	allows only one tool-bar line.  Suggested by Stephen Eglen.

	* nonascii.texi (Text Representations): Copyedits.
	(Coding System Basics): Also mention utf-8-emacs.
	(Converting Representations, Selecting a Representation)
	(Scanning Charsets, Translation of Characters, Encoding and I/O):
	Copyedits.
	(Character Codes): Mention role of codepoints 1114112 to 4194175.

2009-04-09  Chong Yidong  <cyd@stupidchicken.com>

	* text.texi (Yank Commands): Note that yank uses push-mark.
	(Filling): Clarify REGION argument of fill-paragraph.
	Document fill-forward-paragraph-function.
	(Special Properties): Remove "new in Emacs 22" declaration.
	(Clickable Text): Merge with Links and Mouse-1 node.

	* display.texi (Button Properties, Button Buffer Commands):
	Change xref to Clickable Text.

	* tips.texi (Key Binding Conventions): Change xref to Clickable
	Text.

	* elisp.texi (Top): Update node listing.

2009-04-05  Chong Yidong  <cyd@stupidchicken.com>

	* markers.texi (The Mark): Copyedits.  Improve description of
	handle-shift-selection.
	(The Region): Move use-region-p here from The Mark.

	* positions.texi (Screen Lines): Document (cols . lines) argument
	for vertical-motion.

2009-04-04  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Frames): Clean up introduction.  Document `ns'
	return value for framep.
	(Creating Frames): Note how the terminal is chosen.
	(Multiple Terminals, Multiple Displays): Merge into a single node.
	(Color Parameters): Fix typo.

	* variables.texi (Local Variables, Buffer-Local Variables)
	(Creating Buffer-Local): Change link to Multiple Terminals.

	* os.texi (X11 Keysyms): Change link to Multiple Terminals.

	* keymaps.texi (Controlling Active Maps): Change link to Multiple
	Terminals.

	* commands.texi (Command Loop Info, Keyboard Macros): Change link
	to Multiple Terminals.

	* elisp.texi (Top): Update node listing.
	* vol2.texi (Top): Update node listing.
	* vol1.texi (Top): Update node listing.

	* buffers.texi (Current Buffer): Note that the append-to-buffer
	example is no longer in synch with the latest code.  Tie the two
	examples together.

	* files.texi (File Attributes): Move note about MS-DOS from
	Changing Files to File Attributes.
	(Create/Delete Dirs): Note that mkdir is an alias for this.

2009-04-01  Markus Triska  <triska@gmx.at>

	* processes.texi (Filter Functions): Suggest how to handle output
	batches.

2009-03-30  Chong Yidong  <cyd@stupidchicken.com>

	* help.texi (Accessing Documentation): Update example to use
	help-setup-xref and with-help-window.
	(Help Functions): Remove print-help-return-message, which is
	semi-obsolete due to with-help-window.  Document help-buffer and
	help-setup-xref.

2009-03-29  Chong Yidong  <cyd@stupidchicken.com>

	* help.texi (Accessing Documentation, Help Functions):
	Remove information about long-obsolete Emacs versions.

	* modes.texi (Mode Line Variables): The default values of the mode
	line variables are now more complicated.

2009-03-28  Chong Yidong  <cyd@stupidchicken.com>

	* modes.texi (Major Mode Conventions): Note that specialness is
	inherited.
	(Derived Modes): Note that define-derive-mode sets the mode-class
	property.

	* keymaps.texi (Prefix Keys): The M-g prefix key is now named
	goto-map.  Add search-map to the list.

2009-03-27  Eli Zaretskii  <eliz@gnu.org>

	* os.texi (System Environment): Update the list of system-type
	values.

	* markers.texi (The Mark) <handle-shift-selection>: Update for
	removal of the optional argument DEACTIVATE.

2009-03-25  Chong Yidong  <cyd@stupidchicken.com>

	* commands.texi (Focus Events): Most X window managers don't use
	focus-follows-mouse nowadays.

2009-03-24  Chong Yidong  <cyd@stupidchicken.com>

	* commands.texi (Defining Commands): Clarify introduction.
	(Using Interactive): Not that interactive can be put in a symbol
	property.
	(Interactive Call): Note that a symbol with a non-nil
	interactive-form property satisfies commandp.

2009-03-23  Juanma Barranquero  <lekktu@gmail.com>

	* minibuf.texi (Intro to Minibuffers): Fix typos.

2009-03-23  Chong Yidong  <cyd@stupidchicken.com>

	* minibuf.texi (Intro to Minibuffers): Remove long-obsolete info
	about minibuffers in old Emacs versions.  Copyedits.
	Emphasize that enable-recursive-minibuffers defaults to nil.
	(Text from Minibuffer): Simplify introduction.

2009-03-22  Alan Mackenzie  <acm@muc.de>

	* commands.texi (Using Interactive): Clarify string argument to
	`interactive' - even promptless elements need \n separators.

2009-03-18  Chong Yidong  <cyd@stupidchicken.com>

	* minibuf.texi (Completion Styles): New node.

	* elisp.texi (Top): Update node listing.

2009-03-17  Chong Yidong  <cyd@stupidchicken.com>

	* minibuf.texi (Basic Completion): Note that
	read-file-name-completion-ignore-case and
	read-buffer-completion-ignore-case can override
	completion-ignore-case.
	(Minibuffer Completion): Document completing-read changes.
	(Completion Commands): Avoid mentioning partial completion mode.
	Document minibuffer-completion-confirm changes, and
	minibuffer-confirm-exit-commands.
	(High-Level Completion): Document new require-match behavior for
	read-buffer.  Document read-buffer-completion-ignore-case.
	(Reading File Names): Document new require-match behavior for
	read-file-name.

2009-03-14  Chong Yidong  <cyd@stupidchicken.com>

	* debugging.texi (Error Debugging): Don't mislead the reader into
	thinking that debug-on-error enters debugger for C-f at EOB.
	(Error Debugging): Setting debug-on-init within the init file
	works, and has for some time.

2009-03-13  Kenichi Handa  <handa@m17n.org>

	* display.texi (Fontsets): Update the description.

2009-03-13  Chong Yidong  <cyd@stupidchicken.com>

	* advice.texi (Advising Primitives): Link to What Is a Function.

2009-03-12  Chong Yidong  <cyd@stupidchicken.com>

	* compile.texi (Speed of Byte-Code): Update example.
	(Disassembly): Update examples.

	* loading.texi (Repeated Loading): Simplify examples.

	* customize.texi (Common Keywords): It's not necessary to use :tag
	to remove hyphens, as custom-unlispify-tag-name does it
	automatically.
	(Variable Definitions): Link to File Local Variables.
	Document customized-value symbol property.
	(Customization Types): Move menu to end of node.

2009-03-10  Chong Yidong  <cyd@stupidchicken.com>

	* macros.texi (Compiling Macros): Omit misleading sentence, which
	implied that macros can only be used in the same file they are
	defined.
	(Backquote): Remove obsolete information about Emacs 19.

2009-03-05  John Foerch  <jjfoerch@earthlink.net>  (tiny change)

	* display.texi (Display Margins): Fix paren typo.

2009-02-27  Chong Yidong  <cyd@stupidchicken.com>

	* elisp.texi (Top): Update node listing.

	* variables.texi (Variables): Clarify introduction.
	(Global Variables): Mention that setq is a special form.
	(Local Variables): Use active voice.
	(Tips for Defining): Mention marking variables as safe.
	(Buffer-Local Variables): Mention terminal-local and frame-local
	variables together.
	(File Local Variables): Copyedits.
	(Frame-Local Variables): Note that they are not really useful.
	(Future Local Variables): Node deleted.

	* objects.texi (General Escape Syntax): Update explanation of
	unicode escape syntax.

2009-02-23  Chong Yidong  <cyd@stupidchicken.com>

	* control.texi (Control Structures): Add cindex entry for "textual
	order".

	* eval.texi (Intro Eval): Copyedits.  Standardize on "form"
	instead of "expression" throughout.
	(Function Indirection): Copyedits.  Use active voice.
	(Eval): The default value of max-lisp-eval-depth is now 400.

2009-02-23  Miles Bader  <miles@gnu.org>

	* processes.texi (System Processes): Rename `system-process-attributes'
	to `process-attributes'.

2009-02-22  Chong Yidong  <cyd@stupidchicken.com>

	* symbols.texi (Property Lists): Emphasize that property lists are
	not restricted to symbol cells.
	(Other Plists): Copyedit.

	* sequences.texi (Sequences Arrays Vectors): Make introduction
	more concise.
	(Arrays): Mention char-tables and bool-vectors too.
	(Vectors): Don't repeat information given in Arrays node.  Link to
	nodes that explain the vector usage examples.
	(Char-Tables): Note that char-table elements can have arbitrary
	type.  Explain effect of omitted char-table-extra-slots property.
	Link to Property Lists node.

2009-02-22  Chong Yidong  <cyd@stupidchicken.com>

	* lists.texi (Building Lists): Remove obsolete Emacs 20 usage of
	`append'.
	(List Elements): Copyedits.

	* sequences.texi (Vector Functions): Remove obsolete Emacs 20 use
	of `vconcat'.

	* strings.texi (Creating Strings): Copyedits.  Remove obsolete
	Emacs 20 usage of `concat'.
	(Case Conversion): Copyedits.

2009-02-21  Chong Yidong  <cyd@stupidchicken.com>

	* objects.texi (Lisp Data Types, Syntax for Strings, Buffer Type):
	Minor edits.
	(Frame Configuration Type): Emphasize that it is not primitive.
	(Font Type): New node.
	(Type Predicates): Add fontp; type-of now recognizes font object
	types.

	* intro.texi (Version Info): Update version numbers in examples.
	(Acknowledgements): List more contributors.

	* elisp.texi: Bump version number to 3.0.
	(Top): Link to Font Type node.

2009-02-20  Juanma Barranquero  <lekktu@gmail.com>

	* modes.texi (Major Mode Conventions): Remove duplicate words.
	(Customizing Keywords): Fix typo.

2009-02-14  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (User-Chosen Coding Systems): Document that
	select-safe-coding-system suggests raw-text if there are raw bytes
	in the region.
	(Explicit Encoding): Warn not to use `undecided' when encoding.

2009-02-11  Glenn Morris  <rgm@gnu.org>

	* frames.texi (Visibility of Frames): Mention the effect multiple
	workspaces/desktops can have on visibility.

2009-02-07  Eli Zaretskii  <eliz@gnu.org>

	* text.texi (Commands for Insertion):
	* commands.texi (Event Mod):
	* keymaps.texi (Searching Keymaps):
	* nonascii.texi (Translation of Characters):
	Reinstate documentation of translation-table-for-input.
	(Explicit Encoding): Document the `charset' text property produced
	by decode-coding-region and decode-coding-string.

2009-01-27  Alan Mackenzie  <acm@muc.de>

	* modes.texi (Search-based Fontification): Correct a typo.

2009-01-25  Juanma Barranquero  <lekktu@gmail.com>

	* abbrevs.texi (Abbrev Table Properties): Fix typo.
	Reported by Seweryn Kokot <sewkokot@gmail.com>.  (Bug#2039)

2009-01-24  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Window Systems): Document the value of
	`initial-window-system' under --daemon.

	* os.texi (System Environment): Remove description of the
	`environment' function which has been deleted.

2009-01-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* frames.texi (Multiple Displays): Remove documentation for
	removed function make-frame-on-tty.

2009-01-22  Chong Yidong  <cyd@stupidchicken.com>

	* files.texi (Format Conversion Piecemeal): Clarify behavior of
	write-region-annotate-functions.
	Document write-region-post-annotation-function.

2009-01-19  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Font Lookup): Document WIDTH argument of
	x-list-fonts.

2009-01-17  Eli Zaretskii  <eliz@gnu.org>

	* maps.texi (Standard Keymaps): Rename function-key-map to
	local-function-key-map.

	* keymaps.texi (Translation Keymaps): Rename function-key-map to
	local-function-key-map.

	* nonascii.texi (Terminal I/O Encoding): `keyboard-coding-system'
	and `set-keyboard-coding-system' now accept an optional terminal
	argument.

	* commands.texi (Event Mod): `keyboard-translate-table' is now
	terminal-local.
	(Function Keys): Rename function-key-map to
	local-function-key-map.

	* elisp.texi (Top): Make @detailmenu be consistent with changes in
	frames.texi.

	* hooks.texi (Standard Hooks): Document `delete-frame-functions'
	`delete-terminal-functions', `suspend-tty-functions' and
	`resume-tty-functions'.

	* frames.texi (Frames): Document `frame-terminal' and
	`terminal-live-p'.
	(Multiple Displays): Document `make-frame-on-tty'.
	(Multiple Terminals): Document `terminal-list', `delete-terminal',
	`terminal-name', and `get-device-terminal'.
	(Terminal Parameters): Document `terminal-parameters',
	`terminal-parameter', and `set-terminal-parameter'.

	* os.texi (System Environment): Document `environment' and
	`initial-environment'.
	(Suspending Emacs): Update for multi-tty; document
	`suspend-tty', `resume-tty', and `controlling-tty-p'.

	* nonascii.texi (Coding System Basics): More accurate description
	of `raw-text'.

2009-01-12  Juanma Barranquero  <lekktu@gmail.com>

	* display.texi (Low-Level Font): Fix typo.

2009-01-10  Chong Yidong  <cyd@stupidchicken.com>

	* elisp.texi (Top): Update node listing.

	* display.texi (PostScript Images): Node deleted.

2009-01-10  Eli Zaretskii  <eliz@gnu.org>

	* processes.texi (Decoding Output): Document that null bytes force
	no-conversion for reading process output.

	* files.texi (Reading from Files): Document that null bytes force
	no-conversion when visiting files.

	* processes.texi (Serial Ports): Improve wording, suggested by RMS.

	* nonascii.texi (Lisp and Coding Systems):
	Document inhibit-null-byte-detection and inhibit-iso-escape-detection.
	(Character Properties): Improve wording.

2009-01-09  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Font Lookup): Remove obsolete function
	x-font-family-list.  x-list-fonts accepts Fontconfig/GTK syntax.
	(Low-Level Font): Rename from Fonts, move to end of Faces section.
	(Font Selection): Reorder order of variable descriptions.
	Minor clarifications.

	* elisp.texi (Top): Update node listing.

2009-01-09  Glenn Morris  <rgm@gnu.org>

	* commands.texi (Command Loop Info): Say that last-command-char and
	last-input-char are obsolete aliases.

	* edebug.texi (Edebug Recursive Edit): Remove separate references to
	last-input-char and last-command-char, since they are just aliases for
	last-input-event and last-command-event.

	* minibuf.texi (Minibuffer Commands): Use last-command-event rather than
	last-command-char.

2009-01-08  Chong Yidong  <cyd@stupidchicken.com>

	* elisp.texi: Update node listing.

	* display.texi (Faces): Put Font Selection node after Auto Faces.
	(Face Attributes): Don't link to Font Lookup.
	Document font-family-list.
	(Fonts): New node.

2009-01-08  Jason Rumney  <jasonr@gnu.org>

	* frames.texi (Pointer Shape): Clarify that only X supports
	changing the standard pointer shapes.  (Bug#1485)

2009-01-08  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Attribute Functions): Note that a function value
	:height is relative, and that compatibility functions work by
	calling set-face-attribute.
	(Displaying Faces): Reorder list in order of increasing priority.
	(Face Remapping): New node.  Content moved here from Displaying
	Faces.
	(Glyphs): Link to Face Functions.

2009-01-08  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Faces): Don't discuss face id here.  facep does
	not return t.
	(Defining Faces): Minor clarification.
	(Face Attributes): Rearrange items to match docstring of
	set-face-attribute.  Add :foundry attribute.  Document new role of
	:font attribute.  Texinfo usage fix.
	(Attribute Functions): Copyedits.
	(Face Functions): Note that face number is seldom used.

2009-01-05  Richard M Stallman  <rms@gnu.org>

	* strings.texi (Predicates for Strings): Minor clarification.

	* functions.texi (Function Safety): Texinfo usage fix.

2009-01-04  Eduard Wiebe  <usenet@pusto.de>  (tiny patch)

	* objects.texi (General Escape Syntax): Fix typo.

2009-01-03  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Choosing Window): Say that pop-up-frame-alist
	works via the default value of pop-up-frame-function.

2009-01-02  Eli Zaretskii  <eliz@gnu.org>

	* processes.texi (System Processes): Document the `time' and
	`ctime' attributes of `system-process-attributes'.

2009-01-01  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Face Attributes): Clarify :height attribute.

2008-12-31  Martin Rudalics  <rudalics@gmx.at>

	* buffers.texi (The Buffer List): Clarify what moves a buffer to
	the front of the buffer list.  Add entries for `last-buffer' and
	`unbury-buffer'.

2008-12-27  Eli Zaretskii  <eliz@gnu.org>

	* elisp.texi (Top): Add @detailmenu items for "Multiple Terminals"
	and its subsections.

	* frames.texi (Multiple Terminals, Low-level Terminal)
	(Terminal Parameters, Frames on Other TTY devices): New sections.
	(Frames): Add an xref to "Multiple Terminals".

	* elisp.texi (Top): Add @detailmenu item for "Terminal Type".

	* objects.texi (Terminal Type): New node.
	(Editing Types): Add it to the menu.

	* elisp.texi (Top): Add a @detailmenu item for "Directory Local
	Variables".

	* variables.texi (Directory Local Variables): New node.
	(Variables): Add a menu item for it.

	* loading.texi (Autoload): Document `generate-autoload-cookie' and
	`generated-autoload-file'.

2008-12-20  Eli Zaretskii  <eliz@gnu.org>

	* os.texi (Startup Summary): Add xref to documentation of
	`initial-window-system'.

	* display.texi (Window Systems): Document `window-system' the
	function.  The variable `window-system' is now frame-local.
	Document `initial-window-system'.

2008-12-19  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Windows): Rewrite description of
	fit-window-to-buffer.

2008-12-13  Glenn Morris  <rgm@gnu.org>

	* modes.texi (Font Lock Basics): Fix level description.  (Bug#1534)
	(Levels of Font Lock): Refer to font-lock-maximum-decoration.

2008-12-12  Glenn Morris  <rgm@gnu.org>

	* debugging.texi (Error Debugging): Refer forwards to
	eval-expression-debug-on-error.

2008-12-05  Eli Zaretskii  <eliz@gnu.org>

	* strings.texi (String Basics): Only unibyte strings that
	represent key sequences hold 8-bit raw bytes.

	* nonascii.texi (Coding System Basics): Rewrite @ignore'd
	paragraph to speak about `undecided'.
	(Character Properties): Don't explain the meaning of each
	property; instead, identify their Unicode Standard names.
	(Character Sets): Document `map-charset-chars'.

2008-12-02  Glenn Morris  <rgm@gnu.org>

	* files.texi (Format Conversion Round-Trip): Rewrite format-write-file
	section yet again.

2008-11-29  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Character Properties): New Section.
	(Specifying Coding Systems): Document
	`coding-system-priority-list', `set-coding-system-priority', and
	`with-coding-priority'.
	(Lisp and Coding Systems): Document `check-coding-systems-region'
	and `coding-system-charset-list'.
	(Coding System Basics): Document `coding-system-aliases'.

	* elisp.texi (Top): Add a @detailmenu entry for "Character
	Properties".

	* objects.texi (Character Type): Correct the range of Emacs
	characters.  Add an @xref to "Character Codes".

	* strings.texi (String Basics): Add an @xref to "Character Codes".

	* numbers.texi (Integer Basics): Add an @xref to `max-char'.

	* nonascii.texi (Explicit Encoding): Update for Emacs 23.
	(Character Codes): Document `max-char'.

2008-11-28  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Text Representations, Converting Representations)
	(Character Sets, Scanning Charsets, Translation of Characters):
	Make text more accurate.

2008-11-28  Glenn Morris  <rgm@gnu.org>

	* files.texi (Format Conversion Round-Trip): Improve previous change.

2008-11-26  Chong Yidong  <cyd@stupidchicken.com>

	* modes.texi (Auto Major Mode): Fix example.

2008-11-25  Glenn Morris  <rgm@gnu.org>

	* control.texi (Signaling Errors): Fix `wrong-type-argument' name.

	* files.texi (Format Conversion Round-Trip):
	Use active voice for previous change.

2008-11-25  Chong Yidong  <cyd@stupidchicken.com>

	* os.texi (Processor Run Time):
	* processes.texi (Transaction Queues):
	* markers.texi (The Mark):
	* windows.texi (Choosing Window, Selecting Windows):
	* files.texi (Changing Files, Magic File Names):
	* commands.texi (Key Sequence Input):
	* functions.texi (Declaring Functions):
	* strings.texi (Predicates for Strings):
	* intro.texi (nil and t): Fix typos (pointed out by Drew Adams).

2008-11-24  Chong Yidong  <cyd@stupidchicken.com>

	* help.texi (Accessing Documentation): Update example.

	* variables.texi (Defining Variables): Note that `*' is not
	necessary if defcustom is used.

2008-11-22  Eli Zaretskii  <eliz@gnu.org>

	* elisp.texi (Top): Remove "Chars and Bytes" and "Splitting
	Characters" from @detailmenu.

	* nonascii.texi (Character Codes, Character Sets)
	(Scanning Charsets, Translation of Characters): Update for Emacs 23.
	(Chars and Bytes, Splitting Characters): Sections removed.

2008-11-22  Lute Kamstra  <lute@gnu.org>

	* positions.texi (Text Lines): Update goto-line documentation.

2008-11-21  Martin Rudalics  <rudalics@gmx.at>

	* frames.texi (Frames): Fix typo, add cross references, reword.
	(Initial Parameters): Reword special-display-frame-alist text.
	(Frames and Windows): Reword.  Describe argument norecord for
	set-frame-selected-window.
	(Input Focus): Describe argument norecord for select-frame.
	Remove comment on MS-Windows behavior for focus-follows-mouse.
	(Raising and Lowering): Mention windows-frames dichotomy in
	metaphor.

	* windows.texi (Displaying Buffers, Vertical Scrolling)
	(Horizontal Scrolling): Fix indenting and rewording issues
	introduced with 2008-11-07 change.

2008-11-20  Glenn Morris  <rgm@gnu.org>

	* files.texi (Format Conversion Round-Trip): Mention `preserve'
	element of `format-alist'.

2008-11-19  Glenn Morris  <rgm@gnu.org>

	* doclicense.texi: Update to FDL 1.3.
	* elisp.texi, vol1.texi, vol2.texi: Relicense under FDL 1.3 or later.

2008-11-18  Chong Yidong  <cyd@stupidchicken.com>

	* windows.texi (Window Hooks): Remove *-end-trigger-functions
	vars, which are obsolete.  Mention jit-lock-register.

	* modes.texi (Other Font Lock Variables):
	Document jit-lock-register and jit-lock-unregister.

	* frames.texi (Color Parameters): Document alpha parameter.

2008-11-16  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Splitting Windows, Deleting Windows)
	(Selecting Windows, Cyclic Window Ordering)
	(Buffers and Windows, Displaying Buffers, Choosing Window)
	(Dedicated Windows, Window Point, Window Start and End)
	(Textual Scrolling, Vertical Scrolling, Horizontal Scrolling)
	(Size of Window, Resizing Windows, Window Configurations)
	(Window Parameters): Avoid @var at beginning of sentences and
	reword accordingly.

2008-11-11  Lute Kamstra  <lute@gnu.org>

	* files.texi (File Name Components): Fix file-name-extension
	documentation.

2008-11-11  Juanma Barranquero  <lekktu@gmail.com>

	* frames.texi (Basic Parameters): Remove display-environment-variable
	and term-environment-variable.

2008-11-08  Eli Zaretskii  <eliz@gnu.org>

	* windows.texi (Basic Windows, Splitting Windows)
	(Deleting Windows, Selecting Windows, Cyclic Window Ordering)
	(Buffers and Windows, Displaying Buffers, Dedicated Windows)
	(Resizing Windows, Window Configurations, Window Parameters):
	Fix wording and markup.

2008-11-07  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Windows): Update entries.
	(Basic Windows): Remove listing of attributes.  Reword.
	(Splitting Windows, Deleting Windows): Reword.
	(Selecting Windows, Cyclic Window Ordering): Reword with special
	emphasis on order of recently selected windows and buffer list.
	(Buffers and Windows, Choosing Window): Reword with special
	emphasis on dedicated windows.
	(Displaying Buffers): Reword.  For switch-to-buffer mention that
	it may fall back on pop-to-buffer.  For other-window try to
	explain how it treats the cyclic ordering of windows.
	(Dedicated Windows): New node and section discussing dedicated
	windows and associated functions.
	(Window Point): Add entry for window-point-insertion-type.  Reword.
	(Window Start and End): Rename node and section title.  Reword.
	(Textual Scrolling, Vertical Scrolling, Horizontal Scrolling):
	Minor rewording.
	(Size of Window): Reword, in particular text on window-width.
	(Resizing Windows): Reword.  Add text on balancing windows.
	(Window Configurations): Reword.  Mention window parameters.
	(Window Parameters): New node and section on window parameters.
	(Window Hooks): Reword.  Mention that
	window-configuration-change-hook is run "buffer-locally".
	* elisp.texi (Top): Update Windows entries in @detailmenu
	section.

2008-11-04  Juanma Barranquero  <lekktu@gmail.com>

	* searching.texi (Regexp Search): Fix typo.

2008-11-03  Seweryn Kokot  <sewkokot@gmail.com>  (tiny change)

	* searching.texi (Regexp Search): Document GREEDY arg.
	(Simple Match Data): Fix return value.

2008-11-01  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Text Representations): Rewrite to make consistent
	with Emacs 23 internal representation of characters.
	Document `unibyte-string'.

2008-10-28  Chong Yidong  <cyd@stupidchicken.com>

	* processes.texi (Process Information): Note that process-status
	does not accept buffer names.

2008-10-27  Seweryn Kokot  <sewkokot@gmail.com>  (tiny change)

	* positions.texi (Skipping Characters): Correct return value of
	skip-chars-forward.

2008-10-25  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Deleting Windows): Update documentation of
	delete-windows-on.
	(Buffers and Windows): Update documentations of
	get-buffer-window and get-buffer-window-list.
	(Displaying Buffers): Update documentation of
	replace-buffer-in-windows.

	* buffers.texi (Current Buffer): Reword set-buffer and
	with-current-buffer documentations.
	(Creating Buffers): Reword documentation of get-buffer-create.

2008-10-23  Martin Rudalics  <rudalics@gmx.at>

	* buffers.texi (Current Buffer): Reword documentation of
	set-buffer.
	(Buffer Names): Reword documentation of buffer-name.
	(The Buffer List): For bury-buffer explain what happens with the
	buffer's window.
	(Creating Buffers): Say that get-buffer-create's arg is called
	buffer-or-name.

2008-10-22  Chong Yidong  <cyd@stupidchicken.com>

	* advice.texi (Computed Advice): Explain what DEFINITION is.

	* nonascii.texi (Character Codes): Remove obsolete function
	char-valid-p, and document characterp instead.

2008-10-22  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Displaying Buffers): Reword documentation of
	pop-to-buffer.
	(Choosing Window): Rewrite documentation of display-buffer and
	its options.

	* buffers.texi (Killing Buffers): Update documentation of
	kill-buffer.

2008-10-21  Eli Zaretskii  <eliz@gnu.org>

	* processes.texi (Serial Ports): Fix wording and improve markup.

	* searching.texi (Regexp Search): Document `string-match-p' and
	`looking-at-p'.
	(POSIX Regexps): Add an xref for "non-greedy".
	(Regexp Special): Add @cindex entry for "non-greedy".

	* display.texi (Attribute Functions): Document `face-all-attributes'.
	(Image Cache) <image-refresh>: Minor wording fixes.

	* frames.texi (Color Names): Add an xref to `read-color'.

	* minibuf.texi (High-Level Completion): Document `read-color'.

	* elisp.texi (Top): Add "Swapping Text" to @detailmenu.

	* positions.texi (Narrowing): Add an xref to "Swapping Text".

	* buffers.texi (Swapping Text): New section, documents
	`buffer-swap-text'.

2008-10-21  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Resizing Windows): Minor wording fix.

2008-10-20  Eli Zaretskii  <eliz@gnu.org>

	* processes.texi (Shell Arguments): Document `split-string-and-unquote'
	and `combine-and-quote-strings'.

	* strings.texi (Creating Strings): Add xrefs for them.

2008-10-19  Eli Zaretskii  <eliz@gnu.org>

	* elisp.texi (Top): Make descriptive text for "Reading File Names"
	match the corresponding menu in minibuf.texi.

	* minibuf.texi (Reading File Names): Document `read-shell-command'
	and `minibuffer-local-shell-command-map'.

2008-10-19  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Resizing Windows): Remove var{} around "window" in
	documentation of enlarge-window.
	Rewrite documentation of window-min-height and window-min-width.

2008-10-19  Eli Zaretskii  <eliz@gnu.org>

	* functions.texi (Calling Functions): Document `apply-partially'.

	* hooks.texi (Standard Hooks): Mention
	`before-hack-local-variables-hook' and `hack-local-variables-hook'.

	* variables.texi (File Local Variables): Document
	`file-local-variables-alist', `before-hack-local-variables-hook'
	and `hack-local-variables-hook'.

	* processes.texi (Synchronous Processes): Document `process-lines'.

	* customize.texi (Variable Definitions):
	Document `custom-reevaluate-setting'.

2008-10-18  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Choosing Window, Deleting Windows)
	(Displaying Buffers): Expand documentation of dedicated windows.

2008-10-18  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (Changing Files): Document symbolic input of file
	modes to `set-file-modes'.  Document `read-file-modes' and
	`file-modes-symbolic-to-number'.

	* maps.texi (Standard Keymaps): Document `multi-query-replace-map'
	and `search-map'.

	* searching.texi (Search and Replace):
	Document `replace-search-function' and `replace-re-search-function'.
	Document `multi-query-replace-map'.

	* minibuf.texi (Text from Minibuffer): Document `read-regexp'.
	(Completion Commands, Reading File Names):
	Rename `minibuffer-local-must-match-filename-map' to
	`minibuffer-local-filename-must-match-map'.
	(Minibuffer Completion): The `require-match' argument to
	`completing-read' can now have the value `confirm-only'.

	* windows.texi (Displaying Buffers): Minor wording fix.
	(Choosing Window): `split-height-threshold' can now be nil.
	Document `split-width-threshold'.  `pop-up-frames' can have the
	value `graphic-only'.

2008-10-17  Eli Zaretskii  <eliz@gnu.org>

	* os.texi (Startup Summary): Document `before-init-time' and
	`after-init-time'.  Document `initial-window-system' and
	`window-system-initialization-alist'.  Document reading the
	abbrevs file.  Document the call to `server-start' under --daemon.
	Rearrange a bit to be consistent with the code flow.
	(Processor Run Time): Document `emacs-uptime' and `emacs-init-time'.
	(Time Parsing): Document `format-seconds'.

2008-10-17  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Basic Windows, Splitting Windows): Fix whitespace
	and reword.

2008-10-16  Eli Zaretskii  <eliz@gnu.org>

	* markers.texi (The Mark): Document use-region-p.

2008-10-15  Eli Zaretskii  <eliz@gnu.org>

	* internals.texi (Writing Emacs Primitives): The interactive spec
	of a primitive can be a Lisp form.

	* markers.texi (The Mark): Document the `lambda' and `(only . OLD)'
	values of transient-mark-mode.  Document handle-shift-selection.

	* commands.texi (Using Interactive, Interactive Codes): Document `^'.
	(Interactive Examples): Show an example of `^'.
	(Key Sequence Input): Document this-command-keys-shift-translated.
	(Defining Commands, Using Interactive): The interactive-form of a
	function can be added via its symbol's property.

	* positions.texi (List Motion): beginning-of-defun-function can
	now accept an argument.

	* text.texi (Low-Level Kill Ring): interprogram-paste-function can
	now return a list of strings.

	* control.texi (Handling Errors): Document ignore-errors.

	* frames.texi (Creating Frames): Document frame-inherited-parameters.
	(Parameter Access): Document set-frame-parameter.

	* variables.texi (Creating Buffer-Local): Add an xref to "Setting
	Hooks" for the effect of kill-all-local-variables on local hook
	functions.

	* modes.texi (Major Mode Conventions, Mode Line Variables):
	`mode-name' need not be a string.  xref to "Mode Line Data" for
	details, and to "Emulating Mode Line" for computing a string
	value.

2008-10-14  Eli Zaretskii  <eliz@gnu.org>

	* processes.texi (System Processes): New section.
	(Processes, Signals to Processes): Add xrefs to it.

	* objects.texi (Editing Types): A `process' is a subprocess of
	Emacs, not just any process running on the OS.

	* elisp.texi (Top): Adjust the @detailmenu for the above two
	changes.

	* sequences.texi (Char-Tables): Remove documentation of
	set-char-table-default, which has no effect since Emacs 23.
	<char-table-range, set-char-table-range>: Don't mention generic
	characters and charsets.  Add a cons cell as a possible argument.

	* nonascii.texi (Splitting Characters)
	(Translation of Characters): Don't mention generic characters.

	* display.texi (Fontsets): Don't mention generic characters.

	* sequences.texi (Char-Tables): `map-char-table' can now call its
	argument FUNCTION with a cons cell as KEY.

2008-10-13  Eli Zaretskii  <eliz@gnu.org>

	* objects.texi (Primitive Function Type): Move "@cindex special
	forms" from here...

	* eval.texi (Special Forms): ...to here.

	* functions.texi (What Is a Function): `functionp' returns nil for
	special forms.  Add an xref.

	* elisp.texi (Top): Add a @detailmenu entry for "Frame-Local
	Variables".

	* variables.texi (Frame-Local Variables): New section.
	(Buffer-Local Variables): Add an xref to it.
	(Intro to Buffer-Local, Creating Buffer-Local): A variable cannot
	have both frame-local and buffer-local binding.

	* frames.texi (Frames): Mention multiple tty frames.
	(Frame Parameters, Parameter Access): Mention frame-local variable
	bindings.

2008-09-20  Glenn Morris  <rgm@gnu.org>

	* display.texi (Defining Faces): Recommend against face variables.

2008-09-16  Juanma Barranquero  <lekktu@gmail.com>

	* display.texi (Echo Area Customization): Fix typo.

2008-09-09  Juanma Barranquero  <lekktu@gmail.com>

	* loading.texi (Where Defined): Add `defface' item.

2008-09-06  Martin Rudalics  <rudalics@gmx.at>

	* loading.texi (Where Defined): Fix description of symbol-file.

2008-08-26  Jason Rumney  <jasonr@gnu.org>

	* display.texi (TIFF Images): New section describing :index property.

2008-08-23  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Temporary Displays): Remove unnecessary comment
	about usage of temp-buffer-show-hook.

2008-08-05  Chong Yidong  <cyd@stupidchicken.com>

	* symbols.texi (Other Plists): Fix incorrect example.
	Suggested by Florian Beck.

2008-07-31  Juanma Barranquero  <lekktu@gmail.com>

	* os.texi: Fix previous change.

2008-07-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* os.texi:
	* intro.texi:
	* files.texi: Remove VMS support.

2008-07-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* os.texi:
	* frames.texi:
	* display.texi: Remove mentions of Mac Carbon.

2008-07-01  Miles Bader  <miles@gnu.org>

	* text.texi (Special Properties):
	* display.texi (Truncation): Add wrap-prefix and line-prefix.

2008-06-28  Johan Bockgård  <bojohan@gnu.org>

	* display.texi (Other Image Types): Fix copy/paste error; say
	"PBM", not "XBM".

2008-06-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* os.texi: Remove references to obsolete systems.

2008-06-20  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (distclean): Remove makefile.

2008-06-17  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (emacsver, miscmanualdir, VERSION, manual, install)
	(elisp, dist): Remove rules and variables that are obsolete now
	the lisp manual is no longer distributed separately.

2008-06-16  Glenn Morris  <rgm@gnu.org>

	* configure, configure.in, mkinstalldirs: Remove unused files.

	* book-spine.texinfo: Set version to 23.0.60.
	* vol1.texi (EMACSVER):
	* vol2.texi (EMACSVER): Set to 23.0.60.

	* elisp.texi, vol1.texi, vol2.texi: Update Back-Cover Text
	as per maintain.info.

2008-06-15  Glenn Morris  <rgm@gnu.org>

	* makefile.w32-in (manual): Use "23" rather than "21".

	* Makefile.in (emacsver): New, set by configure.
	(manual): Use emacsver.

	* intro.texi: Report bugs using M-x report-emacs-bug.

	* elisp.texi (EMACSVER): Remove duplicate, outdated setting.

2008-06-13  Daniel Engeler  <engeler@gmail.com>

	* elisp.texi, internals.texi, processes.texi: Add documentation
	about serial port access.

2008-06-05  Miles Bader  <miles@gnu.org>

	* display.texi (Displaying Faces): Update to reflect function
	renamings in face-remap.el.

2008-06-05  Juanma Barranquero  <lekktu@gmail.com>

	* display.texi (Fontsets): Fix typos.

2008-06-03  Miles Bader  <miles@gnu.org>

	* display.texi (Displaying Faces): Add add-relative-face-remapping,
	remove-relative-face-remapping, set-base-face-remapping,
	and set-default-base-face-remapping.

2008-06-01  Miles Bader  <miles@gnu.org>

	* display.texi (Displaying Faces): Add face-remapping-alist.

2008-05-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tips.texi (Coding Conventions): Do not encourage the use of "-flag"
	variable names.

2008-05-03  Eric S. Raymond  <esr@golux>

	* keymaps.texi: Clarify that (current-local-map) and
	(current-global-map) return references, not copies.

2008-05-02  Juri Linkov  <juri@jurta.org>

	* minibuf.texi (Text from Minibuffer): Document a list of
	default values for `read-from-minibuffer'.

2008-04-24  Juanma Barranquero  <lekktu@gmail.com>

	* nonascii.texi (Translation of Characters): Fix previous change.

2008-04-20  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Overlay Properties): Clarify role of underlying
	textprop and overlay keymaps for display strings.

	* keymaps.texi (Active Keymaps): Ditto.

2008-04-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuf.texi (Programmed Completion):
	Replace dynamic-completion-table with the new completion-table-dynamic.

2008-04-07  Chong Yidong  <cyd@stupidchicken.com>

	* intro.texi (Some Terms): Change "fonts in this manual" index
	entry to "typographic conventions".

2008-04-05  Eli Zaretskii  <eliz@gnu.org>

	* objects.texi (Text Props and Strings): Add indexing for read
	syntax of text properties.

2008-03-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* processes.texi (Decoding Output): Remove process-filter-multibyte
	functions.

2008-03-15  Martin Rudalics  <rudalics@gmx.at>

	* display.texi (Finding Overlays): Say that empty overlays at
	the end of the buffer are reported too.

2008-03-13  Glenn Morris  <rgm@gnu.org>

	* elisp.texi (EMACSVER): Set to 23.0.60.

2008-02-26  Chong Yidong  <cyd@stupidchicken.com>

	* strings.texi (Formatting Strings): Treat - and 0 as flag characters.

2008-02-22  Glenn Morris  <rgm@gnu.org>

	* frames.texi (Position Parameters): Clarify the description of
	`left' and `top', using information from "Geometry".
	(Geometry): Give a pointer to "Position Parameters", rather than
	repeating information.

2008-02-11  Glenn Morris  <rgm@gnu.org>

	* objects.texi (Equality Predicates): No longer talk about "two"
	functions.

2008-02-11  Lawrence Mitchell  <wence@gmx.li>  (tiny change)

	* objects.texi (Equality Predicates): Add defun for
	equal-including-properties.

2008-02-10  Glenn Morris  <rgm@gnu.org>

	* objects.texi (Equality Predicates):
	Mention equal-including-properties.

2008-02-07  Richard Stallman  <rms@gnu.org>

	* windows.texi (Window Start): Mention the feature of moving
	window-start to start of line.

2008-02-07  Jan Djärv  <jan.h.d@swipnet.se>

	* keymaps.texi (Tool Bar): Document rtl property.

2008-01-27  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* display.texi (Button Types):
	For define-button-type, clarify type of NAME.

2008-01-19  Martin Rudalics  <rudalics@gmx.at>

	* buffers.texi (Buffer Modification): Fix typo.

2008-01-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* os.texi (System Environment): Remove references to OSes that are
	not supported anymore.

2008-01-05  Dan Nicolaescu  <dann@ics.uci.edu>

	* os.texi (System Environment): Remove mention for Masscomp.

2008-01-04  Richard Stallman  <rms@gnu.org>

	* display.texi (Faces): Don't talk about internal face vector as arg
	to facep.

	* customize.texi (Type Keywords): Fix previous change.

	* text.texi (Links and Mouse-1): Fix xref for commands.texi change.
	* elisp.texi (Top): Fix menu for commands.texi change.

2007-12-30  Richard Stallman  <rms@gnu.org>

	* commands.texi (Accessing Mouse): Rename from Accessing Events.
	(Accessing Scroll): New node broken out of Accessing Mouse.

2007-12-28  Richard Stallman  <rms@gnu.org>

	* frames.texi (Size Parameters): Fix typo.
	(Basic Parameters): For `title', refer to title bar.
	(Size and Position): Explain meaning of frame pixel width and height.

2007-12-23  Richard Stallman  <rms@gnu.org>

	* customize.texi (Type Keywords): Uncomment :validate and clarify it.
	Improve some of the commented-out keywords' text too.

2007-12-14  Martin Rudalics  <rudalics@gmx.at>

	* nonascii.texi (Encoding and I/O): Reword to avoid saying
	"visit the current buffer".

	* os.texi (System Interface): Fix typo.

2007-12-04  Richard Stallman  <rms@gnu.org>

	* objects.texi (Symbol Type): Fix typo.

2007-12-03  Richard Stallman  <rms@gnu.org>

	* hooks.texi (Standard Hooks): Add link to Hooks for Loading.

2007-12-01  Glenn Morris  <rgm@gnu.org>

	* functions.texi (Declaring Functions): Improve previous change.

2007-11-30  Glenn Morris  <rgm@gnu.org>

	* functions.texi (Declaring Functions): Add optional fourth
	argument of declare-function, and setting third argument to `t'.

2007-11-29  Richard Stallman  <rms@gnu.org>

	* customize.texi (Composite Types): Document `group' type.

2007-11-29  Glenn Morris  <rgm@gnu.org>

	* functions.texi (Declaring Functions): Add findex.
	Mention `external' files.

2007-11-26  Juanma Barranquero  <lekktu@gmail.com>

	* functions.texi (Declaring Functions): Fix directive.

2007-11-25  Richard Stallman  <rms@gnu.org>

	* help.texi (Help Functions): Clean up last change.

	* advice.texi (Preactivation, Activation of Advice): Minor cleanup.

	* loading.texi (Named Features): Minor cleanup.

	* macros.texi (Eval During Expansion): Minor cleanup.

	* variables.texi (Variable Aliases): Minor cleanup.

2007-11-24  Richard Stallman  <rms@gnu.org>

	* functions.texi (Declaring Functions): Clarify previous change.

	* compile.texi (Compiler Errors): Clarify previous change.

2007-11-24  Richard Stallman  <rms@gnu.org>

	* display.texi (Refresh Screen, Forcing Redisplay):
	Clarify the text and move items around.

2007-11-24  Glenn Morris  <rgm@gnu.org>

	* functions.texi (Declaring Functions): New section.
	* compile.texi (Compiler Errors): Mention declaring functions,
	defvar with no initvalue, and byte-compile-warnings.

2007-11-15  Martin Rudalics  <rudalics@gmx.at>

	* vol1.texi (Top): Remove Frame-Local Variables from Node Listing.
	* vol2.texi (Top): Remove Frame-Local Variables from Node Listing.

2007-11-13  Martin Rudalics  <rudalics@gmx.at>

	* help.texi (Help Functions): Document new macro `with-help-window'.

2007-11-10  Paul Pogonyshev  <pogonyshev@gmx.net>

	* searching.texi (Replacing Match): Describe new
	`match-substitute-replacement'.

2007-10-31  Richard Stallman  <rms@gnu.org>

	* strings.texi (Creating Strings): Null strings from concat not unique.

2007-10-26  Richard Stallman  <rms@gnu.org>

	* objects.texi (Equality Predicates): Null strings are uniquified.

	* minibuf.texi: Minor clarifications in previous change.

2007-10-25  Glenn Morris  <rgm@gnu.org>

	* customize.texi (Variable Definitions): Add :risky and :safe keywords.

2007-10-24  Richard Stallman  <rms@gnu.org>

	* elisp.texi (Top): Delete Frame-Local Variables from subnode menu.

	* variables.texi (Frame-Local Variables): Node deleted.
	(Variables): Delete Frame-Local Variables from menu.
	(Local Variables, Buffer-Local Variables, Intro to Buffer-Local)
	(Default Value): Don't mention frame-local vars.

	* os.texi (Idle Timers): current-idle-time returns nil if not idle.

	* loading.texi (Unloading): Document FEATURE-unload-function
	instead of FEATURE-unload-hook.

	* frames.texi (Multiple Displays): Don't mention frame-local vars.

2007-10-22  Juri Linkov  <juri@jurta.org>

	* minibuf.texi (Text from Minibuffer, Minibuffer Completion)
	(High-Level Completion): Document a list of default value strings
	in the DEFAULT argument, for which minibuffer functions return the
	first element.

2007-10-17  Juri Linkov  <juri@jurta.org>

	* text.texi (Filling): Update arguments of fill-paragraph.
	fill-paragraph operates on the active region in Transient Mark mode.
	Remove fill-paragraph-or-region.

2007-10-13  Karl Berry  <karl@gnu.org>

	* elisp.texi (@dircategory): Move to after @copying,
	since we want @copying as close as possible to the beginning of
	the output.

2007-10-12  Richard Stallman  <rms@gnu.org>

	* elisp.texi (Top): Add Distinguish Interactive to subnode menu.

	* commands.texi (Distinguish Interactive): New node,
	broken out from Interactive Call and rewritten.
	(Command Loop): Put Distinguish Interactive in menu.

2007-10-09  Richard Stallman  <rms@gnu.org>

	* text.texi (Examining Properties): Mention overlay priority.

	* display.texi (Display Margins): Correct the description
	of margin display specifications.
	(Replacing Specs): New subnode broken out of Display Property.

2007-10-06  Juri Linkov  <juri@jurta.org>

	* text.texi (Filling): Document fill-paragraph-or-region.

2007-10-05  Juanma Barranquero  <lekktu@gmail.com>

	* display.texi (Auto Faces): Fix typo.

2007-10-02  Richard Stallman  <rms@gnu.org>

	* display.texi (Display Property): Explain some display specs
	don't let you move point in.

	* frames.texi (Cursor Parameters):
	Describe cursor-in-non-selected-windows here.  Explain more values.

	* windows.texi (Basic Windows): Don't describe
	cursor-in-non-selected-windows here.

2007-10-01  Eli Zaretskii  <eliz@gnu.org>

	* processes.texi (Misc Network): Note that these functions are
	supported only on some systems.

2007-10-01  Richard Stallman  <rms@gnu.org>

	* display.texi (Overlay Properties): Explain nil as priority.
	Explain that conflicts are unpredictable if not resolved by
	priorities.

2007-09-23  Richard Stallman  <rms@gnu.org>

	* macros.texi (Backquote): Minor clarification.

2007-09-19  Richard Stallman  <rms@gnu.org>

	* display.texi (Display Property): Explain multiple display specs.
	Clarify when they work in parallel and when one overrides.
	Fix error in example.

2007-09-06  Glenn Morris  <rgm@gnu.org>

	Move from lispref/ to doc/lispref/.  Change all setfilename
	commands to use ../../info.
	* Makefile.in (infodir): Go up one more level.
	(usermanualdir): Change from ../man to ../emacs.
	(miscmanualdir): New.
	(dist): Use new variable miscmanualdir.
	* makefile.w32-in (infodir, texinputdir): Go up one more level.
	(usermanualdir): Change from ../man to ../emacs.

2007-08-30  Martin Rudalics  <rudalics@gmx.at>

	* commands.texi (Command Loop Info): Advise against changing
	most variables described here.  Explain new variable
	last-repeatable-command.

2007-08-29  Glenn Morris  <rgm@gnu.org>

	* elisp.texi (EMACSVER): Increase to 23.0.50.

2007-08-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* frames.texi (Basic Parameters): Add display-environment-variable
	and term-environment-variable.

2007-08-28  Juri Linkov  <juri@jurta.org>

	* display.texi (Image Formats, Other Image Types): Add SVG.

2007-08-28  Juri Linkov  <juri@jurta.org>

	* display.texi (Images): Move formats-related text to new node
	"Image Formats".
	(Image Formats): New node.

2007-08-27  Richard Stallman  <rms@gnu.org>

	* windows.texi (Window Configurations): Clarify what
	a window configuration saves.

2007-08-25  Richard Stallman  <rms@gnu.org>

	* display.texi (Images): Delete redundant @findex.

2007-08-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* text.texi (Change Hooks): (after|before)-change-functions are no
	longer bound to nil while running; rather inhibit-modification-hooks
	is t.

2007-08-16  Richard Stallman  <rms@gnu.org>

	* processes.texi (Asynchronous Processes):
	Clarify doc of start-file-process.

2007-08-08  Martin Rudalics  <rudalics@gmx.at>

	* modes.texi (Example Major Modes): Fix typo.

2007-08-08  Glenn Morris  <rgm@gnu.org>

	* intro.texi (nil and t): Do not use `iff' in documentation.

	* tips.texi (Documentation Tips): Recommend against `iff'.

2007-08-07  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Image Cache): Document image-refresh.

2007-08-06  Martin Rudalics  <rudalics@gmx.at>

	* windows.texi (Size of Window): Document window-full-width-p.

2007-07-25  Glenn Morris  <rgm@gnu.org>

	* gpl.texi (GPL): Replace license with GPLv3.

	* Relicense all FSF files to GPLv3 or later.

2007-07-24  Michael Albinus  <michael.albinus@gmx.de>

	* processes.texi (Synchronous Processes):
	Add `process-file-shell-command'.
	(Asynchronous Processes): Mention restricted use of
	`process-filter' and `process-sentinel' in
	`start-file-process'.  Add `start-file-process-shell-command'.

2007-07-17  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Magic File Names): Introduce optional parameter
	IDENTIFICATION for `file-remote-p'.

2007-07-16  Richard Stallman  <rms@gnu.org>

	* display.texi (Defining Faces): Fix previous change.

2007-07-14  Richard Stallman  <rms@gnu.org>

	* control.texi (Handling Errors): Document `debug' in handler list.

2007-07-10  Richard Stallman  <rms@gnu.org>

	* display.texi (Defining Faces): Explain C-M-x feature for defface.

2007-07-09  Richard Stallman  <rms@gnu.org>

	* files.texi (Magic File Names): Rewrite previous change.

2007-07-08  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Magic File Names): Introduce optional parameter
	CONNECTED for `file-remote-p'.

2007-07-07  Michael Albinus  <michael.albinus@gmx.de>

	* processes.texi (Asynchronous Processes):
	* files.texi (Magic File Names): Add `start-file-process'.

2007-06-27  Richard Stallman  <rms@gnu.org>

	* files.texi (Format Conversion Piecemeal):
	Clarify `after-insert-file-functions' calling convention.

2007-06-27  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Magic File Names): Remove `dired-call-process'.
	Add `process-file'.

2007-06-27  Kenichi Handa  <handa@m17n.org>

	* text.texi (Special Properties): Fix description about
	`composition' property.

2007-06-26  Kenichi Handa  <handa@m17n.org>

	* nonascii.texi (Default Coding Systems): Document about the
	return value `undecided'.

2007-06-25  David Kastrup  <dak@gnu.org>

	* keymaps.texi (Active Keymaps): Document new POSITION argument of
	`current-active-maps'.

2007-06-24  Karl Berry  <karl@gnu.org>

	* elisp.texi, vol1.texi, vol2.texi: New Back-Cover Text.

2007-06-15  Juanma Barranquero  <lekktu@gmail.com>

	* display.texi (Overlay Arrow): Doc fix.

2007-06-14  Karl Berry  <karl@tug.org>

	* anti.texi (Antinews): Typo.

2007-06-14  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Image Cache): Document image-refresh.

2007-06-12  Karl Berry  <karl@gnu.org>

	* vol1.texi, vol2.texi, two-volume-cross-refs.txt: Update.
	* two-volume.make: New file.
	* .cvsignore: Ignore two-volume files.

2007-06-12  Tom Tromey  <tromey@redhat.com>

	* os.texi (Init File): Document user-emacs-directory.

2007-06-03  Nick Roberts  <nickrob@snap.net.nz>

	* commands.texi (Click Events): Describe width and height when
	object is nil.

2007-05-30  Nick Roberts  <nickrob@snap.net.nz>

	* commands.texi (Click Events): Layout more logically.
	Describe width and height.
	(Drag Events, Motion Events): Update to new format for position.

2007-06-02  Richard Stallman  <rms@gnu.org>

	* frames.texi (Color Parameters): Add xref to (emacs)Standard Faces.

2007-06-02  Chong Yidong  <cyd@stupidchicken.com>

	* Version 22.1 released.

2007-06-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* text.texi (Special Properties): Correct meaning of fontified face.

2007-05-30  Richard Stallman  <rms@gnu.org>

	* text.texi (Special Properties): Add link to Adjusting Point.

2007-05-12  Richard Stallman  <rms@gnu.org>

	* text.texi (Margins): indent-to-left-margin is not the default.
	(Mode-Specific Indent): For indent-line-function, the default
	is indent-relative.

	* modes.texi (Example Major Modes): Explain last line of text-mode
	is redundant.

2007-05-10  Richard Stallman  <rms@gnu.org>

	* keymaps.texi (Scanning Keymaps): Update where-is-internal example.

	* help.texi (Keys in Documentation): Add reference to
	Documentation Tips.

	* files.texi (Format Conversion): TO-FN gets three arguments.

	* modes.texi (Auto Major Mode): Document file-start-mode-alist.

2007-05-10  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* elisp.texi (Top): Remove "Saving Properties" from detailed menu.
	* files.texi (Format Conversion): Expand intro; add menu.
	(Format Conversion Overview, Format Conversion Round-Trip)
	(Format Conversion Piecemeal): New nodes/subsections.
	* hooks.texi: Xref "Format Conversion" , not "Saving Properties".
	* text.texi (Text Properties): Remove "Saving Properties" from menu.
	(Saving Properties): Delete node/subsection.

2007-05-07  Karl Berry  <karl@gnu.org>

	* elisp.texi (EMACSVER): Back to 22.

2007-05-06  Richard Stallman  <rms@gnu.org>

	* processes.texi (Accepting Output): Revert most of previous change.

2007-05-05  Richard Stallman  <rms@gnu.org>

	* processes.texi (Accepting Output): accept-process-output
	uses microseconds, not milliseconds.  But that arg is obsolete.

2007-05-04  Karl Berry  <karl@tug.org>

	* elisp.texi (EMACSVER) [smallbook]: 22.1, not 22.

2007-05-04  Eli Zaretskii  <eliz@gnu.org>

	* tips.texi (Documentation Tips): Rearrange items to place the
	more important ones first.  Add an index entry for hyperlinks.

2007-05-03  Karl Berry  <karl@gnu.org>

	* elisp.texi (\urlcolor, \linkcolor) [smallbook]: \Black for printing.
	(EMACSVER) [smallbook]: 22 for printed version.

	* control.texi (Signaling Errors) <signal>: texinfo.tex is fixed,
	so restore anchor to normal position after defun.  Found by Kevin Ryde.

2007-04-26  Glenn Morris  <rgm@gnu.org>

	* elisp.texi (EMACSVER): Increase to 22.1.50.

2007-04-28  Karl Berry  <karl@gnu.org>

	* elisp.texi: Improve line breaks on copyright page,
	similar layout to emacs manual, 8.5x11 by default.

2007-04-24  Richard Stallman  <rms@gnu.org>

	* text.texi (Special Properties): Add xref to Overlay Properties.

	* display.texi (Overlay Properties): Add xref to Special Properties.

2007-04-22  Richard Stallman  <rms@gnu.org>

	* keymaps.texi (Extended Menu Items): Move the info about
	format with cached keyboard binding.

2007-04-21  Richard Stallman  <rms@gnu.org>

	* text.texi (Special Properties): Clarify previous change.

	* files.texi (File Name Expansion): Clarify previous change.

	* display.texi (Attribute Functions): Fix example for
	face-attribute-relative-p.

2007-04-19  Kenichi Handa  <handa@m17n.org>

	* text.texi (Special Properties): Document composition property.

2007-04-19  Glenn Morris  <rgm@gnu.org>

	* files.texi (File Name Expansion): Mention "superroot".

2007-04-15  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Multiple Displays): Add note about "multi-monitor"
	setups.
	(Display Feature Testing): Note that display refers to all
	physical monitors for multi-monitor setups.

2007-04-14  Richard Stallman  <rms@gnu.org>

	* lists.texi (Sets And Lists): Clarify `delete' examples.
	Remove spurious xref to same node.
	Clarify xref for add-to-list.

2007-04-12  Nick Roberts  <nickrob@snap.net.nz>

	* keymaps.texi (Format of Keymaps): Remove spurious ")" from
	value of lisp-mode-map.

2007-04-11  Karl Berry  <karl@gnu.org>

	* anti.texi (Antinews):
	* display.texi (Overlay Properties, Defining Images):
	* processes.texi (Synchronous Processes, Sentinels):
	* syntax.texi (Syntax Table Internals):
	* searching.texi (Regexp Special):
	* nonascii.texi (Default Coding Systems):
	* text.texi (Special Properties):
	* minibuf.texi (Basic Completion): Wording to improve breaks in
	8.5x11 format.
	* elisp.texi (smallbook): New @set to more easily switch between
	smallbook and 8.5x11.

2007-04-11  Richard Stallman  <rms@gnu.org>

	* text.texi (Lazy Properties): Minor fix.

2007-04-08  Karl Berry  <karl@gnu.org>

	* symbols.texi (Plists and Alists): Period after "vs" in index entries.
	* macros.texi (Backquote): Downcase Backquote in index entries for
	consistency.

2007-04-08  Richard Stallman  <rms@gnu.org>

	* text.texi (Adaptive Fill): Just describe default,
	don't show it (since it contains non-ASCII chars).

2007-04-07  Karl Berry  <karl@gnu.org>

	* text.texi (Adaptive Fill) [@iftex]: Omit binary characters in
	adaptive-fill-regexp's value, since they are not in the standard
	TeX fonts.

2007-04-07  Guanpeng Xu  <herberteuler@hotmail.com>

	* display.texi (Defining Faces): Fix example.

2007-04-07  Karl Berry  <karl@gnu.org>

	* display.texi (Button Buffer Commands): Improve page break.

2007-04-07  Richard Stallman  <rms@gnu.org>

	* advice.texi (Activation of Advice): Remove redundant index entry.

	* backups.texi: Improve index entries.  Remove redundant ones.

	* compile.texi (Byte Compilation): Improve index entry.

	* hash.texi (Creating Hash): Improve index entry.

	* symbols.texi (Definitions): Improve index entry.

	* edebug.texi: Improve index entries.  Remove redundant/useless ones.

	* maps.texi (Standard Keymaps): Remove useless index entry.

	* help.texi (Documentation Basics): Remove redundant index entries.

	* customize.texi: Improve index entries.
	Remove redundant/useless ones.

	* locals.texi (Standard Buffer-Local Variables): Clarify intro text.

	* streams.texi (Output Variables): Improve index entry.

	* abbrevs.texi (Abbrevs): Remove useless index entry.

	* macros.texi (Expansion): Remove useless index entry.

	* text.texi: Improve index entries.  Remove redundant/useless ones.
	(Text Properties, Examining Properties)
	(Special Properties): Use "property category" instead of "category"
	to refer to the `category' property.

	* positions.texi: Improve index entries.  Remove useless one.

	* lists.texi: Improve index entries.  Remove redundant/useless ones.

	* os.texi: Improve index entries.
	(Timers): Fix previous change.

	* buffers.texi: Improve index entries.
	(Modification Time): Get rid of term "obsolete buffer".

	* debugging.texi: Improve index entries.
	(Test Coverage): Add xref to other test coverage ftr.

	* eval.texi: Improve index entry.  Remove redundant ones.

	* numbers.texi: Improve index entries.  Remove redundant/useless ones.

	* files.texi: Improve index entries.  Remove redundant/useless ones.

	* objects.texi: Improve index entries.

	* processes.texi: Improve index entries.

	* modes.texi: Improve index entry.  Remove redundant one.

	* nonascii.texi: Improve index entries.

	* internals.texi: Improve index entries.

	* syntax.texi: Improve index entries.

	* keymaps.texi (Active Keymaps): Improve index entries.

	* commands.texi: Improve index entries.  Remove redundant/useless ones.

	* frames.texi: Improve index entries.  Remove redundant/useless ones.

	* markers.texi: Improve index entries.  Remove redundant ones.

	* tips.texi: Improve index entries.

	* loading.texi (Unloading): Improve index entry.

	* variables.texi: Improve index entries.  Remove redundant one.

	* sequences.texi: Improve index entry.

	* display.texi: Improve index entries.  Remove redundant ones.

	* windows.texi: Improve index entries.

	* searching.texi: Improve index entries.  Remove redundant one.

	* strings.texi (Case Tables): Improve last change.

2007-04-04  Chong Yidong  <cyd@stupidchicken.com>

	* strings.texi (Case Tables): Document with-case-table and
	ascii-case-table.

2007-04-03  Karl Berry  <karl@gnu.org>

	* processes.texi (Network): Reword to improve page break.

2007-04-03  Eli Zaretskii  <eliz@gnu.org>

	* functions.texi (Inline Functions): Describe more disadvantages
	of defsubst, and make advice against it stronger.

2007-04-02  Karl Berry  <karl@gnu.org>

	* backups.texi (Backup Names): Avoid widow words.
	* modes.texi (Example Major Modes): Align last comment.

2007-04-01  Chong Yidong  <cyd@stupidchicken.com>

	* keymaps.texi (Remapping Commands): Document new arg to
	command-remapping.

2007-04-01  Karl Berry  <karl@gnu.org>

	* processes.texi (Low-Level Network): Typo.
	* loading.texi (Hooks for Loading): Avoid double "the".
	* keymaps.texi (Key Sequences): No double "and".
	(Changing Key Bindings): Shorten to improve line break.

2007-03-31  Glenn Morris  <rgm@gnu.org>

	* os.texi (Timers): Fix description of run-at-time TIME formats.

2007-03-31  Richard Stallman  <rms@gnu.org>

	* display.texi (Invisible Text): Correct buffer-invisibility-spec
	regarding ellipsis.

2007-03-31  Eli Zaretskii  <eliz@gnu.org>

	* intro.texi (nil and t):
	* symbols.texi (Plists and Alists):
	* variables.texi (Variable Aliases, Constant Variables):
	* functions.texi (Defining Functions):
	* advice.texi (Advising Primitives):
	* debugging.texi (Syntax Errors, Compilation Errors):
	* minibuf.texi (Minibuffer Windows):
	* commands.texi (Adjusting Point):
	* modes.texi (Syntactic Font Lock, Faces for Font Lock)
	(Auto Major Mode, Major Mode Conventions):
	* help.texi (Describing Characters):
	* files.texi (Create/Delete Dirs, Information about Files)
	(File Locks, Writing to Files, Reading from Files)
	(Saving Buffers):
	* windows.texi (Resizing Windows, Cyclic Window Ordering):
	* frames.texi (Finding All Frames):
	* positions.texi (Buffer End, Motion):
	* markers.texi (The Region):
	* text.texi (Deletion, Near Point):
	* display.texi (Displaying Messages, Truncation):
	* os.texi (Processor Run Time):
	* tips.texi (Key Binding Conventions, Programming Tips)
	(Warning Tips, Documentation Tips, Comment Tips):
	* internals.texi (Memory Usage): Improve indexing.

	* variables.texi (Frame-Local Variables):
	* functions.texi (Argument List):
	* loading.texi (Library Search):
	* streams.texi (Output Variables):
	* keymaps.texi (Translation Keymaps, Searching Keymaps):
	* searching.texi (Replacing Match, Search and Replace):
	* processes.texi (Byte Packing, Decoding Output)
	(Accepting Output, Network Servers, Shell Arguments):
	* display.texi (Abstract Display, Image Cache, Scroll Bars):
	* windows.texi (Window Point, Window Start):
	* frames.texi (Management Parameters, Frame Parameters, Frame Titles):
	* commands.texi (Reading Input, Keyboard Events):
	* minibuf.texi (Reading File Names, Minibuffer Completion)
	(Recursive Mini):
	* positions.texi (List Motion):
	* hash.texi (Hash Tables, Creating Hash, Defining Hash):
	* numbers.texi (Arithmetic Operations, Math Functions)
	(Predicates on Numbers, Comparison of Numbers):
	(Numeric Conversions):
	* locals.texi (Standard Buffer-Local Variables):
	* maps.texi (Standard Keymaps):
	* os.texi (User Identification, System Environment, Recording Input)
	(X11 Keysyms):
	* nonascii.texi (Non-ASCII Characters, Splitting Characters):
	* backups.texi (Backups and Auto-Saving):
	* customize.texi (Customization, Group Definitions)
	(Variable Definitions):
	* compile.texi (Byte Compilation): Improve index entries.

2007-03-31  Karl Berry  <karl@gnu.org>

	* macros.texi (Defining Macros): Avoid widow syllable.

2007-03-31  Eli Zaretskii  <eliz@gnu.org>

	* elisp.texi (Top): Postscript -> PostScript.

	* display.texi (Images, Postscript Images): Postscript -> PostScript.

2007-03-31  Markus Triska  <markus.triska@gmx.at>

	* internals.texi (Writing Emacs Primitives): Untabify `For'.

2007-03-30  Karl Berry  <karl@gnu.org>

	* lists.texi (List-related Predicates): Remove spurious @need.
	(Setcdr): Use @smallexample to improve page break.
	(Association Lists) <assoc>: Reword to improve page break.

	* strings.texi (String Conversion): Insert blank line to improve
	page break.

	* numbers.texi (Random Numbers): Use @minus{}.
	(Math Functions): Use @minus{}.

	* intro.texi (Acknowledgements): Avoid line breaks before middle
	initials.

2007-03-24  Eli Zaretskii  <eliz@gnu.org>

	* errors.texi (Standard Errors): Add an index entry.

2007-03-19  Richard Stallman  <rms@gnu.org>

	* os.texi (Recording Input): recent-keys now gives 300 keys.

2007-03-12  Glenn Morris  <rgm@gnu.org>

	* os.texi: Replace "daylight savings" with "daylight saving"
	throughout.

2007-03-05  Richard Stallman  <rms@gnu.org>

	* variables.texi (File Local Variables):
	Update enable-local-variables values.

2007-03-04  Richard Stallman  <rms@gnu.org>

	* syntax.texi (Control Parsing): Minor clarification.

	* strings.texi (Formatting Strings): Clarify width, precision, flags.

	* sequences.texi (Sequence Functions): Move string-bytes away,
	add xref.

	* nonascii.texi (Text Representations): Move string-bytes here.

	* modes.texi (Major Mode Conventions): Fundamental mode is exception.

	* minibuf.texi (Basic Completion): Minor clarification.

	* markers.texi (The Mark): Clarify existence vs activation of mark.
	Other cleanup.

	* display.texi (Finding Overlays): Write better example.

	* compile.texi (Eval During Compile): Clarify putting macros
	in eval-when-compile.

2007-02-25  Vinicius Jose Latorre  <viniciusjl@ig.com.br>  (tiny change)

	* loading.texi (How Programs Do Loading): Fix anchor position at
	load-read-function definition doc.

2007-02-21  Kim F. Storm  <storm@cua.dk>

	* strings.texi (Text Comparison): Mention that assoc-string
	converts symbols to strings before testing.

2007-02-17  Kim F. Storm  <storm@cua.dk>

	* processes.texi (Bindat Spec): Vector types can have optional
	element type.
	(Bindat Examples): Fix example.  Add vector with element type.

2007-02-16  Andreas Schwab  <schwab@suse.de>

	* strings.texi (Formatting Strings): Document '+' flag.

2007-02-15  Juanma Barranquero  <lekktu@gmail.com>

	* strings.texi (Modifying Strings): Clarify that `clear-string'
	always converts the string to unibyte.

2007-02-14  Kim F. Storm  <storm@cua.dk>

	* display.texi (Glyphs): Add make-glyph-code, glyph-char, glyph-face.
	Rewrite glyph code description to refer to these functions.
	Remove details of encoding face number and char into integer code.

2007-02-03  Alan Mackenzie  <acm@muc.de>

	* loading.texi (Hooks for Loading): Make the description of
	`eval-after-load' more detailed, and amend the description of
	after-load-alist, in accordance with changes from 2006-05.

2007-02-03  Chong Yidong  <cyd@stupidchicken.com>

	* modes.texi (Defining Minor Modes): Document that a :require
	keyword or similar may be required to make saved customization
	variables work.

2007-02-03  Eli Zaretskii  <eliz@gnu.org>

	* elisp.texi (Top): Make the detailed menu headers compliant with
	Texinfo guidelines and with what texnfo-upd.el expects.
	Add comments to prevent people from inadvertently modifying the key
	parts needed by `texinfo-multiple-files-update'.

2007-02-02  Eli Zaretskii  <eliz@gnu.org>

	* elisp.texi (Top): Update the top-level menus.

	* syntax.texi (Categories): Add index entries.

2007-02-01  Juanma Barranquero  <lekktu@gmail.com>

	* display.texi (Attribute Functions): Fix name and description of
	the UNDERLINE arg of `set-face-underline-p'.

2007-01-29  Eli Zaretskii  <eliz@gnu.org>

	* elisp.texi (Top): Add "Standard Errors", "Standard Buffer-Local
	Variables", and "Standard Keymaps" to the detailed menu.

	* variables.texi (Future Local Variables): Add index entry.

2007-01-28  Richard Stallman  <rms@gnu.org>

	* tips.texi (Coding Conventions): Clarify the tip about macros
	that define a function or a variable.

	* files.texi (File Attributes): UID and GID can be floats.
	(Magic File Names): Explain why deferring all operations to
	the standard handler does not work.

2007-01-23  Martin Rudalics  <rudalics@gmx.at>

	* backups.texi (Reverting): Use "buffer" instead of "file"
	when talking about major and minor modes.

2007-01-21  Richard Stallman  <rms@gnu.org>

	* help.texi (Documentation): Add xref to Documentation Tips.

2007-01-14  Juanma Barranquero  <lekktu@gmail.com>

	* tips.texi (Coding Conventions): Fix typos.

2007-01-05  Richard Stallman  <rms@gnu.org>

	* modes.texi (Defining Minor Modes): Fix previous change.

2007-01-03  Richard Stallman  <rms@gnu.org>

	* customize.texi (Variable Definitions, Customization Types):
	Don't use * in doc string for defcustom.

2007-01-02  Richard Stallman  <rms@gnu.org>

	* variables.texi (Variable Aliases): Clarify that aliases vars
	always have the same value.

	* processes.texi (Bindat Spec): Fix Texinfo usage.

	* modes.texi (Defining Minor Modes): Explain effect of command
	defined with define-global-minor-mode on new buffers.

2006-12-30  Kim F. Storm  <storm@cua.dk>

	* keymaps.texi (Tool Bar): Describe `grow-only' value of
	`auto-resize-tool-bars'.

2006-12-30  Richard Stallman  <rms@gnu.org>

	* keymaps.texi (Active Keymaps): Fix previous change.

2006-12-30  Nick Roberts  <nickrob@snap.net.nz>

	* keymaps.texi (Active Keymaps): Make xref to lookup-key.

2006-12-30  Kim F. Storm  <storm@cua.dk>

	* processes.texi (Bindat Spec): Clarify using field names in
	length specifications.

2006-12-29  Kim F. Storm  <storm@cua.dk>

	* processes.texi (Bindat Spec): Explain eval forms and lengths better.
	Add count and index variables for eval forms in repeat blocks.

2006-12-24  Richard Stallman  <rms@gnu.org>

	* customize.texi (Variable Definitions):
	Document new name custom-add-frequent-value.

2006-12-19  Kim F. Storm  <storm@cua.dk>

	* commands.texi (Misc Events): User signals now result in sigusr1
	and sigusr2 events which are handled through special-event-map.
	(Special Events): User signals and drag-n-drop are special.

2006-12-17  Richard Stallman  <rms@gnu.org>

	* loading.texi (Named Features): Explain subfeatures better.

	* customize.texi: Use "option" only for user options.
	For the keyword values inside defcustom etc, say "keywords".
	For :options value's elements, say "elements".
	:group should not be omitted.

	* syntax.texi (Parsing Expressions): Split up node.
	(Motion via Parsing, Position Parse, Parser State)
	(Low-Level Parsing, Control Parsing): New subnodes.
	(Parser State): Document syntax-ppss-toplevel-pos.

	* positions.texi (List Motion): Punctuation fix.

	* files.texi (File Name Completion): Document PREDICATE arg
	to file-name-completion.

2006-12-16  Eli Zaretskii  <eliz@gnu.org>

	* internals.texi (Building Emacs, Writing Emacs Primitives):
	Add index entries.

2006-12-11  Richard Stallman  <rms@gnu.org>

	* modes.texi (Font Lock Basics): Explain how nil for font-lock-defaults
	affects face menu.  Explain how to make it non-nil without enabling
	any fontification.

2006-12-10  Chong Yidong  <cyd@stupidchicken.com>

	* modes.texi (Font Lock Basics): Document nil value of
	font-lock-defaults.

2006-12-10  Glenn Morris  <rgm@gnu.org>

	* abbrevs.texi (Defining Abbrevs): Mention `define-abbrev' 'force
	value for system-flag argument.  Abbrev tables may not be empty
	when major modes are loaded.

2006-12-08  Juanma Barranquero  <lekktu@gmail.com>

	* makefile.w32-in (maintainer-clean): Partially revert last
	change; delete "elisp-?" and "elisp-??" instead of "elisp-*"
	to protect elisp-covers.texi.

2006-12-07  Juanma Barranquero  <lekktu@gmail.com>

	* makefile.w32-in (maintainer-clean): Depend on `distclean'.
	Don't remove elisp* info files; they are already deleted by the
	`clean' and `distclean' targets, and they are in the $(infodir)
	directory, not the current one.

2006-12-04  Kim F. Storm  <storm@cua.dk>

	* commands.texi (Misc Events): Update signal events.
	(Event Examples): Add signal example.

2006-11-29  Richard Stallman  <rms@gnu.org>

	* frames.texi (Visibility of Frames): Explain visible windows
	can be covered by others.  Add xref for raise-frame.

2006-11-28  Richard Stallman  <rms@gnu.org>

	* searching.texi (Regexp Special): Update when ^ is special.

2006-11-27  Eli Zaretskii  <eliz@gnu.org>

	* customize.texi (Customization, Common Keywords)
	(Group Definitions, Variable Definitions, Composite Types)
	(Type Keywords, Customization Types): Add index entries for
	various customization keywords.

2006-11-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* modes.texi (Multiline Font Lock): Rephrase some parts for clarity.

2006-11-10  Jan Djärv  <jan.h.d@swipnet.se>

	* frames.texi (Window System Selections): Remove clipboard from
	description of selection-coding-system.

2006-11-06  Richard Stallman  <rms@gnu.org>

	* lists.texi (List Variables): Document COMPARE-FN.

	* keymaps.texi: Avoid use of "binding" to mean a relation;
	use it only to refer to the meaning associated with a key.
	(Keymaps): Change menu node description.

	* elisp.texi (Top): Change menu node description.

	* display.texi (Managing Overlays): Document overlay-recenter.

2006-10-29  Chong Yidong  <cyd@stupidchicken.com>

	* Makefile.in: Use relative paths to avoid advertising filesystem
	contents during compilation.

2006-10-23  Kim F. Storm  <storm@cua.dk>

	* commands.texi (Event Input Misc): Update unread-command-events.

2006-10-23  Nick Roberts  <nickrob@snap.net.nz>

	* lists.texi (Sets And Lists): Fix typos.

2006-10-18  Juanma Barranquero  <lekktu@gmail.com>

	* control.texi (Processing of Errors): Use @var for an argument,
	not @code.

2006-10-16  Richard Stallman  <rms@gnu.org>

	* edebug.texi (Edebug Recursive Edit): Minor cleanup.

	* keymaps.texi (Format of Keymaps): Show all the keymap element
	patterns that result from menu items.
	(Key Lookup): Minor cleanups.

	* modes.texi (Precalculated Fontification): Don't say that
	not setting font-lock-defaults avoids loading font-lock.

	* help.texi (Documentation): Move xref to Emacs Manual here.
	(Documentation Basics): From here.
	Also doc emacs-lisp-docstring-fill-column.

	* elisp.texi: Update version and ISBN.

	* commands.texi (Interactive Call): Clarify KEYS arg to
	call-interactively is a vector.
	(Command Loop Info): Delete anchor in this-command-keys.
	Add anchor in this-command-keys-vector.
	(Recursive Editing): Document how recursive-edit
	handles the current buffer.

2006-10-13  Chong Yidong  <cyd@stupidchicken.com>

	* frames.texi (Frame Titles): %c and %l are ignored in
	frame-title-format.

2006-10-11  Richard Stallman  <rms@gnu.org>

	* keymaps.texi (Key Sequences): Clarify use of kbd.

2006-10-10  Kim F. Storm  <storm@cua.dk>

	* lists.texi (Sets And Lists): Add memql.

2006-10-03  Richard Stallman  <rms@gnu.org>

	* searching.texi (Char Classes): Document :multibyte: and :unibyte:.
	Clarify :ascii: and :nonascii:.

2006-09-29  Juri Linkov  <juri@jurta.org>

	* modes.texi (%-Constructs): Reorder coding systems in the
	documentation of %z to the real order displayed in the modeline.

2006-09-25  Richard Stallman  <rms@gnu.org>

	* os.texi (Timers): Describe timer-max-repeats.

2006-09-25  Chong Yidong  <cyd@stupidchicken.com>

	* os.texi (Timers): Mention with-local-quit.

2006-09-24  Richard Stallman  <rms@gnu.org>

	* searching.texi (Searching and Matching): Mention property search.

	* commands.texi (Command Loop Info): Explain how read-event affects
	this-command-keys.

2006-09-20  Richard Stallman  <rms@gnu.org>

	* os.texi (Timers): Clarify about REPEAT when timer is delayed.

	* windows.texi (Window Start): Minor cleanups.

2006-09-20  Kim F. Storm  <storm@cua.dk>

	* windows.texi (Window Start): pos-visible-in-window-p allows
	specifying t for position to mean "end of window".
	Add window-line-height.

	* anti.texi (Antinews): Mention window-line-height.

2006-09-19  David Kastrup  <dak@gnu.org>

	* keymaps.texi (Searching Keymaps): Small clarification.

2006-09-18  Richard Stallman  <rms@gnu.org>

	* keymaps.texi (Creating Keymaps): Explain that keymap prompt strings
	cause keyboard menus.
	(Menu Keymaps): Likewise.
	(Defining Menus, Keyboard Menus): Clarify.

	* text.texi (Fields): Clarify explanation of constrain-to-field.

2006-09-16  Eli Zaretskii  <eliz@gnu.org>

	* variables.texi (Tips for Defining): Fix a typo.

2006-09-15  Richard Stallman  <rms@gnu.org>

	* keymaps.texi (Remapping Commands, Searching Keymaps)
	(Active Keymaps): Clean up previous change.

2006-09-15  Jay Belanger  <belanger@truman.edu>

	* gpl.texi: Replace "Library Public License" by "Lesser Public
	License" throughout.

2006-09-15  David Kastrup  <dak@gnu.org>

	* keymaps.texi (Active Keymaps): Adapt description to use
	`get-char-property' instead `get-text-property'.  Explain how
	mouse events change this.  Explain the new optional argument of
	`key-binding' and its mouse-dependent lookup.
	(Searching Keymaps): Adapt description similarly.
	(Remapping Commands): Explain the new optional argument of
	`command-remapping'.

2006-09-14  Richard Stallman  <rms@gnu.org>

	* keymaps.texi (Searching Keymaps): Clarification.
	(Active Keymaps): Refer to Searching Keymaps instead of duplication.

2006-09-13  Richard Stallman  <rms@gnu.org>

	* objects.texi (Character Type): Node split.
	Add xref to Describing Characters.
	(Basic Char Syntax, General Escape Syntax)
	(Ctl-Char Syntax, Meta-Char Syntax): New subnodes.

2006-09-11  Richard Stallman  <rms@gnu.org>

	* display.texi (Display Table Format): Wording clarification.
	(Glyphs): Clarifications.

2006-09-10  Chong Yidong  <cyd@stupidchicken.com>

	* keymaps.texi (Active Keymaps): Mention that key-binding checks
	local maps.

2006-09-10  Kim F. Storm  <storm@cua.dk>

	* display.texi (Forcing Redisplay): Document return value of
	function redisplay.

2006-09-09  Richard Stallman  <rms@gnu.org>

	* windows.texi (Window Hooks): Explain limits of
	window-scroll-functions.

	* display.texi (Fringe Indicators): Update for last change in
	indicate-buffer-boundaries.

2006-09-08  Richard Stallman  <rms@gnu.org>

	* processes.texi (Bindat Spec): Suggest names ending in -bindat-spec.

2006-09-06  Kim F. Storm  <storm@cua.dk>

	* frames.texi (Display Feature Testing): display-mm-dimensions-alist.

	* windows.texi (Window Start): Update pos-visible-in-window-p.

2006-09-04  Richard Stallman  <rms@gnu.org>

	* processes.texi (Accepting Output): Explain SECONDS=0 for
	accept-process-output.

	* os.texi (Idle Timers): Explain why timer functions should not
	loop until (input-pending-p).

2006-09-02  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (usermanualdir): New variable.
	(elisp.dvi): Use it.

2006-09-01  Eli Zaretskii  <eliz@gnu.org>

	* buffers.texi (Buffer Modification): Fix last change.

2006-09-01  Chong Yidong  <cyd@stupidchicken.com>

	* buffers.texi (Buffer Modification):
	Document buffer-chars-modified-tick.

2006-08-31  Richard Stallman  <rms@gnu.org>

	* modes.texi (Syntactic Font Lock): Mention specific faces once again.

2006-08-31  Richard Bielawski  <RBielawski@moneygram.com>  (tiny change)

	* modes.texi (Syntactic Font Lock):
	Mention font-lock-syntactic-face-function
	instead of specific faces.

2006-08-29  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Images): Add xrref to display-images-p.

2006-08-28  Kenichi Handa  <handa@m17n.org>

	* nonascii.texi (Lisp and Coding Systems): Fix description of
	detect-coding-region.

2006-08-27  Michael Olson  <mwolson@gnu.org>

	* processes.texi (Transaction Queues): Remove stray quote
	character.

2006-08-25  Richard Stallman  <rms@gnu.org>

	* os.texi (Idle Timers): run-with-idle-timer allows Lisp time value.
	Add xref.

2006-08-24  Chong Yidong  <cyd@stupidchicken.com>

	* os.texi (Timers): Avoid waiting inside timers.

2006-08-21  Lute Kamstra  <lute@gnu.org>

	* Makefile.in: Use ../man/texinfo.tex to build elisp.dvi.

2006-08-20  Richard Stallman  <rms@gnu.org>

	* os.texi (Idle Timers): New node, split out from Timers.
	Document current-idle-time.
	* commands.texi (Reading One Event): Update xref.
	* elisp.texi (Top): Update subnode menu.

2006-08-16  Richard Stallman  <rms@gnu.org>

	* keymaps.texi (Extended Menu Items): Show format of cached
	bindings in extended menu items.

	* customize.texi (Variable Definitions): Explain when the
	standard value expression is evaluated.

2006-08-15  Chong Yidong  <cyd@stupidchicken.com>

	* commands.texi (Reading One Event): Explain idleness in
	`read-event'.

2006-08-12  Chong Yidong  <cyd@stupidchicken.com>

	* text.texi (Near Point): Say "cursor" not "terminal cursor".
	(Commands for Insertion): Remove split-line since it's not
	relevant for Lisp programming.
	(Yank Commands): Rewrite introduction.
	(Undo): Clarify.
	(Maintaining Undo): Clarify.  Document undo-ask-before-discard.
	(Filling): Remove redundant comment.  Clarify return value of
	current-justification.
	(Margins): Minor clarifications.
	(Adaptive Fill): Update default value of adaptive-fill-regexp.
	(Sorting): Update definition of sort-lines.
	(Columns): Clarify behavior of sort-columns.
	(Indent Tabs): Link to Tab Stops in Emacs manual.
	(Special Properties): Clarify.
	(Clickable Text): Mention Buttons package.

2006-08-12  Kevin Ryde  <user42@zip.com.au>

	* os.texi (Time Parsing): Add %z to description of
	format-time-string, as per docstring.  Add cross reference to
	glibc manual for strftime.

2006-08-08  Richard Stallman  <rms@gnu.org>

	* modes.texi: Clean up wording in previous change.

2006-08-07  Chong Yidong  <cyd@stupidchicken.com>

	* modes.texi (Hooks): Clarify.
	(Major Mode Basics): Mention define-derived-mode explicitly.
	(Major Mode Conventions): Rebinding RET is OK for some modes.
	Mention change-major-mode-hook and after-change-major-mode-hook.
	(Example Major Modes): Move to end of Modes section.
	(Mode Line Basics): Clarify.
	(Mode Line Data): Mention help-echo and local-map in strings.
	Explain reason for treatment of non-risky variables.
	(Properties in Mode): Clarify.
	(Faces for Font Lock): Add font-lock-negation-char-face.

2006-08-04  Eli Zaretskii  <eliz@gnu.org>

	* strings.texi (Formatting Strings): Warn against arbitrary
	strings as first arg to `format'.

2006-07-31  Thien-Thi Nguyen  <ttn@gnu.org>

	* text.texi (Clickable Text): Mention `help-echo' text property.
	Update intro, examples and associated explanations.

2006-07-31  Richard Stallman  <rms@gnu.org>

	* commands.texi: Update xrefs.
	(Event Mod): New node, cut out from old Translating Input.

	* maps.texi: Update xrefs.

	* keymaps.texi (Translation Keymaps): New node.
	Update xrefs from Translating Input to Translation Keymaps.

	* elisp.texi (Top): Update subnode menu.

	* display.texi (Face Functions): Fix explanations of FRAME=t or nil.

	* os.texi (System Interface): Fix menu descriptions of some nodes.
	(Translating Input): Node deleted.

2006-07-31  Nick Roberts  <nickrob@snap.net.nz>

	* modes.texi (Minor Mode Conventions): Update xref for add-to-list.

	* lists.texi (Sets And Lists): Likewise.

2006-07-30  Thien-Thi Nguyen  <ttn@gnu.org>

	* text.texi (Fields): Mention POS
	requirement when narrowing is in effect.

2006-07-28  Richard Stallman  <rms@gnu.org>

	* display.texi (Face Attributes): Simplify wording.
	(Attribute Functions): Clarify meaning of new-frame default
	attribute settings.

	* customize.texi (Common Keywords): Document how to use
	:package-version in a package not in Emacs.

2006-07-28  Kim F. Storm  <storm@cua.dk>

	* commands.texi (Reading One Event): Fix last change.

2006-07-26  Chong Yidong  <cyd@stupidchicken.com>

	* commands.texi (Reading One Event): Document SECONDS argument for
	read-event, read-char, and read-char-exclusive.

2006-07-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* modes.texi (Multiline Font Lock): Can't use jit-lock-defer-multiline
	to ensure correct identification.

2006-07-24  Richard Stallman  <rms@gnu.org>

	* text.texi (Clickable Text): Clarify.

	* sequences.texi (Vector Functions): Delete duplicate xref.

	* objects.texi (Function Type): Clarify.

	* modes.texi (Keymaps and Minor Modes): List punct chars for minor
	modes.

	* lists.texi (List Variables): New node.
	Material moved from other nodes.

	* variables.texi (Setting Variables): add-to-list and
	add-to-ordered-list moved to List Variables node.

2006-07-23  Thien-Thi Nguyen  <ttn@gnu.org>

	* text.texi (Links and Mouse-1):
	For mouse-on-link-p, expand on arg POS.

2006-07-21  Kim F. Storm  <storm@cua.dk>

	* display.texi (Forcing Redisplay): Don't mention systems which
	don't support sub-second timers for redisplay-preemption-period.

	* os.texi (Terminal Output): Clarify text vs graphical terminal.

2006-07-21  Eli Zaretskii  <eliz@gnu.org>

	* frames.texi (Input Focus): Document that focus-follows-mouse has
	no effect on MS-Windows.

2006-07-18  Richard Stallman  <rms@gnu.org>

	* display.texi (Forcing Redisplay): Cleanups in previous change.

	* processes.texi (Low-Level Network): Make menu more convenient.

2006-07-18  Kim F. Storm  <storm@cua.dk>

	* display.texi (Forcing Redisplay): redisplay-preemption-period
	only used on window systems.  Add xref to Terminal Output.

	* os.texi (Terminal Output): baud-rate only controls preemption on
	non-window systems.  Add xref to Forcing Redisplay.

	* processes.texi (Low-Level Network): Rename node "Make Network"
	to "Network Processes".

2006-07-18  Karl Berry  <karl@gnu.org>

	* variables.texi, functions.texi, customize.texi, loading.texi:
	* edebug.texi, minibuf.texi: Fix page breaks through chapter 20.

2006-07-17  Chong Yidong  <cyd@stupidchicken.com>

	* commands.texi (Waiting): Document batch-mode sit-for behavior.

2006-07-17  Richard Stallman  <rms@gnu.org>

	* eval.texi, elisp.texi, text.texi: Use real doublequote inside menus.
	Put period and comma inside quotes.

	* loading.texi, markers.texi: Use real doublequote inside menus.

	* windows.texi: Put point and comma inside quotes.
	(Textual Scrolling): Use @samp for error message.

	* variables.texi, tips.texi, syntax.texi, symbols.texi:
	* strings.texi, streams.texi, processes.texi, os.texi:
	* objects.texi, numbers.texi, modes.texi, minibuf.texi:
	* lists.texi, keymaps.texi, intro.texi, hash.texi, internals.texi:
	* gpl.texi, functions.texi, files.texi, frames.texi, doclicense.texi:
	* display.texi, control.texi, commands.texi, buffers.texi, anti.texi:
	Put point and comma inside quotes.

	* control.texi (Processing of Errors): Add command-error-function.

	* variables.texi (File Local Variables): Clarify that
	file local variables make buffer-local bindings.

	* modes.texi (Syntactic Font Lock): Give default for
	font-lock-syntax-table.

2006-07-17  Nick Roberts  <nickrob@snap.net.nz>

	* text.texi (Special Properties): Clean up previous change.

2006-07-16  Karl Berry  <karl@gnu.org>

	* objects.texi, numbers.texi, strings.texi, lists.texi, hash.texi:
	* control.texi: Fix bad page breaks through chapter 10 (control).

	* anti.texi (Antinews): Reorder face-attribute fns to avoid
	underfull hbox.

2006-07-15  Nick Roberts  <nickrob@snap.net.nz>

	* text.texi (Special Properties): Describe fontified text property
	in relation to a character (not text).

2006-07-15  Kim F. Storm  <storm@cua.dk>

	* maps.texi (Standard Keymaps): Add xref for minibuffer maps.
	Add apropos-mode-map, custom-mode-map, esc-map, global-map,
	grep-mode-map, help-map, help-mode-map, kmacro-map, and tool-bar-map.

	* anti.texi (Antinews): Mention redisplay function.
	The kbd macro existed, but was not documented, before 22.x.
	Function pos-visible-in-window-p is not new in 22.x, just enhanced.

2006-07-14  Nick Roberts  <nickrob@snap.net.nz>

	* display.texi (Displaying Messages): Add anchor.

	* frames.texi (Dialog Boxes): Use it.

2006-07-12  Richard Stallman  <rms@gnu.org>

	* objects.texi (Frame Type): Explain nature of frames better.

	* frames.texi (Frames): Explain nature of frames better.

2006-07-12  Ken Manheimer  <ken.manheimer@gmail.com>

	* tips.texi (Coding Conventions): Explain why use cl at compile time.

2006-07-12  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* frames.texi (Window System Selections): Mention scrap support for Mac.
	Default value of x-select-enable-clipboard is t on Mac.

	* os.texi (Getting Out): Suspending is not allowed on Mac, either.

2006-07-11  Kim F. Storm  <storm@cua.dk>

	* display.texi (Forcing Redisplay): Add `redisplay' function.
	Don't mention (sit-for -1) -- use (redisplay t) instead.

	* commands.texi (Waiting): (sit-for -1) is no longer special.
	(sit-for 0) is equivalent to (redisplay).
	Iconifying/deiconifying no longer makes sit-for return.

2006-07-10  Nick Roberts  <nickrob@snap.net.nz>

	* display.texi (Buttons): Fix typo.

	* index.texi, elisp.texi (New Symbols): Comment node out.

2006-07-09  Richard Stallman  <rms@gnu.org>

	* display.texi (Truncation): Clean up previous change.

2006-07-08  Richard Stallman  <rms@gnu.org>

	* commands.texi (Interactive Call): Use 3 as prefix in example
	for execute-extended-command.

	* display.texi (Attribute Functions): Move paragraph about
	compatibility with Emacs < 21.

2006-07-09  Kim F. Storm  <storm@cua.dk>

	* display.texi (Refresh Screen): Clarify force-window-update.
	(Truncation): "Normally" indicated by fringe arrows.

2006-07-08  Eli Zaretskii  <eliz@gnu.org>

	* windows.texi (Textual Scrolling, Resizing Windows):
	* variables.texi (Constant Variables):
	* text.texi (Buffer Contents, Deletion, Changing Properties)
	(Property Search, Special Properties, Sticky Properties)
	(Links and Mouse-1, Fields, Change Hooks):
	* syntax.texi (Syntax Table Functions, Parsing Expressions)
	(Categories):
	* symbols.texi (Other Plists):
	* streams.texi (Output Variables):
	* processes.texi (Input to Processes, Query Before Exit):
	* positions.texi (Word Motion, Text Lines, List Motion):
	* os.texi (Init File, System Environment, Sound Output)
	(Session Management):
	* nonascii.texi (Text Representations, Character Sets)
	(Chars and Bytes, Locales):
	* modes.texi (Defining Minor Modes, Header Lines):
	* minibuf.texi (Minibuffer Contents):
	* markers.texi (Information from Markers):
	* lists.texi (List Elements, Building Lists, Association Lists):
	* keymaps.texi (Tool Bar):
	* hash.texi (Creating Hash, Hash Access, Defining Hash, Other Hash):
	* functions.texi (What Is a Function, Mapping Functions):
	* frames.texi (Creating Frames, Parameter Access, Pointer Shape)
	(Color Names, Text Terminal Colors, Display Feature Testing):
	* files.texi (Visiting Functions, File Name Components)
	(Unique File Names, Contents of Directories):
	* display.texi (Forcing Redisplay, Displaying Messages)
	(Temporary Displays, Font Selection, Auto Faces)
	(Font Lookup, Fringe Indicators, Display Margins)
	(Image Descriptors, Showing Images, Image Cache, Button Types)
	(Making Buttons, Manipulating Buttons, Button Buffer Commands)
	(Display Table Format, Glyphs):
	* control.texi (Iteration):
	* commands.texi (Command Loop Info, Adjusting Point):
	* backups.texi (Making Backups, Auto-Saving):
	Remove @tindex entries.

2006-07-07  Kim F. Storm  <storm@cua.dk>

	* display.texi (Fringe Cursors): Fix typo.
	(Customizing Bitmaps): Fix define-fringe-bitmap entry.
	(Overlay Arrow): Default is overlay-arrow fringe indicator.

2006-07-05  Richard Stallman  <rms@gnu.org>

	* text.texi (Buffer Contents): Add example of text props
	in result of buffer-substring.
	(Text Properties): Explain better about use of specific property names.
	(Property Search): Some cleanups; reorder some functions.

	* keymaps.texi (Changing Key Bindings): Cleanup.
	Add xref to Key Binding Conventions.

	* display.texi (Attribute Functions): Add examples for
	face-attribute-relative-p.

	* tips.texi (Coding Conventions): Cleanup last change.

2006-07-05  Karl Berry  <karl@gnu.org>

	* elisp.texi: Use @fonttextsize 10pt, a la emacs.texi.
	Remove @setchapternewpage odd.
	Result is 1013 pages, down from 1100.

	* anti.texi, customize.texi, display.texi, internals.texi:
	* minibuf.texi, modes.texi, tips.texi:
	Fix overfull/underfull boxes.

2006-07-05  Thien-Thi Nguyen  <ttn@gnu.org>

	* edebug.texi (Instrumenting):
	Add Edebug-specific findex for eval-buffer.
	* loading.texi (Loading):
	Replace eval-current-buffer with eval-buffer.

2006-06-30  Nick Roberts  <nickrob@snap.net.nz>

	* locals.texi (Standard Buffer-Local Variables): Update the list
	of variables.

2006-06-26  Nick Roberts  <nickrob@snap.net.nz>

	* files.texi (File Name Completion): Point user to the node
	"Reading File Names".

2006-06-24  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (Contents of Directories): Document case-insensitive
	behavior on respective filesystems.

	* objects.texi (Character Type): Document that Emacs signals an
	error for unsupported Unicode characters specified as \uNNNN.

2006-06-19  Richard Stallman  <rms@gnu.org>

	* processes.texi (Bindat Spec): Clarify previous change.

2006-06-16  Richard Stallman  <rms@gnu.org>

	* tips.texi (Coding Conventions): Better explain conventions
	for definition constructs.

	* text.texi (Special Properties): String value of `read-only'
	serves as the error message.

	* objects.texi (Character Type): Clarify prev. change.
	(Non-ASCII in Strings): Mention \u and \U.

	* commands.texi (Using Interactive): Explain problem of
	markers, etc., in command-history.

2006-06-14  Kim F. Storm  <storm@cua.dk>

	* commands.texi (Waiting): Negative arg to sit-for forces
	redisplay even if input is pending.

	* display.texi (Forcing Redisplay): Use (sit-for -1) to force a
	redisplay.  Remove incorrect example of binding redisplay-dont-pause
	around (sit-for 0).

2006-06-13  Richard Stallman  <rms@gnu.org>

	* display.texi (Forcing Redisplay): Clarify previous change.

2006-06-13  Romain Francoise  <romain@orebokech.com>

	* display.texi (Forcing Redisplay): Fix typo.

2006-06-13  Kim F. Storm  <storm@cua.dk>

	* display.texi (Forcing Redisplay): Add redisplay-preemption-period.

2006-06-10  Luc Teirlinck  <teirllm@auburn.edu>

	* tips.texi (Coding Conventions): Add `@end itemize'.

2006-06-10  Richard Stallman  <rms@gnu.org>

	* tips.texi (Coding Conventions): Explain use of coding systems
	to ensure one decoding for strings.

2006-06-09  Aidan Kehoe  <kehoea@parhasard.net>

	* objects.texi (Character Type): Describe the \uABCD and \U00ABCDEF
	syntax.

2006-06-07  Eli Zaretskii  <eliz@gnu.org>

	* display.texi (Font Selection): Remove description of
	clear-face-cache.

	* compile.texi (Eval During Compile): Fix a typo.  Add index
	entries for possible uses of eval-when-compile.

2006-06-04  Thien-Thi Nguyen  <ttn@gnu.org>

	* display.texi (Abstract Display): Fix typo.

2006-06-03  Eli Zaretskii  <eliz@gnu.org>

	* minibuf.texi (Minibuffer History) <history-add-new-input>:
	Reword variable's description.

2006-06-01  Richard Stallman  <rms@gnu.org>

	* windows.texi (Splitting Windows): Clarify splitting nonselected
	window.

2006-05-31  Juri Linkov  <juri@jurta.org>

	* minibuf.texi (Minibuffer History): Add history-add-new-input.

2006-05-30  Richard Stallman  <rms@gnu.org>

	* display.texi (Line Height): Fix errors in description of
	default line height and line-height property.

	* nonascii.texi (Default Coding Systems): Further clarification.

2006-05-29  Luc Teirlinck  <teirllm@auburn.edu>

	* internals.texi (Pure Storage): Mention that an overflow in pure
	space causes a memory leak.
	(Garbage Collection): If there was an overflow in pure space,
	`garbage-collect' returns nil.

2006-05-30  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Default Coding Systems): Fix it some more.

2006-05-29  Eli Zaretskii  <eliz@gnu.org>

	* nonascii.texi (Default Coding Systems): Fix last change.

2006-05-29  Kenichi Handa  <handa@m17n.org>

	* nonascii.texi (find-operation-coding-system): Describe the new
	argument format (FILENAME . BUFFER).

2006-05-28  Richard Stallman  <rms@gnu.org>

	* tips.texi (Coding Conventions): Better explain reasons not to
	advise other packages or use `eval-after-load'.

2006-05-29  Kim F. Storm  <storm@cua.dk>

	* processes.texi (Bindat Functions): Rename `pos' and `raw-data' to
	`bindat-idx' and `bindat-raw' for clarity.

2006-05-27  Thien-Thi Nguyen  <ttn@gnu.org>

	* processes.texi (Bindat Spec): Expand on `repeat' handler.

	* display.texi (Display): Add "Abstract Display" to menu.
	(Abstract Display, Abstract Display Functions)
	(Abstract Display Example): New nodes.
	* elisp.texi (Top): Add "Abstract Display" to menu.

2006-05-27  Chong Yidong  <cyd@stupidchicken.com>

	* keymaps.texi (Key Sequences): Link to input events definition.
	(Format of Keymaps): Delete material duplicated in Keymap Basics.

	* files.texi (Changing Files): Document updated argument list for
	copy-file.

2006-05-27  Thien-Thi Nguyen  <ttn@gnu.org>

	* processes.texi (Bindat Functions): Explain term "total length".
	Use it in bindat-length and bindat-pack descriptions.

2006-05-26  Eli Zaretskii  <eliz@gnu.org>

	* tips.texi (Coding Conventions): Advise against using
	eval-after-load in packages.  Add an index entry.

2006-05-25  Juri Linkov  <juri@jurta.org>

	* minibuf.texi (Text from Minibuffer): Undocument keep-all.

	* modes.texi (%-Constructs): Add %e, %z, %Z.

2006-05-25  Richard Stallman  <rms@gnu.org>

	* elisp.texi (Top): Update subnode menu.

	* keymaps.texi (Keymap Basics): New node, split out of Key Sequences.
	(Keymaps): Update menu.

2006-05-25  Chong Yidong  <cyd@stupidchicken.com>

	* keymaps.texi (Key Sequences): Some clarifications.

2006-05-25  Thien-Thi Nguyen  <ttn@gnu.org>

	* processes.texi (Bindat Functions): Say "unibyte string"
	explicitly for bindat-unpack and bindat-pack descriptions.
	(Bindat Examples): Don't call `string-make-unibyte' in example.

2006-05-25  Chong Yidong  <cyd@stupidchicken.com>

	* keymaps.texi (Key Sequences): Rename from Keymap Terminology.
	Explain string and vector representations of key sequences.

	* keymaps.texi (Changing Key Bindings):
	* commands.texi (Interactive Codes):
	* help.texi (Describing Characters): Refer to it.

2006-05-23  Luc Teirlinck  <teirllm@auburn.edu>

	* frames.texi (Pointer Shape): @end table -> @end defvar.

2006-05-22  Richard Stallman  <rms@gnu.org>

	* elisp.texi (Top): Update subnode menus.

	* frames.texi (Pointer Shape): Node renamed from Pointer Shapes.
	Contents rewritten; material from old Pointer Shape node moved here.

	* display.texi (Pointer Shape): Node deleted.
	(Image Descriptors): Minor cleanup.

2006-05-21  Richard Stallman  <rms@gnu.org>

	* syntax.texi (Parsing Expressions): Update info on which STATE
	elements are ignored.

2006-05-19  Luc Teirlinck  <teirllm@auburn.edu>

	* hooks.texi (Standard Hooks): Correct typo.

	* gpl.texi (GPL): ifinfo -> ifnottex.

2006-05-19  Michael Ernst  <mernst@alum.mit.edu>  (tiny change)

	* searching.texi (Simple Match Data): Warn about match data being
	set anew by every search.

2006-05-17  Richard Stallman  <rms@gnu.org>

	* minibuf.texi (Minibuffer History): Clarify.

	* searching.texi (Regexp Special): Clarify nested regexp warning.

2006-05-16  Kim F. Storm  <storm@cua.dk>

	* minibuf.texi (Minibuffer History): Update add-to-history.

2006-05-15  Oliver Scholz  <epameinondas@gmx.de>  (tiny change)

	* nonascii.texi (Explicit Encoding):
	Fix typo (encoding<->decoding).

2006-05-14  Richard Stallman  <rms@gnu.org>

	* buffers.texi (Creating Buffers): Cleanup.

	* files.texi (Visiting Functions): Rewrite in find-file-noselect.

2006-05-13  Eli Zaretskii  <eliz@gnu.org>

	* buffers.texi (Current Buffer): Document that with-temp-buffer
	disables undo.

	* os.texi (Terminal-Specific): More accurate description of how
	Emacs searches for the terminal-specific libraries.

2006-05-12  Eli Zaretskii  <eliz@gnu.org>

	* hooks.texi (Standard Hooks) [iftex]: Convert @xref's to
	emacs-xtra to @inforef's.

	* text.texi (Undo): Document that undo is turned off in buffers
	whose names begin with a space.

	* buffers.texi (Buffer Names): Add index entries for buffers whose
	names begin with a space.
	(Creating Buffers): Document that undo is turned off in buffers
	whose names begin with a space.

	* files.texi (Visiting Functions, Reading from Files)
	(Saving Buffers): Mention code and EOL conversions by file I/O
	primitives and subroutines.

	* nonascii.texi (Lisp and Coding Systems): Document
	coding-system-eol-type.  Add index entries for eol conversion.

	* display.texi (Defining Faces): Mention `mac', and add an xref to
	where window-system is described.

2006-05-10  Richard Stallman  <rms@gnu.org>

	* internals.texi (Writing Emacs Primitives): Clarify GCPRO rules.

2006-05-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* variables.texi (File Local Variables): Recommend to quote lambda
	expressions in safe-local-variable property.

2006-05-09  Richard Stallman  <rms@gnu.org>

	* variables.texi (File Local Variables):
	Document safe-local-eval-forms and safe-local-eval-function.

2006-05-07  Kim F. Storm  <storm@cua.dk>

	* minibuf.texi (Minibuffer History): Remove keep-dups arg
	from add-to-history.

2006-05-07  Romain Francoise  <romain@orebokech.com>

	* commands.texi (Event Input Misc):
	* compile.texi (Eval During Compile):
	* internals.texi (Buffer Internals):
	* minibuf.texi (Initial Input):
	* nonascii.texi (Scanning Charsets):
	* numbers.texi (Comparison of Numbers):
	* windows.texi (Textual Scrolling, Vertical Scrolling):
	Fix various typos.

2006-05-06  Eli Zaretskii  <eliz@gnu.org>

	* hooks.texi (Standard Hooks): Replace inforef to emacs-xtra by
	conditional xref's to either emacs or emacs-xtra, depending on
	@iftex/@ifnottex.

	* minibuf.texi (Minibuffer History): Document add-to-history.

2006-05-05  Eli Zaretskii  <eliz@gnu.org>

	* internals.texi (Pure Storage): Mention the pure overflow message
	at startup.

2006-05-05  Johan Bockgård  <bojohan@dd.chalmers.se>

	* keymaps.texi (Active Keymaps): Fix pseudo-Lisp syntax.
	(Searching Keymaps): Fix pseudo-Lisp description of keymap
	search.

2006-05-01  Richard Stallman  <rms@gnu.org>

	* intro.texi (nil and t): Clarify.

	* variables.texi (File Local Variables): Suggest using booleanp.

2006-05-01  Juanma Barranquero  <lekktu@gmail.com>

	* objects.texi (Type Predicates): Fix typos.

2006-05-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* intro.texi (nil and t): Add booleanp.

	* objects.texi (Type Predicates): Add links for booleanp and
	string-or-null-p.

2006-04-29  Richard Stallman  <rms@gnu.org>

	* modes.texi (Multiline Font Lock): Rename from
	Multi line Font Lock Elements.  Much clarification.
	(Font Lock Multiline, Region to Fontify): Much clarification.

2006-04-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* variables.texi (File Local Variables): Remove the special case t for
	safe-local-variable.

2006-04-26  Richard Stallman  <rms@gnu.org>

	* syntax.texi (Parsing Expressions): Minor cleanup.

2006-04-18  Richard Stallman  <rms@gnu.org>

	* tips.texi (Coding Conventions): Explain when the package's
	prefix should appear later on (not at the start of the name).

	* searching.texi (String Search): Clarify effect of NOERROR.

	* modes.texi (Imenu): Clarify what special items do.

	* hooks.texi (Standard Hooks): Delete text about old hook names.

2006-04-17  Romain Francoise  <romain@orebokech.com>

	* variables.texi (Local Variables): Update the default value of
	`max-specpdl-size'.

2006-04-15  Michael Olson  <mwolson@gnu.org>

	* processes.texi (Transaction Queues): Mention the new optional
	`delay-question' argument for `tq-enqueue'.

2006-04-13  Bill Wohler  <wohler@newt.com>

	* customize.texi (Common Keywords): Use dotted notation for
	:package-version value.  Specify its values.  Improve documentation
	for customize-package-emacs-version-alist.

2006-04-12  Bill Wohler  <wohler@newt.com>

	* customize.texi (Common Keywords): Move description of
	customize-package-emacs-version-alist to @defvar.

2006-04-10  Bill Wohler  <wohler@newt.com>

	* customize.texi (Common Keywords): Add :package-version.

2006-04-10  Kim F. Storm  <storm@cua.dk>

	* text.texi (Buffer Contents): Add NOPROPS arg to
	filter-buffer-substring.

2006-04-08  Kevin Ryde  <user42@zip.com.au>

	* os.texi (Command-Line Arguments): Update xref to emacs manual
	"Command Arguments" -> "Emacs Invocation", per change there.

2006-04-08  Thien-Thi Nguyen  <ttn@gnu.org>

	* display.texi (Other Display Specs): Arrange a @code{DOTTED-LIST} to
	be on one line to help makeinfo not render two spaces after the dot.

2006-04-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* strings.texi (Predicates for Strings): Add string-or-null-p.

2006-03-28  Kim F. Storm  <storm@cua.dk>

	* processes.texi (Accepting Output): Remove obsolete (and incorrect)
	remarks about systems that don't support fractional seconds.

2006-03-25  Karl Berry  <karl@gnu.org>

	* elisp.texi: Use @copyright{} instead of (C), and do not indent
	the year list.

2006-03-21  Nick Roberts  <nickrob@snap.net.nz>

	* display.texi (Fringe Indicators): Fix typos.

2006-03-19  Luc Teirlinck  <teirllm@auburn.edu>

	* tips.texi (Documentation Tips): One can now also write `program'
	in front of a quoted symbol in a docstring to prevent making a
	hyperlink.

2006-03-19  Alan Mackenzie  <acm@muc.de>

	* text.texi (Special Properties): Clarify `fontified' property.

2006-03-16  Richard Stallman  <rms@gnu.org>

	* display.texi (Defining Images): Minor cleanup.

2006-03-16  Bill Wohler  <wohler@newt.com>

	* display.texi (Defining Images): In image-load-path-for-library,
	prefer user's images.

2006-03-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* modes.texi (Region to Fontify): Remove font-lock-lines-before.

2006-03-15  Bill Wohler  <wohler@newt.com>

	* display.texi (Defining Images): Fix example in
	image-load-path-for-library by not recommending that one binds
	image-load-path.  Just defvar it to placate compiler and only use
	it if previously defined.

2006-03-14  Bill Wohler  <wohler@newt.com>

	* display.texi (Defining Images): In image-load-path-for-library,
	always return list of directories.  Update example.

2006-03-14  Alan Mackenzie  <acm@muc.de>

	* modes.texi: New node, "Region to Fontify" (for Font Lock).
	This describes font-lock-extend-region-function.
	("Other Font Lock Variables"): Move "font-lock-lines-before" to
	the new node "Region to Fontify".

2006-03-13  Richard Stallman  <rms@gnu.org>

	* display.texi (Invisible Text): The impossible position is
	now before the invisible text, not after.
	(Defining Images): Clean up last change.

2006-03-11  Bill Wohler  <wohler@newt.com>

	* display.texi (Defining Images): Add image-load-path-for-library.

2006-03-11  Luc Teirlinck  <teirllm@auburn.edu>

	* text.texi (Adaptive Fill): Fix Texinfo usage.

	* strings.texi (Creating Strings): Fix Texinfo usage.

	* searching.texi (Regexp Special): Use @samp for regular
	expressions that are not in Lisp syntax.

2006-03-08  Luc Teirlinck  <teirllm@auburn.edu>

	* searching.texi (Regexp Special): Put remark between parentheses
	to avoid misreading.

2006-03-07  Luc Teirlinck  <teirllm@auburn.edu>

	* searching.texi (Syntax of Regexps): More accurately describe
	which characters are special in which situations.
	(Regexp Special): Recommend _not_ to quote `]' or `-' when they
	are not special.  Describe in detail when `[' and `]' are special.
	(Regexp Backslash): Plenty of regexps with unbalanced square
	brackets are valid, so reword that statement.

2006-03-02  Kim F. Storm  <storm@cua.dk>

	* keymaps.texi (Tool Bar): Add tool-bar-border.

2006-02-28  Luc Teirlinck  <teirllm@auburn.edu>

	* loading.texi (Load Suffixes): Rephrase last paragraph.  Fix typos.

2006-02-27  Luc Teirlinck  <teirllm@auburn.edu>

	* elisp.texi (Top): Include "Load Suffixes" in the detailed menu.

	* files.texi (Locating Files): Suggest additional values for the
	SUFFIXES arg of `locate-file'.  Update pxref.

	* loading.texi (Loading): Include new node "Load Suffixes" in menu.
	(How Programs Do Loading): Discuss the effects of Auto Compression
	mode on `load'.
	(Load Suffixes): New node.
	(Library Search): Delete description of `load-suffixes'; it was
	moved to "Load Suffixes".
	(Autoload, Named Features): Mention `load-suffixes'.

2006-02-21  Giorgos Keramidas  <keramida@ceid.upatras.gr>  (tiny change)

	* display.texi (Fringe Indicators, Fringe Cursors): Fix typos.

	* windows.texi (Window Tree): Fix typo.

2006-02-20  Kim F. Storm  <storm@cua.dk>

	* display.texi (Fringe Indicators): New section.
	Move indicate-empty-lines, indicate-buffer-boundaries, and
	default-indicate-buffer-boundaries here.
	Add fringe-indicator-alist and default-fringes-indicator-alist.
	Add list of logical fringe indicator symbols.
	Update list of standard bitmap names.
	(Fringe Cursors): New section.
	Move overflow-newline-into-fringe here.
	Add fringe-cursor-alist and default-fringes-cursor-alist.
	Add list of fringe cursor symbols.

2006-02-20  Juanma Barranquero  <lekktu@gmail.com>

	* commands.texi (Using Interactive): Fix reference to node
	"Minibuffers".

2006-02-19  Richard M. Stallman  <rms@gnu.org>

	* minibuf.texi (High-Level Completion):
	Add xref to read-input-method-name.

	* files.texi (Relative File Names): Move file-relative-name here.
	(File Name Expansion): From here.  Minor clarifications.

	* commands.texi (Using Interactive): Add xrefs about reading input.
	Clarify remarks about that moving point and mark.
	Put string case before list case.

2006-02-16  Johan Bockgård  <bojohan@dd.chalmers.se>

	* display.texi (Other Display Specs, Image Descriptors):
	Revert erroneous changes.  The previous description of
	image-descriptors as `(image . PROPS)' was correct.

2006-02-14  Richard M. Stallman  <rms@gnu.org>

	* variables.texi (File Local Variables): Clarifications.

2006-02-14  Juanma Barranquero  <lekktu@gmail.com>

	* variables.texi (File Local Variables): Use @code for a cons
	cell, not @var.

2006-02-13  Chong Yidong  <cyd@stupidchicken.com>

	* variables.texi (File Local Variables): Document new file local
	variable behavior.

2006-02-10  Kim F. Storm  <storm@cua.dk>

	* eval.texi (Function Indirection): Add NOERROR to indirect-function.

2006-02-08  Juanma Barranquero  <lekktu@gmail.com>

	* modes.texi (%-Constructs): Remove obsolete info about
	`global-mode-string'.

2006-02-07  Richard M. Stallman  <rms@gnu.org>

	* commands.texi (Prefix Command Arguments): Minor cleanup.

	* display.texi: "Graphical display", not window system.

	* functions.texi (What Is a Function): Fix xref.

	* keymaps.texi (Key Lookup): Clarify wrt commands vs other functions.
	(Changing Key Bindings): Clarify when remapping is better than
	substitute-key-definition.

2006-02-02  Richard M. Stallman  <rms@gnu.org>

	* minibuf.texi (Basic Completion): Completion alists are risky.

	* keymaps.texi (Active Keymaps): Clarifications.
	(Searching Keymaps): New node.
	(Keymaps): Update menu.

	* frames.texi (Layout Parameters): Minor clarification.
	(Drag and Drop): New node.
	(Frames): Update menu.

2006-01-29  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Other Display Specs, Image Descriptors):
	Image description is a list, not a cons cell.

2006-01-28  Luc Teirlinck  <teirllm@auburn.edu>

	* lists.texi (Cons Cells): Minor correction (the cdr of a dotted
	list is not necessarily a list).

2006-01-27  Eli Zaretskii  <eliz@gnu.org>

	* frames.texi (Layout Parameters): border-width and
	internal-border-width belong to the frame, not the window.

2006-01-19  Richard M. Stallman  <rms@gnu.org>

	* nonascii.texi (Translation of Characters): Search cmds use
	translation-table-for-input.  Automatically made local.

	* markers.texi (Overview of Markers): Count insertion type
	as one of a marker's attributes.

	* keymaps.texi (Controlling Active Maps): New node, split out of
	Active Keymaps.
	(Keymaps): Menu updated.
	(Active Keymaps): Give pseudocode to explain how the active
	maps are searched.  current-active-maps and key-binding moved here.
	(Functions for Key Lookup): current-active-maps and key-binding moved.
	Clarifications.
	(Searching the Keymaps): New subnode.

	* elisp.texi (Top): Menu clarification.

	* display.texi (Other Display Specs): Delete duplicate entry for
	just a string as display spec.  Move text about recursive display
	specs on such a string.

	* commands.texi (Key Sequence Input): Clarify.
	Move num-nonmacro-input-events out.
	(Reading One Event): num-nonmacro-input-events moved here.

2006-01-14  Nick Roberts  <nickrob@snap.net.nz>

	* advice.texi (Simple Advice): Update example to fit argument
	change in previous-line.

2006-01-05  Richard M. Stallman  <rms@gnu.org>

	* markers.texi (The Mark): Fix in `mark'.

2006-01-04  Richard M. Stallman  <rms@gnu.org>

	* processes.texi (Misc Network, Make Network): Minor cleanups.

2006-01-04  Kim F. Storm  <storm@cua.dk>

	* processes.texi (Make Network): Add IPv6 addresses and handling.
	(Network Feature Testing): Mention (:family ipv6).
	(Misc Network): Add IPv6 formats to format-network-address.

2005-12-30  Richard M. Stallman  <rms@gnu.org>

	* text.texi (Changing Properties):
	Don't use return value of set-text-properties.

2005-12-29  Luc Teirlinck  <teirllm@auburn.edu>

	* modes.texi (Mode Line Format): Correct typo in menu.

2005-12-29  Richard M. Stallman  <rms@gnu.org>

	* modes.texi (Mode Line Top): New node.
	(Mode Line Data): Some text moved to new node.
	Explain the data structure more concretely.
	(Mode Line Basics): Clarifications.
	(Mode Line Variables): Clarify intro paragraph.
	(%-Constructs): Clarify intro paragraph.
	(Mode Line Format): Update menu.

2005-12-28  Luc Teirlinck  <teirllm@auburn.edu>

	* minibuf.texi (Basic Completion): Update lazy-completion-table
	examples for removal of ARGS argument.

2005-12-23  Richard M. Stallman  <rms@gnu.org>

	* text.texi (Undo): Restore some explanation from the version
	that was deleted.

2005-12-23  Eli Zaretskii  <eliz@gnu.org>

	* text.texi (Undo): Remove duplicate descriptions of `apply
	funname' and `apply delta' elements of the undo list.

2005-12-20  Richard M. Stallman  <rms@gnu.org>

	* help.texi (Help Functions): Update documentation of `apropos'.

2005-12-20  Luc Teirlinck  <teirllm@auburn.edu>

	* customize.texi (Type Keywords): Delete xref to "Text help-echo",
	because it is confusing.  If the :help-echo keyword is a function,
	it is not directly used as the :help-echo overlay property, as the
	xref seems to suggest (it does not take the appropriate args).

2005-12-19  Luc Teirlinck  <teirllm@auburn.edu>

	* customize.texi (Common Keywords): Fix Texinfo usage.
	(Group Definitions, Variable Definitions): Update for new
	conventions for using `*' in docstrings.

	* tips.texi (Documentation Tips): Update for new conventions for
	using `*' in docstrings.

2005-12-16  Richard M. Stallman  <rms@gnu.org>

	* minibuf.texi (Minibuffer Contents): Minor cleanup.

2005-12-16  Juri Linkov  <juri@jurta.org>

	* minibuf.texi (Minibuffer Contents): Add minibuffer-completion-contents.

2005-12-14  Romain Francoise  <romain@orebokech.com>

	* modes.texi (Customizing Keywords): Rename `append' to `how'.
	Fix typo.

2005-12-11  Juri Linkov  <juri@jurta.org>

	* minibuf.texi (Completion Commands): Add mention of read-file-name
	for filename completion keymaps.
	(Reading File Names): Add mention of filename completion keymaps
	for read-file-name and xref to `Completion Commands'.

2005-12-10  Richard M. Stallman  <rms@gnu.org>

	* customize.texi (Common Keywords): State caveats for use of :tag.

2005-12-08  Richard M. Stallman  <rms@gnu.org>

	* minibuf.texi (Intro to Minibuffers): Replace list of local maps
	with xrefs and better explanation.
	(Completion Commands): Add the filename completion maps.

	* objects.texi (Character Type): Clarify that \s is not space
	if a dash follows.

2005-12-05  Richard M. Stallman  <rms@gnu.org>

	* windows.texi (Resizing Windows): Delete preserve-before args.

2005-12-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* keymaps.texi (Format of Keymaps): Remove mention of a quirk
	in full keymaps, since the quirk has been fixed.

2005-12-03  Eli Zaretskii  <eliz@gnu.org>

	* hooks.texi (Standard Hooks): Add index entries.
	Mention `compilation-finish-functions'.

2005-11-27  Richard M. Stallman  <rms@gnu.org>

	* windows.texi (Resizing Windows): Add adjust-window-trailing-edge.

2005-11-21  Juri Linkov  <juri@jurta.org>

	* customize.texi (Common Keywords): Update links types
	custom-manual and url-link.  Add link types emacs-library-link,
	file-link, function-link, variable-link, custom-group-link.

2005-11-20  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi: Revert 2005-11-20 change.

2005-11-20  Thien-Thi Nguyen  <ttn@gnu.org>

	* processes.texi (Bindat Functions):
	Say "third" to refer to zero-based index "2".

2005-11-18  Luc Teirlinck  <teirllm@auburn.edu>

	* loading.texi (Library Search): Update the default value of
	`load-suffixes'.

2005-11-17  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Attribute Functions): Mention :ignore-defface.

2005-11-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* modes.texi (Minor Mode Conventions): Use custom-set-minor-mode.
	(Minor Mode Conventions): Mention the use of a hook.

2005-11-06  Richard M. Stallman  <rms@gnu.org>

	* files.texi (Magic File Names): find-file-name-handler checks the
	`operations' property of the handler.

2005-11-03  Richard M. Stallman  <rms@gnu.org>

	* variables.texi (Frame-Local Variables): Small clarification.

2005-10-29  Chong Yidong  <cyd@stupidchicken.com>

	* os.texi (Init File): Document ~/.emacs.d/init.el.

2005-10-29  Richard M. Stallman  <rms@gnu.org>

	* internals.texi (Garbage Collection): Document memory-full.

2005-10-28  Bill Wohler  <wohler@newt.com>

	* tips.texi (Documentation Tips): Help mode now creates hyperlinks
	for URLs.

2005-10-28  Richard M. Stallman  <rms@gnu.org>

	* minibuf.texi (Completion Commands): Clean up prev change.

2005-10-26  Kevin Ryde  <user42@zip.com.au>

	* compile.texi (Eval During Compile): Explain recommended uses
	of eval-when-compile and eval-and-compile.

2005-10-27  Masatake YAMATO  <jet@gyve.org>

	* minibuf.texi (Completion Commands):
	Write about new optional argument for `display-completion-list'.

2005-10-23  Richard M. Stallman  <rms@gnu.org>

	* display.texi (Overlay Arrow): Clarify about local bindings of
	overlay-arrow-position.

2005-10-22  Eli Zaretskii  <eliz@gnu.org>

	* internals.texi (Building Emacs): Fix last change.

2005-10-22  Richard M. Stallman  <rms@gnu.org>

	* internals.texi (Building Emacs): Document eval-at-startup.

2005-10-21  Richard M. Stallman  <rms@gnu.org>

	* loading.texi (Where Defined): load-history contains abs file names.
	symbol-file returns abs file names.

2005-10-19  Kim F. Storm  <storm@cua.dk>

	* display.texi (Showing Images): Add max-image-size integer value.

2005-10-18  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Showing Images): Document max-image-size.

2005-10-17  Richard M. Stallman  <rms@gnu.org>

	* commands.texi (Quitting): Minor clarification.

	* processes.texi (Sentinels): Clarify about output and quitting.
	(Filter Functions): Mention with-local-quit.

2005-10-17  Juri Linkov  <juri@jurta.org>

	* buffers.texi (Current Buffer):
	* commands.texi (Event Input Misc):
	* compile.texi (Eval During Compile, Compiler Errors):
	* customize.texi (Group Definitions):
	* display.texi (Progress, Defining Faces):
	* files.texi (Writing to Files):
	* modes.texi (Mode Hooks, Defining Minor Modes):
	* streams.texi (Output Functions):
	* syntax.texi (Syntax Table Functions):
	* text.texi (Change Hooks):
	Replace `...' with `@dots{}' in `@defmac' and `@defspec'.

	* commands.texi (Quitting): Replace arg `forms' with `body' in
	`with-local-quit'.

	* positions.texi (Excursions): Replace arg `forms' with `body' in
	`save-excursion'.

2005-10-08  Kim F. Storm  <storm@cua.dk>

	* windows.texi (Window Tree): Rename window-split-tree to window-tree.
	Rename manual section accordingly.

2005-10-04  Kim F. Storm  <storm@cua.dk>

	* windows.texi (Window Split Tree): New section describing
	new function window-split-tree function.

2005-10-03  Nick Roberts  <nickrob@snap.net.nz>

	* display.texi (Fringe Size/Pos): Simplify and add detail.

2005-09-30  Romain Francoise  <romain@orebokech.com>

	* minibuf.texi (High-Level Completion): Explain that the prompt
	given to `read-buffer' should end with a colon and a space.
	Update usage examples.

2005-09-29  Juri Linkov  <juri@jurta.org>

	* display.texi (Displaying Messages): Rename argument name
	`string' to `format-string' in functions `message', `message-box',
	`message-or-box'.

2005-09-26  Chong Yidong  <cyd@stupidchicken.com>

	* errors.texi (Standard Errors): Correct xrefs.

2005-09-18  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Defining Images): Update documentation for
	`image-load-path'.

2005-09-17  Richard M. Stallman  <rms@gnu.org>

	* display.texi (Defining Images): Clean up previous change.

2005-09-16  Romain Francoise  <romain@orebokech.com>

	* elisp.texi: Specify GFDL version 1.2.

	* doclicense.texi (GNU Free Documentation License): Update to
	version 1.2.

2005-09-15  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Defining Images): Document `image-load-path'.

2005-09-15  Richard M. Stallman  <rms@gnu.org>

	* objects.texi (Printed Representation): Minor cleanup.
	(Box Diagrams): Minor fix.
	(Cons Cell Type): Move (...) index item here.
	(Box Diagrams): From here.
	(Array Type): Minor fix.
	(Type Predicates): Delete index "predicates".
	(Hash Table Type): Clarify xref.
	(Dotted Pair Notation): Minor fix.

2005-09-10  Chong Yidong  <cyd@stupidchicken.com>

	* files.texi (Saving Buffers): Fix typo.

2005-09-08  Richard M. Stallman  <rms@gnu.org>

	* tips.texi (Programming Tips): Correct the "default" prompt spec.

2005-09-08  Chong Yidong  <cyd@stupidchicken.com>

	* locals.texi (Standard Buffer-Local Variables): Don't include
	mode variables for minor modes.
	Fix xrefs for buffer-display-count, buffer-display-table,
	buffer-offer-save, buffer-saved-size, cache-long-line-scans,
	enable-multibyte-characters, fill-column, header-line-format,
	left-fringe-width, left-margin, and right-fringe-width.

	* hooks.texi (Standard Hooks): All hooks should conform to the
	standard naming convention now.
	Fix xref for `echo-area-clear-hook'.

	* display.texi (Usual Display): Note that indicate-empty-lines and
	tab-width are buffer-local.

	* files.texi (Saving Buffers): Add xref to `Killing Buffers'.

	* modes.texi (Mode Help): Note that major-mode is buffer-local.

	* nonascii.texi (Encoding and I/O): Note that
	buffer-file-coding-system is buffer-local.

	* positions.texi (List Motion): Note that defun-prompt-regexp is
	buffer-local.

	* text.texi (Auto Filling): Note that auto-fill-function is
	buffer-local.
	(Undo): Note that buffer-undo-list is buffer-local.

	* windows.texi (Buffers and Windows):
	Document buffer-display-count.

2005-09-06  Richard M. Stallman  <rms@gnu.org>

	* tips.texi (Coding Conventions): Sometimes it is ok to put the
	package prefix elsewhere than at the start of the name.

2005-09-03  Richard M. Stallman  <rms@gnu.org>

	* tips.texi (Programming Tips): Add conventions for minibuffer
	questions and prompts.

2005-09-03  Joshua Varner  <jlvarner@gmail.com>  (tiny change)

	* intro.texi (nil and t): Minor cleanup.
	Delete spurious mention of keyword symbols.
	(Evaluation Notation): Add index entry.
	(A Sample Function Description): Minor cleanup.
	(A Sample Variable Description): Not all vars can be set.

2005-09-03  Thien-Thi Nguyen  <ttn@gnu.org>

	* text.texi (Buffer Contents): Use "\n" in examples' result strings.

	(Insertion): Document precise type of `insert-char' arg COUNT.

2005-09-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* modes.texi (Other Font Lock Variables): Sync the default of
	font-lock-lines-before.

2005-08-31  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Magic File Names): Add `make-auto-save-file-name'.

2005-08-29  Richard M. Stallman  <rms@gnu.org>

	* elisp.texi (Top): Update subnode menu.

	* searching.texi (Searching and Matching): Move node.
	Rearrange contents and add overall explanation.
	(Searching and Case): Move node.
	(Searching and Matching): Update menu.

2005-08-27  Eli Zaretskii  <eliz@gnu.org>

	* os.texi (Startup Summary): Fix the description of the initial
	startup message display.

2005-08-25  Richard M. Stallman  <rms@gnu.org>

	* searching.texi (Search and Replace): Add replace-regexp-in-string.

2005-08-25  Emilio C. Lopes  <eclig@gmx.net>

	* display.texi (Finding Overlays): Fix `find-overlay-prop' in
	`next-overlay-change' example.

2005-08-22  Juri Linkov  <juri@jurta.org>

	* display.texi (Attribute Functions): Add set-face-inverse-video-p.
	Fix invert-face.  Fix args of face-background.

	* display.texi (Standard Faces): Delete node.
	(Faces): Add xref to `(emacs)Standard Faces'.
	(Displaying Faces): Fix xref to `Standard Faces'.

	* modes.texi (Mode Line Data): Fix xref to Standard Faces.

2005-08-20  Alan Mackenzie  <acm@muc.de>

	* buffers.texi (The Buffer List): Clarify the manipulation of the
	buffer list.

2005-08-14  Richard M. Stallman  <rms@gnu.org>

	* modes.texi (Auto Major Mode): interpreter-mode-alist key is not
	a regexp.

2005-08-11  Richard M. Stallman  <rms@gnu.org>

	* elisp.texi (Top): Update subnode lists.

	* display.texi (Inverse Video): Node deleted.

	* tips.texi (Key Binding Conventions, Programming Tips, Warning Tips):
	New nodes split out of Coding Conventions.

	* searching.texi (Regular Expressions): Document re-builder.

	* os.texi (Time Parsing): New node split out of Time Conversion.

	* processes.texi (Misc Network, Network Feature Testing)
	(Network Options, Make Network): New nodes split out of
	Low-Level Network.

2005-08-09  Richard M. Stallman  <rms@gnu.org>

	* frames.texi (Geometry): New node, split from Size and Position.
	(Frame Parameters): Refer to Geometry.

	* buffers.texi (The Buffer List): Fix xrefs.

	* windows.texi (Splitting Windows): Fix xref.

	* frames.texi (Layout Parameters): Add xref.

	* display.texi (Line Height, Scroll Bars): Fix xrefs.

	* keymaps.texi (Menu Bar): Fix xref.

	* locals.texi (Standard Buffer-Local Variables): Fix xref.

	* modes.texi (%-Constructs): Fix xref.

	* frames.texi (Window Frame Parameters): Node split up.
	(Basic Parameters, Position Parameters, Size Parameters)
	(Layout Parameters, Buffer Parameters, Management Parameters)
	(Cursor Parameters, Color Parameters): New subnodes.

2005-08-09  Luc Teirlinck  <teirllm@auburn.edu>

	* positions.texi (Screen Lines): Update xref for previous change
	in minibuf.texi.

	* minibuf.texi (Intro to Minibuffers): Update pxref for previous
	change in minibuf.texi.

2005-08-09  Richard M. Stallman  <rms@gnu.org>

	* tips.texi (Coding Conventions): Minor cleanup.

	* modes.texi (Defining Minor Modes): Explain when init-value
	can be non-nil.

	* elisp.texi (Top): Update submenu for Minibuffer.

	* minibuf.texi (Minibuffer Misc): Node split up.
	(Minibuffer Commands, Minibuffer Windows, Minibuffer Contents)
	(Recursive Mini): New nodes split out from Minibuffer Misc.
	(Minibuffer Misc): Document max-mini-window-height.

	* hash.texi (Defining Hash): Delete stray paren in example.

	* display.texi (Echo Area Customization): Don't define
	max-mini-window-height here; xref instead.

	* commands.texi (Event Input Misc): Update while-no-input.

	* advice.texi (Advising Functions): Explain when to use advice
	and when to use a hook.

2005-07-30  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (info): Don't run install-info.
	($(infodir)/dir): New target, produced by running install-info.

2005-07-27  Luc Teirlinck  <teirllm@auburn.edu>

	* modes.texi (Defining Minor Modes): The keyword for the initial
	value is :init-value, not :initial-value.

2005-07-23  Eli Zaretskii  <eliz@gnu.org>

	* loading.texi (Autoload): Make the `doctor' example be consistent
	with what's in current loaddefs.el.  Describe the "fn" magic in
	the usage portion of the doc string.

2005-07-22  Richard M. Stallman  <rms@gnu.org>

	* internals.texi (Garbage Collection): Clarify previous change.

2005-07-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* internals.texi (Garbage Collection): Add gc-cons-percentage.

2005-07-18  Juri Linkov  <juri@jurta.org>

	* commands.texi (Accessing Events):
	* frames.texi (Text Terminal Colors, Resources):
	* markers.texi (The Mark):
	* modes.texi (Defining Minor Modes):
	Delete duplicate duplicate words.

2005-07-16  Richard M. Stallman  <rms@gnu.org>

	* display.texi (Managing Overlays): Clarify make-overlay
	args for insertion types.

2005-07-13  Luc Teirlinck  <teirllm@auburn.edu>

	* customize.texi (Variable Definitions):
	Add `custom-initialize-safe-set' and `custom-initialize-safe-default'.
	`standard-value' is a list too.
	(Defining New Types): Use @key{RET} instead of @key{ret}.

2005-07-13  Francis Litterio  <franl@world.std.com>  (tiny change)

	* os.texi (Translating Input): Fix typo.

2005-07-08  Richard M. Stallman  <rms@gnu.org>

	* README: Update edition number and size estimate.

	* elisp.texi (VERSION): Set to 2.9.

2005-07-07  Richard M. Stallman  <rms@gnu.org>

	* book-spine.texinfo: Update Emacs version.

	* display.texi (Inverse Video): Delete mode-line-inverse-video.

2005-07-06  Richard M. Stallman  <rms@gnu.org>

	* searching.texi (Regexp Search): Clarify what re-search-forward
	does when the search fails.

2005-07-05  Lute Kamstra  <lute@gnu.org>

	* Update FSF's address in GPL notices.

	* doclicense.texi (GNU Free Documentation License):
	* gpl.texi (GPL):
	* tips.texi (Coding Conventions, Library Headers):
	* vol1.texi:
	* vol2.texi: Update FSF's address.

2005-07-04  Richard M. Stallman  <rms@gnu.org>

	* hooks.texi (Standard Hooks): Add occur-hook.

2005-07-03  Luc Teirlinck  <teirllm@auburn.edu>

	* display.texi (The Echo Area): Correct menu.

2005-07-03  Richard M. Stallman  <rms@gnu.org>

	* elisp.texi (Top): Update subnode menu for Display.

	* display.texi (Displaying Messages): New node, with most
	of what was in The Echo Area.
	(Progress): Move under The Echo Area.
	(Logging Messages): New node with new text.
	(Echo Area Customization): New node, the rest of what was
	in The Echo Area.  Document message-truncate-lines with @defvar.
	(Display): Update menu.

	* windows.texi (Textual Scrolling): Doc 3 values for
	scroll-preserve-screen-position.

	* text.texi (Special Properties): Change hook functions
	should bind inhibit-modification-hooks around altering buffer text.

	* keymaps.texi (Key Binding Commands): Call binding BINDING
	rather than DEFINITION.

2005-06-29  Juanma Barranquero  <lekktu@gmail.com>

	* variables.texi (Defining Variables): `user-variable-p' returns t
	for aliases of user options, nil for alias loops.

2005-06-28  Richard M. Stallman  <rms@gnu.org>

	* keymaps.texi (Creating Keymaps): Put make-sparse-keymap before
	make-keymap.

2005-06-27  Luc Teirlinck  <teirllm@auburn.edu>

	* variables.texi (Setting Variables): Correct and clarify
	description of `add-to-ordered-list'.

2005-06-26  Richard M. Stallman  <rms@gnu.org>

	* display.texi (Faces): Minor cleanup.

2005-06-25  Luc Teirlinck  <teirllm@auburn.edu>

	* display.texi (Faces): `facep' returns t for strings that are
	face names.

2005-06-25  Richard M. Stallman  <rms@gnu.org>

	* objects.texi (Equality Predicates): Clarify meaning of equal.

	* windows.texi (Selecting Windows): save-selected-window
	and with-selected-window save and restore the current buffer.

2005-06-24  Richard M. Stallman  <rms@gnu.org>

	* numbers.texi (Float Basics): Explain how to test for NaN,
	and printing the sign of NaNs.

2005-06-24  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (MAKEINFO): Use --force.

2005-06-23  Richard M. Stallman  <rms@gnu.org>

	* display.texi (Face Functions): Correct Texinfo usage.

2005-06-23  Luc Teirlinck  <teirllm@auburn.edu>

	* lists.texi (Rings): `ring-elements' now returns the elements of
	RING in order.

2005-06-23  Juanma Barranquero  <lekktu@gmail.com>

	* markers.texi (The Mark): Texinfo usage fix.

2005-06-23  Kim F. Storm  <storm@cua.dk>

	* searching.texi (Entire Match Data): Remove evaporate option for
	match-data.  Do not mention evaporate option for set-match-data.

2005-06-22  Glenn Morris  <gmorris@ast.cam.ac.uk>

	* display.texi (Face Functions): Mention face aliases.

2005-06-21  Richard M. Stallman  <rms@gnu.org>

	* anti.texi (Antinews): Texinfo usage fix.

2005-06-21  Karl Berry  <karl@gnu.org>

	* elisp.texi: Use @copying.

	* elisp.texi: Put @summarycontents and @contents before the Top
	node, instead of the end of the file, so that the contents appear
	in the right place in the dvi/pdf output.

2005-06-21  Juri Linkov  <juri@jurta.org>

	* display.texi (Defining Faces): Add `customized-face'.

2005-06-20  Kim F. Storm  <storm@cua.dk>

	* variables.texi (Setting Variables): Any type of element can be
	given order in add-to-ordered-list.  Compare elements with eq.

	* lists.texi (Rearrangement): Sort predicate may just return non-nil.

2005-06-20  Karl Berry  <karl@gnu.org>

	* syntax.texi (Syntax Flags): Make last column very slightly wider
	to avoid "generic comment" breaking on two lines and causing an
	underfull box.

2005-06-19  Luc Teirlinck  <teirllm@auburn.edu>

	* lists.texi (Rings): Various minor clarifications and corrections.

2005-06-18  Richard M. Stallman  <rms@gnu.org>

	* functions.texi (Obsolete Functions): Simplify.

	* variables.texi (Variable Aliases): Simplify.

	* anti.texi, backups.texi, compile.texi, customization.texi:
	* debugging.texi, display.texi, edebug.texi, errors.texi, frames.texi:
	* functions.texi, help.texi, keymaps.texi, modes.texi, nonascii.texi:
	* os.texi, processes.texi, searching.texi, strings.texi, text.texi:
	* variables.texi: Fix formatting ugliness.

	* elisp.texi: Add links to Rings and Byte Packing.
	Update version and copyright years.

	* minibuf.texi: Fix formatting ugliness.
	(Completion Commands): Move keymap vars to the end
	and vars completing-read binds to the top.

2005-06-17  Luc Teirlinck  <teirllm@auburn.edu>

	* processes.texi: Fix typos.
	(Bindat Spec): Correct Texinfo error.
	(Byte Packing): Fix ungrammatical sentence.

2005-06-17  Thien-Thi Nguyen  <ttn@gnu.org>

	* lists.texi (Rings): New node.
	(Lists): Add it to menu.

	* processes.texi (Byte Packing): New node.
	(Processes): Add it to menu.

2005-06-17  Richard M. Stallman  <rms@gnu.org>

	* syntax.texi (Parsing Expressions): Fix texinfo usage.

	* help.texi (Documentation Basics): Explain the xref to
	Documentation Tips.

	* debugging.texi (Debugger Commands): Minor fix.

2005-06-16  Luc Teirlinck  <teirllm@auburn.edu>

	* edebug.texi (Instrumenting): Eliminate duplicate link.
	(Specification List): Replace references to "below", referring to
	a later node, with one @ref to that node.

	* os.texi (Timers): Timers should save and restore the match data
	if they change it.

	* debugging.texi (Debugger Commands): Mention that the Lisp
	debugger can not step through primitive functions.

2005-06-16  Juanma Barranquero  <lekktu@gmail.com>

	* functions.texi (Obsolete Functions): Update argument names of
	`make-obsolete' and `define-obsolete-function-alias'.

	* variables.texi (Variable Aliases): Update argument names of
	`defvaralias', `make-obsolete-variable' and
	`define-obsolete-variable-alias'.

2005-06-15  Kim F. Storm  <storm@cua.dk>

	* searching.texi (Entire Match Data): Rephrase warnings about
	evaporate arg to match-data and set-match-data.

2005-06-14  Luc Teirlinck  <teirllm@auburn.edu>

	* elisp.texi (Top): Update detailed menu.

	* edebug.texi (Edebug): Update menu.
	(Instrumenting): Update xrefs.
	(Edebug Execution Modes): Correct xref.
	(Jumping): Clarify description of `h' command.
	Eliminate redundant @ref.
	(Breaks): New node.
	(Breakpoints): Is now a subsubsection.
	(Global Break Condition): Mention `C-x X X'.
	(Edebug Views): Clarify `v' and `p'.  Mention `C-x X w'.
	(Trace Buffer): Clarify STRING arg of `edebug-tracing'.
	(Edebug Display Update): Correct pxref.
	(Edebug and Macros): New node.
	(Instrumenting Macro Calls): Is now a subsubsection.
	Neither arg of `def-edebug-spec' is evaluated.
	(Instrumenting Macro Calls): Mention `edebug-eval-macro-args'.
	(Specification Examples): Fix typo.

2005-06-14  Lute Kamstra  <lute@gnu.org>

	* debugging.texi (Function Debugging): Primitives can break on
	entry too.

2005-06-14  Kim F. Storm  <storm@cua.dk>

	* variables.texi (Setting Variables): Add add-to-ordered-list.

2005-06-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* syntax.texi (Parsing Expressions): Document aux functions and vars of
	syntax-ppss: syntax-ppss-flush-cache and syntax-begin-function.

2005-06-13  Lute Kamstra  <lute@gnu.org>

	* text.texi (Special Properties): Fix cross reference.

2005-06-11  Luc Teirlinck  <teirllm@auburn.edu>

	* debugging.texi (Function Debugging): Delete mention of empty
	string argument to `cancel-debug-on-entry'.  Delete inaccurate
	description of the return value of that command.

2005-06-11  Alan Mackenzie  <acm@muc.de>

	* text.texi (Adaptive Fill): Amplify the description of
	fill-context-prefix.

2005-06-10  Luc Teirlinck  <teirllm@auburn.edu>

	* syntax.texi (Parsing Expressions): Fix Texinfo error.

2005-06-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* syntax.texi (Parsing Expressions): Document syntax-ppss.

2005-06-10  Luc Teirlinck  <teirllm@auburn.edu>

	* debugging.texi (Error Debugging): Minor rewording.
	(Function Debugging): FUNCTION-NAME arg to `cancel-debug-on-entry'
	is optional.

2005-06-10  Lute Kamstra  <lute@gnu.org>

	* elisp.texi: Use EMACSVER to refer to the current version of Emacs.
	(Top): Give it a title.  Correct version number.  Give the
	detailed node listing a more prominent header.
	* intro.texi: Don't set VERSION here a second time.
	Mention Emacs's version too.
	* anti.texi (Antinews): Use EMACSVER to refer to the current
	version of Emacs.

2005-06-09  Kim F. Storm  <storm@cua.dk>

	* searching.texi (Entire Match Data): Explain new `reseat' argument to
	match-data and set-match-data.

2005-06-08  Richard M. Stallman  <rms@gnu.org>

	* searching.texi (Entire Match Data): Clarify when match-data
	returns markers and when integers.

	* display.texi (Defining Faces): Explain that face name should not
	end in `-face'.

	* modes.texi (Mode Line Data): Minor cleanup.
	(Customizing Keywords): Node split out of Search-based Fontification.
	Add example of using font-lock-add-keywords from a hook.
	Clarify when MODE should be non-nil, and when nil.

2005-06-06  Richard M. Stallman  <rms@gnu.org>

	* modes.texi (Mode Line Data): Explain what happens when the car
	of a list is a void symbol.
	(Search-based Fontification): Explain MODE arg to
	font-lock-add-keywords and warn about calls from major modes.

2005-06-08  Juri Linkov  <juri@jurta.org>

	* display.texi (Standard Faces): Add `shadow' face.

2005-05-29  Luc Teirlinck  <teirllm@auburn.edu>

	* modes.texi (Major Mode Conventions): A derived mode only needs
	to put the call to the parent mode inside `delay-mode-hooks'.

2005-05-29  Richard M. Stallman  <rms@gnu.org>

	* modes.texi (Mode Hooks): Explain that after-change-major-mode-hook is
	new, and what that implies.  Clarify.

	* files.texi (Locating Files): Clean up the text.

	* frames.texi (Window Frame Parameters): Document user-size.
	Shorten entry for top by referring to left.

2005-05-26  Richard M. Stallman  <rms@gnu.org>

	* modes.texi (Mode Hooks): Explain that after-change-major-mode-hook
	is new, and what the implications are.  Other clarifications.

2005-05-24  Richard M. Stallman  <rms@gnu.org>

	* frames.texi (Dialog Boxes): Minor fixes.

2005-05-25  Masatake YAMATO  <jet@gyve.org>

	* display.texi (Standard Faces): Write about `mode-line-highlight'.

2005-05-24  Luc Teirlinck  <teirllm@auburn.edu>

	* frames.texi (Dialog Boxes): HEADER argument to `x-popup-dialog'
	is optional.

2005-05-24  Nick Roberts  <nickrob@snap.net.nz>

	* frames.texi (Dialog Boxes): Describe new optional argument.

2005-05-23  Lute Kamstra  <lute@gnu.org>

	* modes.texi (Font Lock Basics, Syntactic Font Lock): Recommend
	syntax-begin-function over font-lock-beginning-of-syntax-function.

2005-05-21  Luc Teirlinck  <teirllm@auburn.edu>

	* minibuf.texi (Reading File Names): Update description of
	`read-directory-name'.

	* modes.texi (Derived Modes): Clarify :group keyword.

2005-05-21  Eli Zaretskii  <eliz@gnu.org>

	* files.texi (Locating Files): New subsection.
	Describe locate-file and executable-find.

2005-05-21  Kevin Ryde  <user42@zip.com.au>

	* frames.texi (Initial Parameters): Update cross reference to
	"Emacs Invocation".

2005-05-19  Luc Teirlinck  <teirllm@auburn.edu>

	* keymaps.texi (Active Keymaps): Add anchor.

	* modes.texi (Hooks): Delete confusing and unnecessary sentence.
	(Major Mode Conventions): Refer to `Auto Major Mode' in more
	appropriate place.
	(Derived Modes): Small clarifications.
	(Minor Mode Conventions, Keymaps and Minor Modes):
	Replace references to nodes with references to anchors.
	(Mode Line Data): Warn that `(:eval FORM)' should not load any files.
	Clarify description of lists whose first element is an integer.
	(Mode Line Variables): Add anchor.
	(%-Constructs): Clarify description of integer after %.
	(Emulating Mode Line): Describe nil value for FACE.

2005-05-18  Luc Teirlinck  <teirllm@auburn.edu>

	* modes.texi (Derived Modes): Correct references to non-existing
	variable standard-syntax-table.

2005-05-17  Lute Kamstra  <lute@gnu.org>

	* modes.texi (Defining Minor Modes): Mention the mode hook.

2005-05-15  Kim F. Storm  <storm@cua.dk>

	* processes.texi (Network): Remove open-network-stream-nowait.
	(Network Servers): Remove open-network-stream-server.

2005-05-15  Luc Teirlinck  <teirllm@auburn.edu>

	* elisp.texi (Top): Update detailed menu.

	* variables.texi: Reorder nodes.
	(Variables): Update menu.
	(File Local Variables): Do not refer to the `-*-' line as
	a "local variables list".  Add pxref.

2005-05-14  Luc Teirlinck  <teirllm@auburn.edu>

	* elisp.texi (Top): Update detailed menu for node changes.

	* modes.texi (Modes): Update Menu.
	(Hooks): Move to beginning of chapter.
	Most minor modes run mode hooks too.
	`add-hook' can handle void hooks or hooks whose value is a single
	function.
	(Major Modes): Update Menu.
	(Major Mode Basics): New node, split off from `Major Modes'.
	(Major Mode Conventions): Correct xref.  Explain how to handle
	auto-mode-alist if the major mode command has an autoload cookie.
	(Auto Major Mode): Major update.  Add magic-mode-alist.
	(Derived Modes): Major update.
	(Mode Line Format): Update Menu.
	(Mode Line Basics): New node, split off from `Mode Line Format'.

	* loading.texi (Autoload): Mention `autoload cookie' as synonym
	for `magic autoload comment'.  Add index entries and anchor.

2005-05-14  Richard M. Stallman  <rms@gnu.org>

	* tips.texi (Coding Conventions): Explain how important it is
	that just loading certain files not change Emacs behavior.

	* modes.texi (Defining Minor Modes): Define define-global-minor-mode.

2005-05-12  Lute Kamstra  <lute@gnu.org>

	* modes.texi (Generic Modes): Update.
	(Major Modes): Refer to node "Generic Modes".

	* elisp.texi (Top): Update to the current structure of the manual.
	* processes.texi (Processes): Add menu description.
	* customize.texi (Customization): Add menu descriptions.

2005-05-11  Thien-Thi Nguyen  <ttn@gnu.org>

	* processes.texi (Signals to Processes)
	(Low-Level Network): Fix typos.

2005-05-11  Lute Kamstra  <lute@gnu.org>

	* elisp.texi (Top): Add some nodes from the chapter "Major and
	Minor Modes" to the detailed node listing.

2005-05-10  Richard M. Stallman  <rms@gnu.org>

	* keymaps.texi (Extended Menu Items): Menu item filter functions
	can be called at any time.

2005-05-08  Luc Teirlinck  <teirllm@auburn.edu>

	* variables.texi (File Local Variables): `(hack-local-variables t)'
	now also checks whether a mode is specified in the local variables
	list.

2005-05-05  Kevin Ryde  <user42@zip.com.au>

	* display.texi (The Echo Area): Correct format function cross
	reference.

2005-05-05  Luc Teirlinck  <teirllm@auburn.edu>

	* variables.texi (Variable Aliases): Change description of
	`define-obsolete-variable-alias'.

	* functions.texi (Functions): Add "Obsolete Functions" to menu.
	(Defining Functions): Add xref.
	(Obsolete Functions): New node.
	(Function Safety): Standardize capitalization of section title.

	* frames.texi (Pop-Up Menus): Complete description of `x-popup-menu'.
	(Dialog Boxes): Complete description of `x-popup-dialog'.

2005-05-04  Richard M. Stallman  <rms@gnu.org>

	* commands.texi (Interactive Codes): Fix Texinfo usage.
	Document U more clearly.

2005-05-01  Luc Teirlinck  <teirllm@auburn.edu>

	* variables.texi (Variable Aliases): `make-obsolete-variable' is a
	function and not a macro.

	* frames.texi (Pop-Up Menus): Correct and clarify description of
	`x-popup-menu'.
	(Dialog Boxes): Clarify description of `x-popup-dialog'.

2005-05-01  Richard M. Stallman  <rms@gnu.org>

	* edebug.texi (Checking Whether to Stop): Fix previous change.

2005-05-01  Luc Teirlinck  <teirllm@auburn.edu>

	* display.texi: Fix typos and Texinfo usage.

	* edebug.texi (Checking Whether to Stop): executing-macro ->
	executing-kbd-macro.

2005-05-01  Richard M. Stallman  <rms@gnu.org>

	* display.texi (Invisible Text): Correct add-to-invisibility-spec.

2005-04-30  Richard M. Stallman  <rms@gnu.org>

	* files.texi (Magic File Names): Document `operations' property.

2005-04-29  Lute Kamstra  <lute@gnu.org>

	* modes.texi (Generic Modes): New node.
	(Major Modes): Add it to the menu.
	(Derived Modes): Add "derived mode" to concept index.

2005-04-28  Lute Kamstra  <lute@gnu.org>

	* modes.texi (Defining Minor Modes): Fix previous change.
	(Font Lock Mode): Simplify.
	(Font Lock Basics): Say that font-lock-defaults is buffer-local
	when set and that some parts are optional.  Add cross references.
	(Search-based Fontification): Say how to specify font-lock-keywords.
	Add cross references.  Add font-lock-multiline to index.
	Move font-lock-keywords-case-fold-search here from node "Other Font
	Lock Variables".  Document font-lock-add-keywords and
	font-lock-remove-keywords.
	(Other Font Lock Variables): Move font-lock-keywords-only,
	font-lock-syntax-table, font-lock-beginning-of-syntax-function,
	and font-lock-syntactic-face-function to node "Syntactic Font
	Lock".  Move font-lock-keywords-case-fold-search to node
	"Search-based Fontification".  Document font-lock-inhibit-thing-lock
	and font-lock-{,un}fontify-{buffer,region}-function.
	(Precalculated Fontification): Remove reference to deleted variable
	font-lock-core-only.
	(Faces for Font Lock): Add font-lock-comment-delimiter-face.
	(Syntactic Font Lock): Add intro.  Move font-lock-keywords-only,
	font-lock-syntax-table, font-lock-beginning-of-syntax-function,
	and font-lock-syntactic-face-function here from node "Other Font
	Lock Variables".  Move font-lock-syntactic-keywords to "Setting
	Syntax Properties".  Add cross references.
	(Setting Syntax Properties): New node.
	Move font-lock-syntactic-keywords here from "Syntactic Font Lock".
	* syntax.texi (Syntax Properties): Add cross reference.
	* hooks.texi (Standard Hooks): Add Font-Lock hooks.

2005-04-26  Richard M. Stallman  <rms@gnu.org>

	* display.texi (Defining Faces):
	Document `default' elements of defface spec.

	* modes.texi (Major Mode Conventions): Explain customizing ElDoc mode.

	* variables.texi (Variable Aliases): Clarify text.

2005-04-25  Chong Yidong  <cyd@stupidchicken.com>

	* windows.texi (Window Hooks): Remove reference to obsolete Lazy Lock.

2005-04-25  Luc Teirlinck  <teirllm@auburn.edu>

	* hooks.texi (Standard Hooks): Most minor modes have mode hooks too.

2005-04-24  Eli Zaretskii  <eliz@gnu.org>

	* syntax.texi (Syntax Table Internals): Elaborate documentation of
	syntax-after and syntax-class.

	* files.texi (Changing Files): Fix last change's cross-reference.
	(Unique File Names): Don't mention "numbers" in the documentation
	of make-temp-file and make-temp-name.

2005-04-23  Richard M. Stallman  <rms@gnu.org>

	* files.texi (Changing Files): Document MUSTBENEW arg in copy-file.

2005-04-22  Nick Roberts  <nickrob@snap.net.nz>

	* windows.texi (Cyclic Window Ordering): Clarify window-list.

2005-04-22  Nick Roberts  <nickrob@snap.net.nz>

	* variables.texi (Variable Aliases): Describe make-obsolete-variable
	and define-obsolete-variable-alias.

2005-04-22  Kim F. Storm  <storm@cua.dk>

	* symbols.texi (Symbol Plists): Remove safe-get, as get is now safe.
	(Other Plists): Remove safe-plist-get, as plist-get is now safe.

2005-04-21  Lute Kamstra  <lute@gnu.org>

	* lists.texi (Association Lists): Document rassq-delete-all.

2005-04-19  Richard M. Stallman  <rms@gnu.org>

	* modes.texi (Search-based Fontification): Explain that
	facespec is an expression to be evaluated.

2005-04-19  Kevin Ryde  <user42@zip.com.au>

	* streams.texi (Output Functions): Fix xref.
	* strings.texi (String Conversion): Fix xref.

2005-04-19  Kim F. Storm  <storm@cua.dk>

	* symbols.texi (Symbol Plists): Add safe-get.
	Mention that `get' may signal an error.

2005-04-18  Nick Roberts  <nickrob@snap.net.nz>

	* customize.texi (Variable Definitions): Replace tooltip-mode
	example with save-place.

2005-04-17  Richard M. Stallman  <rms@gnu.org>

	* buffers.texi (Indirect Buffers): Clarify.

	* positions.texi (Positions): Clarify converting marker to integer.

	* strings.texi (String Basics): Mention string-match; clarify.

2005-04-08  Lute Kamstra  <lute@gnu.org>

	* modes.texi (Search-based Fontification): Fix cross references.
	Use consistent terminology.  Document anchored highlighting.

2005-04-05  Lute Kamstra  <lute@gnu.org>

	* modes.texi (Defining Minor Modes): Document :group keyword
	argument and its default value.

2005-04-03  Lute Kamstra  <lute@gnu.org>

	* hooks.texi (Standard Hooks): Add some hooks.  Add cross
	references and/or descriptions.  Delete major mode hooks; mention
	them as a category instead.  Rename or delete obsolete hooks.

2005-04-02  Richard M. Stallman  <rms@gnu.org>

	* nonascii.texi (Coding System Basics): Another wording cleanup.

2005-04-01  Richard M. Stallman  <rms@gnu.org>

	* nonascii.texi (Coding System Basics): Clarify previous change.

2005-04-01  Kenichi Handa  <handa@m17n.org>

	* nonascii.texi (Coding System Basics): Describe about roundtrip
	identity of coding systems.

2005-03-29  Chong Yidong  <cyd@stupidchicken.com>

	* text.texi (Buffer Contents): Add filter-buffer-substring and
	buffer-substring-filters.

2005-03-26  Chong Yidong  <cyd@stupidchicken.com>

	* anti.texi (Antinews): Mention `G' interactive code.

	* tips.texi (Compilation Tips): Mention benchmark.el.

2005-03-27  Luc Teirlinck  <teirllm@auburn.edu>

	* modes.texi (Other Font Lock Variables): `font-lock-fontify-block'
	is now bound to M-o M-o.

	* keymaps.texi (Prefix Keys): `facemenu-keymap' is now on M-o.

2005-03-26  Glenn Morris  <gmorris@ast.cam.ac.uk>

	* calendar.texi: Delete file (and move contents to emacs-xtra.texi
	in the Emacs Manual).
	* Makefile.in (srcs): Remove calendar.texi.
	* makefile.w32-in (srcs): Remove calendar.texi.
	* display.texi (Display): Change name of next node.
	* os.texi (System In): Change name of previous node.
	* elisp.texi (Top): Remove Calendar references.
	* vol1.texi (Top): Remove Calendar references.
	* vol2.texi (Top): Remove Calendar references.

2005-03-25  Richard M. Stallman  <rms@gnu.org>

	* display.texi (Standard Faces, Fringe Bitmaps, Customizing Bitmaps):
	Cleanup previous change.

2005-03-25  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Face Attributes): Faces earlier in an :inherit
	list take precedence.
	(Scroll Bars): Fix description of vertical-scroll-bars.
	Document frame-current-scroll-bars and window-current-scroll-bars.

	* markers.texi (The Mark): Document temporary Transient Mark mode.

	* minibuf.texi (Reading File Names):
	Document read-file-name-completion-ignore-case.

	* positions.texi (Screen Lines): Document nil for width argument
	to compute-motion.

2005-03-23  Kim F. Storm  <storm@cua.dk>

	* display.texi (Standard Faces): Other faces used in the fringe
	implicitly inherits from the fringe face.
	(Fringe Bitmaps): FACE in right-fringe and left-fringe display
	properties implicitly inherits from fringe face.
	(Customizing Bitmaps): Likewise for set-fringe-bitmap-face.

2005-03-20  Chong Yidong  <cyd@stupidchicken.com>

	* display.texi (Invisible Text): State default value of
	line-move-ignore-invisible.
	(Managing Overlays): Document remove-overlays.
	(Standard Faces): Document escape-glyph face.

	* minibuf.texi (Reading File Names): Document read-file-name-function.

	* modes.texi (Other Font Lock Variables):
	Document font-lock-lines-before.

	* positions.texi (Skipping Characters): skip-chars-forward allows
	character classes.

2005-03-18  Lute Kamstra  <lute@gnu.org>

	* edebug.texi (Instrumenting Macro Calls): Fix another typo.

2005-03-17  Richard M. Stallman  <rms@gnu.org>

	* text.texi (Undo): Document extensible undo entries.

	* searching.texi (String Search, Regexp Search): Cleanups.

	* nonascii.texi (Character Codes): Minor fix.

	* display.texi (Display Property): Explain the significance
	of having text properties that are eq.
	(Other Display Specs): Explain string as display spec.

	* commands.texi (Interactive Codes): Document G option.

2005-03-17  Chong Yidong  <cyd@stupidchicken.com>

	* text.texi (Filling): Add sentence-end-without-period and
	sentence-end-without-space.
	(Changing Properties): Minor fix.

	* anti.texi: Total rewrite.

2005-03-15  Lute Kamstra  <lute@gnu.org>

	* edebug.texi (Instrumenting Macro Calls): Fix typos.

2005-03-08  Kim F. Storm  <storm@cua.dk>

	* display.texi (Specified Space): Property :width is support on
	non-graphic terminals, :height is not.

2005-03-07  Richard M. Stallman  <rms@gnu.org>

	* display.texi (Overlay Arrow, Fringe Bitmaps, Customizing Bitmaps):
	Now subnodes of Fringes.
	(Overlay Arrow): Document overlay-arrow-variable-list.
	(Fringe Size/Pos): New node, broken out of Fringes.
	(Display): Explain clearing vs redisplay better.
	(Truncation): Clarify use of bitmaps.
	(The Echo Area): Clarify the uses of the echo area.
	Add max-mini-window-height.
	(Progress): Clarify.
	(Invisible Text): Explain that main loop moves point out.
	(Selective Display): Say "hidden", not "invisible".
	(Managing Overlays): Move up.  Describe relation to Undo here.
	(Overlay Properties): Clarify intro.
	(Finding Overlays): Explain return values when nothing found.
	(Width): truncate-string-to-width has added arg.
	(Displaying Faces): Clarify and update mode line face handling.
	(Face Functions): Minor cleanup.
	(Conditional Display): Merge into Other Display Specs.
	(Pixel Specification, Other Display Specs): Minor cleanups.
	(Images, Image Descriptors): Minor cleanups.
	(GIF Images): Patents have expired.
	(Showing Images): Explain default text for insert-image.
	(Manipulating Button Types): Merge into Manipulating Buttons.
	(Making Buttons): Explain return values.
	(Button Buffer Commands): Add xref.
	(Inverse Video): Update mode-line-inverse-video.
	(Display Table Format): Clarify.
	(Active Display Table): Give defaults for window-display-table.

	* calendar.texi (Calendar Customizing): calendar-holiday-marker
	and calendar-today-marker are strings, not chars.
	(Holiday Customizing): Minor fix.

	* internals.texi (Writing Emacs Primitives): Update `or' example.
	Update limit on # args of subr.

	* edebug.texi (Using Edebug): Arrow is in fringe.
	(Instrumenting): Arg to eval-defun works without loading edebug.
	(Edebug Execution Modes): Add xref.

	* customize.texi (Common Keywords): Clarify :require.
	Mention :version here.
	(Variable Definitions, Group Definitions): Not here.
	(Variable Definitions): Clarify symbol arg to :initialize and :set fns.

2005-03-07  Chong Yidong  <cyd@stupidchicken.com>
	* nonascii.texi (Text Representations): Clarify position-bytes.
	(Character Sets): Add list-charset-chars.
	(Scanning Charsets): Add charset-after.
	(Encoding and I/O): Minor fix.

2005-03-06  Richard M. Stallman  <rms@gnu.org>

	* windows.texi (Vertical Scrolling): Get rid of "Emacs 21".
	(Resizing Windows): Likewise.

	* text.texi (Change Hooks): Get rid of "Emacs 21".

	* strings.texi (Formatting Strings): Get rid of "Emacs 21".

	* streams.texi (Output Variables): Get rid of "Emacs 21".

	* searching.texi (Regexp Special, Char Classes): Get rid of "Emacs 21".

	* os.texi (Translating Input): Replace flow-control example
	with a less obsolete example that uses `keyboard-translate'.

	* objects.texi (Hash Table Type, Circular Objects):
	Get rid of "Emacs 21".

	* modes.texi (Mode Line Format): Get rid of "Emacs 21".
	(Mode Line Data, Properties in Mode, Header Lines): Likewise.

	* minibuf.texi (Minibuffer Misc): Get rid of "Emacs 21".

	* lists.texi (List Elements, Building Lists): Get rid of "Emacs 21".

	* keymaps.texi (Menu Separators, Tool Bar): Get rid of "Emacs 21".
	(Menu Bar): Fix when menu-bar-update-hook is called.

	* hash.texi (Hash Tables): Get rid of "Emacs 21".

	* frames.texi (Text Terminal Colors): Get rid of "Emacs 21",
	and make it read better.

	* files.texi (Writing to Files): Get rid of "Emacs 21".
	(Unique File Names): Likewise.

	* elisp.texi: Update Emacs version to 22.

	* display.texi (Forcing Redisplay): Get rid of "Emacs 21".
	(Overlay Properties, Face Attributes): Likewise.
	(Managing Overlays): Fix punctuation.
	(Attribute Functions): Clarify set-face-font; get rid of
	info about old Emacs versions.
	(Auto Faces, Font Lookup, Display Property, Images):
	Get rid of "Emacs 21".

	* calendar.texi (Calendar Customizing): Get rid of "Emacs 21".

2005-03-05  Richard M. Stallman  <rms@gnu.org>

	* debugging.texi (Error Debugging): Remove stack-trace-on-error.

2005-03-04  Lute Kamstra  <lute@gnu.org>

	* debugging.texi (Error Debugging): Document stack-trace-on-error.

2005-03-03  Lute Kamstra  <lute@gnu.org>

	* edebug.texi (Instrumenting Macro Calls): Fix typo.

2005-03-01  Lute Kamstra  <lute@gnu.org>

	* debugging.texi (Debugger Commands): Update `j'.

2005-02-28  Lute Kamstra  <lute@gnu.org>

	* debugging.texi (Debugging): Fix typo.
	(Error Debugging): Document eval-expression-debug-on-error.
	(Function Debugging): Update example.
	(Using Debugger): Mention starred stack frames.
	(Debugger Commands): Document `j' and `l'.
	(Invoking the Debugger): `d' and `j' exit recursive edit too.
	Update the messages that the debugger displays.
	(Internals of Debugger): Add cross reference.  Update example.
	(Excess Open): Minor improvement.
	(Excess Close): Minor improvement.

2005-02-26  Richard M. Stallman  <rms@gnu.org>

	* tips.texi (Coding Conventions): Clarify.
	Put all the major mode key reservations together.
	Mention the Mouse-1 => Mouse-2 conventions.

	* syntax.texi (Syntax Class Table): Clarify.
	(Syntax Table Functions): syntax-after moved from here.
	(Syntax Table Internals): syntax-after moved to here.
	(Parsing Expressions): Update info on number of values
	and what's meaningful in the STATE argument.
	(Categories): Fix typo.

	* sequences.texi (Arrays): Cleanup.
	(Char-Tables): Clarify.

	* processes.texi (Deleting Processes): Cleanups, add xref.
	(Subprocess Creation): Explain nil in exec-path.  Cleanup.
	(Process Information): set-process-coding-system, some args optional.
	(Input to Processes): Explain various types for PROCESS args.
	Rename them from PROCESS-NAME to PROCESS.
	(Signals to Processes): Likewise.
	(Decoding Output): Cleanup.
	(Query Before Exit): Clarify.

	* os.texi (Startup Summary): Correct the options; add missing ones.
	(Terminal Output, Batch Mode): Clarify.
	(Flow Control): Node deleted.

	* markers.texi (The Mark): Clarify.

	* macros.texi (Expansion): Cleanup.
	(Indenting Macros): indent-spec allows ints, not floats.

	* keymaps.texi (Keymaps): Clarify.
	(Format of Keymaps): Update lisp-mode-map example.
	(Active Keymaps, Key Lookup): Clarify.
	(Changing Key Bindings): Add xref to `kbd'.
	(Key Binding Commands, Simple Menu Items): Clarify.
	(Mouse Menus, Menu Bar): Clarify.
	(Menu Example): Replace print example with menu-bar-replace-menu.

	* help.texi (Documentation Basics): Add function-documentation prop.

	* elisp.texi (Top): Don't refer to Flow Control node.

	* commands.texi (Command Overview): Improve xrefs.
	(Adjusting Point): Adjusting point applies to intangible and invis.
	(Key Sequence Input): Doc extra read-key-sequence args.
	Likewise for read-key-sequence-vector.

	* backups.texi (Rename or Copy): Minor fix.
	(Numbered Backups): For version-control, say the default.
	(Auto-Saving): make-auto-save-file-name example is simplified.

	* advice.texi (Advising Functions): Don't imply one part of Emacs
	should advise another part.  Markup changes.
	(Defining Advice): Move transitional para.
	(Activation of Advice): Cleanup.
	Explain if COMPILE is nil or negative.

	* abbrevs.texi (Abbrev Expansion): Clarify, fix typo.

2005-02-24  Lute Kamstra  <lute@gnu.org>

	* modes.texi (Defining Minor Modes): Explain that INIT-VALUE,
	LIGHTER, and KEYMAP can be omitted when KEYWORD-ARGS are used.

2005-02-23  Lute Kamstra  <lute@gnu.org>

	* modes.texi (Defining Minor Modes): define-minor-mode can be used
	to define global minor modes as well.

	* display.texi (Managing Overlays): overlay-buffer returns nil for
	deleted overlays.

2005-02-22  Kim F. Storm  <storm@cua.dk>

	* minibuf.texi (Basic Completion): Allow symbols in addition to
	strings in try-completion and all-completions.

2005-02-14  Lute Kamstra  <lute@gnu.org>

	* elisp.texi (Top): Remove reference to deleted node.

	* lists.texi (Lists): Remove reference to deleted node.
	(Cons Cells): Fix typo.

	* loading.texi (Where Defined): Fix typo.

2005-02-14  Richard M. Stallman  <rms@gnu.org>

	* variables.texi (Creating Buffer-Local): change-major-mode-hook
	is useful for discarding some minor modes.

	* symbols.texi (Symbol Components): Reorder examples.

	* streams.texi (Input Functions): State standard-input default.
	(Output Variables): State standard-output default.

	* objects.texi (Printed Representation): Clarify read syntax vs print.
	(Floating Point Type): Explain meaning better.
	(Symbol Type): Explain uniqueness better.
	(Cons Cell Type): Explain empty list sooner.  CAR and CDR later.
	List examples sooner.
	(Box Diagrams): New subnode broken out.
	Some examples moved from old Lists as Boxes node.
	(Dotted Pair Notation): Clarify intro.
	(Array Type): Clarify.
	(Type Predicates): Add hash-table-p.

	* numbers.texi (Integer Basics): Clarify radix explanation.
	(Predicates on Numbers): Minor clarification.
	(Comparison of Numbers): Minor clarification.  Clarify eql.
	Typos in min, max.
	(Math Functions): Clarify overflow in expt.

	* minibuf.texi (Text from Minibuffer): Minor clarification.
	Mention arrow keys.

	* loading.texi (Autoload): defun's doc string overrides autoload's
	doc string.
	(Repeated Loading): Modernize "add to list" examples.
	(Where Defined): Finish updating table of load-history elts.

	* lists.texi (List-related Predicates): Minor wording improvement.
	(Lists as Boxes): Node deleted.
	(Building Lists): Explain trivial cases of number-sequence.

	* hash.texi (Hash Tables): Add desc to menu items.
	(Creating Hash): Explain "full" means "make larger".
	(Hash Access): Any object can be a key.
	State value of maphash.

	* functions.texi (What Is a Function): Wording cleanup.
	(Function Documentation): Minor cleanup.
	Explain purpose of calling convention at end of doc string.
	(Function Names): Wording cleanup.
	(Calling Functions): Wording cleanup.
	Explain better how funcall calls the function.
	(Function Cells): Delete example of saving and redefining function.

	* control.texi (Combining Conditions): Wording cleanup.
	(Iteration): dolist and dotimes bind VAR locally.
	(Cleanups): Xref to Atomic Changes.

	* compile.texi (Byte Compilation): Delete 19.29 info.
	(Compilation Functions): Macros' difficulties don't affect defsubst.
	(Docs and Compilation): Delete 19.29 info.

2005-02-10  Richard M. Stallman  <rms@gnu.org>

	* objects.texi (Symbol Type): Minor correction.

2005-02-06  Lute Kamstra  <lute@gnu.org>

	* modes.texi (Example Major Modes): Fix typos.

2005-02-06  Richard M. Stallman  <rms@gnu.org>

	* text.texi (Margins): fill-nobreak-predicate can be one function.

	* strings.texi (Modifying Strings): clear-string can make unibyte.
	(Formatting Strings): format gives error if values missing.

	* positions.texi (Character Motion): Mention default arg
	for forward-char.  backward-char refers to forward-char.
	(Word Motion): Mention default arg for forward-word.
	(Buffer End Motion): Mention default arg for beginning-of-buffer.
	Simplify end-of-buffer.
	(Text Lines): Mention default arg for forward-line.
	(List Motion): Mention default arg for beginning/end-of-defun.
	(Skipping Characters): Minor fixes in explaining character-set.

	* modes.texi (Major Mode Conventions): Mention "system abbrevs".
	Mode inheritance applies only when default-major-mode is nil.
	Clarifications.
	(Example Major Modes): Update Text mode and Lisp mode examples.
	(Minor Mode Conventions): Mention define-minor-mode at top.
	(Defining Minor Modes): In Hungry example, don't define C-M-DEL.
	(Mode Line Format): Update mode line face display info.
	(Properties in Mode): Mention effect of risky vars.
	(Imenu): Define imenu-add-to-menubar.
	(Font Lock Mode): Add descriptions to menu lines.
	(Faces for Font Lock): Add font-lock-doc-face.

2005-02-05  Lute Kamstra  <lute@gnu.org>

	* text.texi (Maintaining Undo): Remove obsolete function.

2005-02-05  Eli Zaretskii  <eliz@gnu.org>

	* frames.texi (Color Names): Add pointer to the X docs about RGB
	color specifications.  Improve indexing
	(Text Terminal Colors): Replace the description of RGB values by
	an xref to "Color Names".

2005-02-03  Richard M. Stallman  <rms@gnu.org>

	* windows.texi (Basic Windows): Add cursor-in-non-selected-windows.
	Clarify.
	(Selecting Windows): Clarify save-selected-window.
	(Cyclic Window Ordering): Clarify walk-windows.
	(Window Point): Clarify.
	(Window Start): Add comment to example.
	(Resizing Windows): Add `interactive' specs in examples.
	Document fit-window-to-buffer.

	* text.texi (User-Level Deletion): just-one-space takes numeric arg.
	(Undo, Maintaining Undo): Clarify last change.
	(Sorting): In sort-numeric-fields, explain about octal and hex.
	Mention sort-numeric-base.
	(Format Properties): Add xref for hard newlines.

	* frames.texi (Window Frame Parameters): Explain pixel=char on tty.
	(Pop-Up Menus): Fix typo.
	(Color Names): Explain all types of color names.
	Explain color-values on B&W terminal.
	(Text Terminal Colors): Explain "rgb values" are lists.  Fix arg names.

	* files.texi (File Locks): Not supported on MS systems.
	(Testing Accessibility): Clarify.

	* edebug.texi (Printing in Edebug): Fix edebug-print-circle.
	(Coverage Testing): Fix typo.

	* commands.texi (Misc Events): Remove stray space.

	* buffers.texi (Buffer Names): Clarify generate-new-buffer-name.
	(Modification Time): Clarify when visited-file-modtime returns 0.
	(The Buffer List): Clarify bury-buffer.
	(Killing Buffers): Clarify.
	(Indirect Buffers): Add clone-indirect-buffer.

2005-02-02  Matt Hodges  <MPHodges@member.fsf.org>

	* edebug.texi (Printing in Edebug): Fix default value of
	edebug-print-circle.
	(Coverage Testing): Fix displayed frequency count data.

2005-02-02  Luc Teirlinck  <teirllm@auburn.edu>

	* text.texi (Maintaining Undo): Add `undo-outer-limit'.

2005-02-02  Kim F. Storm  <storm@cua.dk>

	* text.texi (Undo) <buffer-undo-list>: Describe `apply' elements.

2005-01-29  Eli Zaretskii  <eliz@gnu.org>

	* commands.texi (Misc Events): Describe the help-echo event.

	* text.texi (Special Properties) <help-echo>: Use `pos'
	consistently in description of the help-echo property.
	Use @code{nil} instead of @var{nil}.

	* display.texi (Overlay Properties): Fix the index entry for
	help-echo overlay property.

	* customize.texi (Type Keywords): Uncomment the xref to the
	help-echo property documentation.

2005-01-23  Kim F. Storm  <storm@cua.dk>

	* windows.texi (Window Start): Fix `pos-visible-in-window-p'
	return value.  Third element FULLY replaced by PARTIAL which
	specifies number of invisible pixels if row is only partially visible.
	(Textual Scrolling): Mention auto-window-vscroll.
	(Vertical Scrolling): New defvar auto-window-vscroll.

2005-01-16  Luc Teirlinck  <teirllm@auburn.edu>

	* keymaps.texi (Changing Key Bindings): `suppress-keymap' now uses
	command remapping.

2005-01-15  Richard M. Stallman  <rms@gnu.org>

	* display.texi (Defining Images): Mention DATA-P arg of create-image.

2005-01-14  Kim F. Storm  <storm@cua.dk>

	* commands.texi (Accessing Events): Add WHOLE arg to posn-at-x-y.

	* text.texi (Links and Mouse-1): Fix string and vector item.

2005-01-13  Richard M. Stallman  <rms@gnu.org>

	* keymaps.texi (Active Keymaps): Rewrite the text, and update the
	descriptions of overriding-local-map and overriding-terminal-local-map.

	* text.texi (Links and Mouse-1): Clarify text.

2005-01-13  Kim F. Storm  <storm@cua.dk>

	* modes.texi (Emulating Mode Line): Update format-mode-line entry.

2005-01-13  Francis Litterio  <franl@world.std.com>  (tiny change)

	* keymaps.texi (Active Keymaps): Fix overriding-local-map description.

2005-01-12  Kim F. Storm  <storm@cua.dk>

	* text.texi (Links and Mouse-1): Rename section from Enabling
	Mouse-1 to Following Links.  Change xrefs.
	Add examples for define-button-type and define-widget.

	* display.texi (Button Properties, Button Buffer Commands):
	Clarify mouse-1 and follow-link functionality.

2005-01-12  Richard M. Stallman  <rms@gnu.org>

	* text.texi (Enabling Mouse-1 to Follow Links): Redo prev. change.

	* display.texi (Beeping): Fix Texinfo usage.

	* modes.texi (Emulating Mode Line): Doc FACE arg in format-header-line.

2005-01-11  Kim F. Storm  <storm@cua.dk>

	* display.texi (Button Properties, Button Buffer Commands):
	Mention mouse-1 binding.  Add follow-link keyword.

	* text.texi (Text Properties): Add "Enable Mouse-1" to submenu.
	(Enabling Mouse-1 to Follow Links): New subsection.

2005-01-06  Richard M. Stallman  <rms@gnu.org>

	* text.texi (Special Properties): Minor change.

	* os.texi (Timers): Clarify previous change.

	* modes.texi (Emulating Mode Line): format-mode-line requires 1 arg.

2005-01-01  Luc Teirlinck  <teirllm@auburn.edu>

	* display.texi (Face Attributes): Correct xref to renamed node.

2005-01-01  Richard M. Stallman  <rms@gnu.org>

	* display.texi (Face Attributes): Describe hex color specs.

2004-12-31  Richard M. Stallman  <rms@gnu.org>

	* os.texi (Timers): Update previous change.

2004-12-30  Kim F. Storm  <storm@cua.dk>

	* display.texi (Line Height): Total line-height is now specified
	in line-height property of form (HEIGHT TOTAL).  Swap (FACE . RATIO)
	in cons cells.  (nil . RATIO) is relative to actual line height.
	Use line-height `t' instead of `0' to get minimum height.

2004-12-29  Richard M. Stallman  <rms@gnu.org>

	* os.texi (Timers): Discuss timers vs editing the buffer and undo.

2004-12-28  Richard M. Stallman  <rms@gnu.org>

	* commands.texi (Quitting): Clarify value of with-local-quit.

	* elisp.texi (Top): Fix previous change.

	* loading.texi (Loading): Fix previous change.

2004-12-27  Richard M. Stallman  <rms@gnu.org>

	* Makefile.in (MAKEINFO): Specify --force.

	* buffers.texi (Killing Buffers): Add buffer-save-without-query.

	* modes.texi (Emulating Mode Line): Document format's BUFFER arg.

	* display.texi (Line Height): Further clarify.

	* elisp.texi (Top): Update Loading submenu.

	* loading.texi (Where Defined): New node.
	(Unloading): load-history moved to Where Defined.

2004-12-21  Richard M. Stallman  <rms@gnu.org>

	* commands.texi (Event Input Misc): Add while-no-input.

2004-12-11  Richard M. Stallman  <rms@gnu.org>

	* display.texi (Line Height): Rewrite text for clarity.

2004-12-11  Kim F. Storm  <storm@cua.dk>

	* display.texi (Display): Add node "Line Height" to menu.
	(Line Height): New node.  Move full description of line-spacing
	and line-height text properties here from text.texi.
	(Scroll Bars): Add vertical-scroll-bar variable.

	* frames.texi (Window Frame Parameters): Remove line-height defvar.

	* locals.texi (Standard Buffer-Local Variables): Fix xref for
	line-spacing and vertical-scroll-bar.

	* text.texi (Special Properties): Just mention line-spacing and
	line-height here, add xref to new "Line Height" node.

2004-12-09  Thien-Thi Nguyen  <ttn@gnu.org>

	* frames.texi (Window Frame Parameters): New @defvar for `line-spacing'.

	* locals.texi (Standard Buffer-Local Variables):
	Add @xref for `line-spacing'.

2004-12-05  Richard M. Stallman  <rms@gnu.org>

	* Makefile.in (maintainer-clean): Remove the info files
	in $(infodir) where they are created.

2004-12-03  Richard M. Stallman  <rms@gnu.org>

	* windows.texi (Selecting Windows): get-lru-window and
	get-largest-window don't consider dedicated windows.

	* text.texi (Undo): Document undo-in-progress.

2004-11-26  Richard M. Stallman  <rms@gnu.org>

	* locals.texi (Standard Buffer-Local Variables): Undo prev change.
	Remove a few vars that are not always buffer-local.

2004-11-24  Luc Teirlinck  <teirllm@auburn.edu>

	* locals.texi (Standard Buffer-Local Variables): Comment out
	xref's to non-existent node `Yet to be written'.

2004-11-24  Richard M. Stallman  <rms@gnu.org>

	* processes.texi (Synchronous Processes): Grammar fix.

	* numbers.texi (Comparison of Numbers): Add eql.

	* locals.texi (Standard Buffer-Local Variables): Add many vars.

	* intro.texi (Printing Notation): Fix previous change.

	* display.texi (Customizing Bitmaps): Move indicate-buffer-boundaries
	and default-indicate-buffer-boundaries from here.
	(Usual Display): To here.
	(Scroll Bars): Add scroll-bar-mode and scroll-bar-width.
	(Usual Display): Move tab-width up.

	* customize.texi (Variable Definitions):
	Replace show-paren-mode example with tooltip-mode.
	(Simple Types, Composite Types, Defining New Types):
	Minor cleanups.

2004-11-21  Jesper Harder  <harder@ifa.au.dk>

	* processes.texi (Synchronous Processes, Output from Processes):
	Markup fix.

2004-11-20  Richard M. Stallman  <rms@gnu.org>

	* positions.texi (Skipping Characters): skip-chars-forward
	now handles char classes.

	* intro.texi (Printing Notation): Avoid confusion of `print'
	when explaining @print.

	* macros.texi (Argument Evaluation): Fix 1st `for' expansion example.

	* display.texi (Display Table Format): Minor fix.

	* streams.texi (Output Functions): Fix print example.

	* Makefile.in (elisp): New target.
	(dist): Depend on $(infodir)/elisp, not elisp.
	Copy the info files from $(infodir).

	* minibuf.texi (Text from Minibuffer): Document KEEP-ALL arg in
	read-from-minibuffer.

	* searching.texi (Regexp Search): Rename that to search-spaces-regexp.

2004-11-19  Richard M. Stallman  <rms@gnu.org>

	* searching.texi (Regexp Search): Add search-whitespace-regexp.

2004-11-19  CHENG Gao  <chenggao@gmail.com>  (tiny change)

	* tips.texi (Coding Conventions): Fix typo.

2004-11-16  Richard M. Stallman  <rms@gnu.org>

	* tips.texi (Coding Conventions): Separate defvar and require
	methods to avoid warnings.  Use require only when there are many
	functions and variables from that package.

	* minibuf.texi (Minibuffer Completion): When ignoring case,
	predicate must not be case-sensitive.

	* debugging.texi (Function Debugging, Explicit Debug): Clarified.
	(Test Coverage): Don't talk about "splotches".  Clarified.

2004-11-16  Thien-Thi Nguyen  <ttn@gnu.org>

	* frames.texi (Window Frame Parameters): Fix typo.

2004-11-15  Kim F. Storm  <storm@cua.dk>

	* symbols.texi (Other Plists): Note that plist-get may signal error.
	Add safe-plist-get.

2004-11-15  Thien-Thi Nguyen  <ttn@gnu.org>

	* modes.texi (Font Lock Basics): Fix typo.

2004-11-08  Richard M. Stallman  <rms@gnu.org>

	* syntax.texi (Syntax Table Functions): Add syntax-after.

2004-11-06  Lars Brinkhoff  <lars@nocrew.org>

	* os.texi (Processor Run Time): New section documenting
	get-internal-run-time.

2004-11-06  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.in (install, maintainer-clean): Don't use "elisp-*" as
	it nukes elisp-cover.texi.
	(dist): Change elisp-[0-9] to elisp-[1-9], as there could be no
	elisp-0 etc.

2004-11-05  Luc Teirlinck  <teirllm@auburn.edu>

	* commands.texi (Keyboard Macros): Document `append' return value
	of `defining-kbd-macro'.

2004-11-01  Richard M. Stallman  <rms@gnu.org>

	* commands.texi (Interactive Call): Add called-interactively-p.

2004-10-29  Simon Josefsson  <jas@extundo.com>

	* minibuf.texi (Reading a Password): Revert.

2004-10-28  Richard M. Stallman  <rms@gnu.org>

	* frames.texi (Display Feature Testing): Explain about "vendor".

2004-10-27  Richard M. Stallman  <rms@gnu.org>

	* commands.texi (Interactive Codes): `N' uses numeric prefix,
	not raw.  Clarify `n'.
	(Interactive Call): Rewrite interactive-p, focusing on when
	and how to use it.
	(Misc Events): Clarify previous change.

	* advice.texi (Simple Advice): Clarify what job the example does.
	(Around-Advice): Clarify ad-do-it.
	(Activation of Advice): An option of ad-default-compilation-action
	is `never', not `nil'.

2004-10-26  Kim F. Storm  <storm@cua.dk>

	* commands.texi (Interactive Codes): Add U code letter.

2004-10-25  Simon Josefsson  <jas@extundo.com>

	* minibuf.texi (Reading a Password): Add.

2004-10-24  Jason Rumney  <jasonr@gnu.org>

	* commands.texi (Misc Events): Remove mouse-wheel.  Add wheel-up
	and wheel-down.

2004-10-24  Kai Grossjohann  <kai.grossjohann@gmx.net>

	* processes.texi (Synchronous Processes): Document process-file.

2004-10-22  Kenichi Handa  <handa@m17n.org>

	* text.texi (translate-region): Document that it accepts also a
	char-table.

2004-10-22  David Ponce  <david@dponce.com>

	* windows.texi (Resizing Windows): Document the `preserve-before'
	argument of the functions `enlarge-window' and `shrink-window'.

2004-10-19  Jason Rumney  <jasonr@gnu.org>

	* makefile.w32-in (elisp): Change order of arguments to makeinfo.

2004-10-09  Luc Teirlinck  <teirllm@auburn.edu>

	* text.texi (Filling): Add anchor for definition of
	`sentence-end-double-space'.

	* searching.texi (Regexp Example): Update description of how
	Emacs currently recognizes the end of a sentence.
	(Standard Regexps): Update definition of the variable
	`sentence-end'.  Add definition of the function `sentence-end'.

2004-10-08  Paul Pogonyshev  <pogonyshev@gmx.net>

	* display.texi (Progress): New node.

2004-10-05  Kim F. Storm  <storm@cua.dk>

	* display.texi (Fringe Bitmaps): Update fringe-bitmaps-at-pos.

2004-09-29  Kim F. Storm  <storm@cua.dk>

	* display.texi (Fringe Bitmaps): Use symbols rather than numbers
	to identify bitmaps.  Remove -fringe-bitmap suffix for standard
	fringe bitmap symbols, as they now have their own namespace.
	(Customizing Bitmaps) <define-fringe-bitmap>: Clarify bit ordering
	vs. pixels.  Signal error if no free bitmap slots.
	(Pixel Specification): Change IMAGE to @var{image}.

2004-09-28  Richard M. Stallman  <rms@gnu.org>

	* text.texi (Special Properties): Clarify line-spacing and line-height.

	* searching.texi (Regexp Search): Add looking-back.

2004-09-25  Luc Teirlinck  <teirllm@auburn.edu>

	* display.texi: Correct typos.
	(Image Descriptors): Correct xref's.

2004-09-25  Richard M. Stallman  <rms@gnu.org>

	* text.texi (Special Properties): Cleanups in `cursor'.
	Rewrites in `line-height' and `line-spacing'; exchange them.

	* display.texi (Fringes): Rewrite previous change.
	(Fringe Bitmaps): Merge text from Display Fringe Bitmaps.  Rewrite.
	(Display Fringe Bitmaps): Node deleted, text moved.
	(Customizing Bitmaps): Split off from Fringe Bitmaps.  Rewrite.
	(Scroll Bars): Clarify set-window-scroll-bars.
	(Pointer Shape): Rewrite.
	(Specified Space): Clarify :align-to, etc.
	(Pixel Specification): Use @var.  Clarify new text.
	(Other Display Specs): Clarify `slice'.
	(Image Descriptors): Cleanups.
	(Showing Images): Cleanups.

2004-09-24  Luc Teirlinck  <teirllm@auburn.edu>

	* hooks.texi (Standard Hooks): Add `after-change-major-mode-hook'.

	* modes.texi: Various minor changes in addition to:
	(Major Mode Conventions): Final call to `run-mode-hooks' should
	not be inside the `delay-mode-hooks' form.
	(Mode Hooks): New node.
	(Hooks): Delete obsolete example.
	Move definitions of `run-mode-hooks' and `delay-mode-hooks' to new
	node "Mode Hooks".

2004-09-22  Luc Teirlinck  <teirllm@auburn.edu>

	* display.texi: Correct various typos.
	(Display): Rename node "Pointer Shapes" to "Pointer
	Shape".  (There is already a node called "Pointer Shapes" in
	frames.texi.)
	(Images): Remove non-existent node "Image Slices" from menu.

2004-09-23  Kim F. Storm  <storm@cua.dk>

	* text.texi (Special Properties): Add `cursor', `pointer',
	`line-height', and `line-spacing' properties.

	* display.texi (Display): Add 'Fringe Bitmaps' and 'Pointer
	Shapes' to menu.
	(Standard Faces): Doc fix for fringe face.
	(Fringes): Add `overflow-newline-into-fringe' and
	'indicate-buffer-boundaries'.
	(Fringe Bitmaps, Pointer Shapes): New nodes.
	(Display Property): Add 'Pixel Specification' and 'Display Fringe
	Bitmaps' to menu.
	(Specified Space): Describe pixel width and height.
	(Pixel Specification): New node.
	(Other Display Specs): Add `slice' property.
	(Display Fringe Bitmaps): New node.
	(Images): Add 'Image Slices' to menu.
	(Image Descriptors): Add `:pointer' and `:map' properties.
	(Showing Images): Add slice arg to `insert-image'.
	Add 'insert-sliced-image'.

2004-09-20  Richard M. Stallman  <rms@gnu.org>

	* commands.texi (Key Sequence Input):
	Clarify downcasing in read-key-sequence.

2004-09-08  Juri Linkov  <juri@jurta.org>

	* minibuf.texi (Minibuffer History): Add `history-delete-duplicates'.

2004-09-07  Luc Teirlinck  <teirllm@auburn.edu>

	* locals.texi (Standard Buffer-Local Variables):
	Add `buffer-auto-save-file-format'.
	* internals.texi (Buffer Internals): Describe new
	auto_save_file_format field of the buffer structure.
	* files.texi (Format Conversion): `auto-save-file-format' has been
	renamed `buffer-auto-save-file-format'.

2004-08-27  Luc Teirlinck  <teirllm@auburn.edu>

	* abbrevs.texi (Abbrev Expansion): `abbrev-start-location' can be
	an integer or a marker.
	(Abbrev Expansion): Replace example for `pre-abbrev-expand-hook'.

2004-08-22  Richard M. Stallman  <rms@gnu.org>

	* modes.texi (Major Mode Conventions): Discuss rebinding of
	standard key bindings.

2004-08-18  Kim F. Storm  <storm@cua.dk>

	* processes.texi (Accepting Output): Add `just-this-one' arg to
	`accept-process-output'.
	(Output from Processes): New var `process-adaptive-read-buffering'.

2004-08-10  Luc Teirlinck  <teirllm@auburn.edu>

	* keymaps.texi: Various changes in addition to:
	(Keymap Terminology): `kbd' uses same syntax as Edit Macro mode.
	Give more varied examples for `kbd'.
	(Creating Keymaps): Char tables have slots for all characters
	without modifiers.
	(Active Keymaps): `overriding-local-map' and
	`overriding-terminal-local-map' also override text property and
	overlay keymaps.
	(Functions for Key Lookup): Mention OLP arg to `current-active-maps'.
	(Scanning Keymaps): `accessible-keymaps' uses `[]' instead of `""'
	to denote a prefix of no events.
	`map-keymap' includes parent's bindings _recursively_.
	Clarify and correct description of `where-is-internal'.
	Mention BUFFER-OR-NAME arg to `describe-bindings'.
	(Menu Example): For menus intended for use with the keyboard, the
	menu items should be bound to characters or real function keys.

2004-08-08  Luc Teirlinck  <teirllm@auburn.edu>

	* objects.texi (Character Type): Reposition `@anchor' to prevent
	double space inside sentence in Info.

	* hooks.texi (Standard Hooks): `disabled-command-hook' has been
	renamed to `disabled-command-function'.
	* commands.texi (Key Sequence Input): Remove unnecessary anchor.
	(Command Loop Info): Replace reference to it.
	(Disabling Commands): `disabled-command-hook' has been renamed to
	`disabled-command-function'.

2004-08-07  Luc Teirlinck  <teirllm@auburn.edu>

	* os.texi (Translating Input): Only non-prefix bindings in
	`key-translation-map' override actual key bindings.  Warn about
	possible indirect effect of actual key bindings on non-prefix
	bindings in `key-translation-map'.

2004-08-06  Luc Teirlinck  <teirllm@auburn.edu>

	* minibuf.texi (High-Level Completion): Add anchor for definition
	of `read-variable'.

	* commands.texi: Various changes in addition to:
	(Using Interactive): Clarify description of `interactive-form'.
	(Interactive Call): Mention default for KEYS argument to
	`call-interactively'.
	(Command Loop Info): Clarify description of `this-command-keys'.
	Mention KEEP-RECORD argument to `clear-this-command-keys'.
	Value of `last-event-frame' can be `macro'.
	(Repeat Events): `double-click-fuzz' is also used to distinguish
	clicks and drags.
	(Classifying Events): Clarify descriptions of `event-modifiers'
	`event-basic-type' and `event-convert-list'.
	(Accessing Events): `posn-timestamp' takes POSITION argument.
	(Quoted Character Input): Clarify description of
	`read-quoted-char' and fix example.
	(Quitting): Add `with-local-quit'.
	(Disabling Commands): Correct and clarify descriptions of
	`enable-command' and `disable-command'.
	Mention what happens if `disabled-command-hook' is nil.
	(Keyboard Macros): Mention LOOPFUNC arg to `execute-kbd-macro'.
	Describe `executing-kbd-macro' instead of obsolete `executing-macro'.

2004-07-24  Luc Teirlinck  <teirllm@auburn.edu>

	* frames.texi: Various changes in addition to:
	(Creating Frames): Expand and clarify description of `make-frame'.
	(Window Frame Parameters): Either none or both of the `icon-left'
	and `icon-top' parameters must be specified.  Put descriptions of
	`menu-bar-lines' and `toolbar-lines' closer together and change
	them accordingly.
	(Frame Titles): `multiple-frames' is not guaranteed to be accurate
	except while processing `frame-title-format' or `icon-title-format'.
	(Deleting Frames): Correct description of `delete-frame'.
	Non-nil return values of `frame-live-p' are like those of `framep'.
	(Frames and Windows): Mention return value of
	`set-frame-selected-window'.
	(Visibility of Frames): Mention `force' argument to
	`make-frame-invisible'.  `frame-visible-p' returns t for all
	frames on text-only terminals.
	(Frame Configurations): Restoring a frame configuration does not
	restore deleted frames.
	(Window System Selections): `x-set-selection' returns DATA.
	(Resources): Add example.
	(Display Feature Testing): Clarify descriptions of
	`display-pixel-height', `display-pixel-width', `x-server-version'
	and `x-server-vendor'.

	* windows.texi (Choosing Window): Add anchor.
	* minibuf.texi (Minibuffer Misc): Add anchor.

2004-07-23  John Paul Wallington  <jpw@gnu.org>

	* macros.texi (Defining Macros): Declaration keyword for setting
	Edebug spec is `debug' not `edebug'.

2004-07-19  Luc Teirlinck  <teirllm@auburn.edu>

	* windows.texi: Various small changes in addition to:
	(Window Point): Mention return value of `set-window-point'.
	(Window Start): `pos-visible-in-window-p' disregards horizontal
	scrolling.  Explain return value if PARTIALLY is non-nil.
	(Vertical Scrolling): Mention PIXELS-P argument to `window-vscroll'
	and `set-window-vscroll'.
	(Size of Window): The argument WINDOW to `window-inside-edges',
	`window-pixel-edges' and `window-inside-pixel-edges' is optional.
	(Resizing Windows): Explain return value of
	`shrink-window-if-larger-than-buffer'.
	`window-size-fixed' automatically becomes buffer local when set.
	(Window Configurations): Explain return value of
	`set-window-configuration'.

	* minibuf.texi (Minibuffer Misc): Add anchor for
	`minibuffer-scroll-window'.

	* positions.texi (Text Lines): Add anchor for `count-lines'.

2004-07-17  Richard M. Stallman  <rms@gnu.org>

	* display.texi (Overlay Properties): Adding `evaporate' prop
	deletes empty overlay immediately.

	* abbrevs.texi (Abbrev Expansion): Clarify pre-abbrev-expand-hook,
	fix example.

2004-07-16  Jim Blandy  <jimb@redhat.com>

	* searching.texi (Regexp Backslash): Document new \_< and \_>
	operators.

2004-07-16  Juanma Barranquero  <lektu@terra.es>

	* display.texi (Images): Fix Texinfo usage.

2004-07-14  Luc Teirlinck  <teirllm@auburn.edu>

	* buffers.texi (Modification Time): `visited-file-modtime' now
	returns a list of two integers, instead of a cons.

2004-07-13  Luc Teirlinck  <teirllm@auburn.edu>

	* windows.texi: Various changes in addition to:
	(Splitting Windows): Add `split-window-keep-point'.

2004-07-09  Richard M. Stallman  <rms@gnu.org>

	* frames.texi (Input Focus): Minor fix.

2004-07-07  Luc Teirlinck  <teirllm@auburn.edu>

	* frames.texi (Input Focus): Clarify descriptions of
	`select-frame-set-input-focus' and `select-frame'.

2004-07-06  Luc Teirlinck  <teirllm@auburn.edu>

	* os.texi: Various small changes in addition to:
	(Killing Emacs): Expand and clarify description of
	`kill-emacs-query-functions' and `kill-emacs-hook'.
	(System Environment): Expand and clarify description of `getenv'
	and `setenv'.
	(Timers): Clarify description of `run-at-time'.
	(Translating Input): Correct description of
	`extra-keyboard-modifiers'.
	(Flow Control): Correct description of `enable-flow-control'.

2004-07-06  Thien-Thi Nguyen  <ttn@gnu.org>

	* os.texi: Update copyright.
	(Session Management): Grammar fix.
	Clarify which Emacs does the restarting.
	Use @samp for *scratch* buffer.

2004-07-04  Alan Mackenzie  <acm@muc.de>

	* frames.texi (Input Focus): Add documentation for
	`select-frame-set-input-focus'.  Replace refs to non-existent
	`switch-frame' with `select-frame'.  Minor corrections and tidying
	up of text-only terminal stuff.

2004-07-02  Richard M. Stallman  <rms@gnu.org>

	* files.texi (Saving Buffers): Cleanup write-contents-function.
	(Magic File Names): Cleanup file-remote-p.

2004-07-02  Kai Großjohann  <kai@emptydomain.de>

	* files.texi (Magic File Names): `file-remote-p' returns an
	identifier of the remote system, not just t.

2004-07-02  David Kastrup  <dak@gnu.org>

	* searching.texi (Entire Match Data): Add explanation about new
	match-data behavior when @var{integers} is non-nil.

2004-06-24  Richard M. Stallman  <rms@gnu.org>

	* commands.texi (Misc Events): Describe usr1-signal, usr2-signal event.

	* customize.texi (Variable Definitions): Note about doc strings
	and :set.

	* keymaps.texi (Keymap Terminology): Document `kbd'.
	(Changing Key Bindings, Key Binding Commands): Use kbd in examples.

	* display.texi (Invisible Text): Setting buffer-invisibility-spec
	makes it buffer-local.

	* files.texi (Saving Buffers): Correct previous change.

	* commands.texi (Accessing Events):
	Clarify posn-col-row and posn-actual-col-row.

2004-06-24  David Ponce  <david.ponce@wanadoo.fr>

	* commands.texi (Accessing Events): New functions
	posn-at-point and posn-at-x-y.  Add example to posn-x-y.

2004-06-23  Luc Teirlinck  <teirllm@auburn.edu>

	* lists.texi, files.texi, processes.texi, macros.texi, hash.texi:
	* frames.texi, buffers.texi, backups.texi, variables.texi:
	* loading.texi, eval.texi, functions.texi, control.texi:
	* symbols.texi, minibuf.texi: Reposition @anchor's.

	* help.texi: Various small changes in addition to the following.
	(Describing Characters): Describe PREFIX argument to
	`key-description'.  Correct and clarify definition of
	`text-char-description'.  Describe NEED-VECTOR argument to
	`read-kbd-macro'.
	(Help Functions): Clarify definition of `apropos'.

2004-06-23  Lars Hansen  <larsh@math.ku.dk>

	* files.texi (Saving Buffers): Correct description of
	`write-contents-functions'.

2004-06-21  Juanma Barranquero  <lektu@terra.es>

	* display.texi (Images): Remove redundant @vindex directives.
	Rewrite `image-library-alist' doc in active voice.

2004-06-14  Juanma Barranquero  <lektu@terra.es>

	* display.texi (Images): Document new delayed library loading,
	variable `image-library-alist' and (existing but undocumented)
	function `image-type-available-p'.

2004-06-05  Richard M. Stallman  <rms@gnu.org>

	* minibuf.texi (Minibuffer Completion): For INITIAL arg,
	refer the user to the Initial Input node.
	(Text from Minibuffer): Likewise.
	(Initial Input): New node.  Document this feature
	and say it is mostly deprecated.

2004-05-30  Richard M. Stallman  <rms@gnu.org>

	* loading.texi (Named Features): Clarify return value
	and meaning of NOERROR.

	* variables.texi (File Local Variables): Minor cleanup.

2004-05-30  Michael Albinus  <michael.albinus@gmx.de>

	* files.texi (Magic File Names): Add `file-remote-p' as operation
	of file name handlers.

2004-05-29  Richard M. Stallman  <rms@gnu.org>

	* modes.texi (Minor Mode Conventions): (-) has no special meaning
	as arg to a minor mode command.

2004-05-22  Richard M. Stallman  <rms@gnu.org>

	* syntax.texi (Syntax Class Table): Word syntax not just for English.

	* streams.texi (Output Variables): Doc float-output-format.

	* searching.texi (Regexp Special): Nested repetition can be infloop.

	* eval.texi (Eval): Increasing max-lisp-eval-depth can cause
	real stack overflow.

	* compile.texi: Minor cleanups.

2004-05-22  Luc Teirlinck  <teirllm@dms.auburn.edu>

	* lists.texi (Cons Cells): Explain dotted lists, true lists,
	circular lists.
	(List Elements): Explain handling of circular and dotted lists.

2004-05-19  Thien-Thi Nguyen  <ttn@gnu.org>

	* modes.texi (Search-based Fontification): Fix typo.

2004-05-10  Juanma Barranquero  <lektu@terra.es>

	* modes.texi (Mode Line Variables): Fix description of
	global-mode-string, which is now after which-func-mode, not the
	buffer name.

2004-05-07  Lars Hansen  <larsh@math.ku.dk>

	* modes.texi (Desktop Save Mode): Add.
	(Modes): Add menu entry Desktop Save Mode.

	* hooks.texi: Add desktop-after-read-hook,
	desktop-no-desktop-file-hook and desktop-save-hook.

	* locals.texi: Add desktop-save-buffer.

2004-04-30  Jesper Harder  <harder@ifa.au.dk>

	* display.texi: emacs -> Emacs.

2004-04-27  Matthew Mundell  <matt@mundell.ukfsn.org>

	* files.texi (Changing Files): Document set-file-times.

2004-04-23  Juanma Barranquero  <lektu@terra.es>

	* makefile.w32-in: Add "-*- makefile -*-" mode tag.

2004-04-18  Jesper Harder  <harder@ifa.au.dk>

	* tips.texi (Coding Conventions): defopt -> defcustom.

2004-04-16  Luc Teirlinck  <teirllm@auburn.edu>

	* sequences.texi: Various clarifications.

2004-04-14  Luc Teirlinck  <teirllm@auburn.edu>

	* buffers.texi (Read Only Buffers): Mention optional ARG to
	`toggle-read-only'.

2004-04-14  Nick Roberts  <nick@nick.uklinux.net>

	* windows.texi (Selecting Windows): Note that get-lru-window
	returns a full-width window if possible.

2004-04-13  Luc Teirlinck  <teirllm@auburn.edu>

	* buffers.texi: Various changes in addition to:
	(Buffer File Name): Add `find-buffer-visiting'.
	(Buffer Modification): Mention optional ARG to `not-modified'.
	(Indirect Buffers): Mention optional CLONE argument to
	`make-indirect-buffer'.

	* files.texi: Various changes in addition to:
	(Visiting Functions): `find-file-hook' is now a normal hook.
	(File Name Expansion): Explain difference between the way that
	`expand-file-name' and `file-truename' treat `..'.
	(Contents of Directories): Mention optional ID-FORMAT argument to
	`directory-files-and-attributes'.
	(Format Conversion): Mention new optional CONFIRM argument to
	`format-write-file'.

2004-04-12  Miles Bader  <miles@gnu.org>

	* macros.texi (Expansion): Add description of `macroexpand-all'.

2004-04-05  Jesper Harder  <harder@ifa.au.dk>

	* variables.texi (Variable Aliases):
	Mention cyclic-variable-indirection.

	* errors.texi (Standard Errors): Ditto.

2004-04-04  Luc Teirlinck  <teirllm@auburn.edu>

	* backups.texi: Various small changes in addition to:
	(Making Backups): Mention return value of `backup-buffer'.
	(Auto-Saving): Mention optional FORCE argument to
	`delete-auto-save-file-if-necessary'.
	(Reverting): Mention optional PRESERVE-MODES argument to
	`revert-buffer'.  Correct description of `revert-buffer-function'.

2004-03-22  Juri Linkov  <juri@jurta.org>

	* sequences.texi (Sequence Functions): Replace xref to `Vectors'
	with `Vector Functions'.

	* text.texi (Sorting): Add missing quote.

2004-03-14  Luc Teirlinck  <teirllm@auburn.edu>

	* intro.texi (Lisp History): Replace xref to `cl' manual with
	inforef.

2004-03-12  Richard M. Stallman  <rms@gnu.org>

	* intro.texi (Version Info): Add arg to emacs-version.
	(Lisp History): Change xref to CL manual.

2004-03-09  Luc Teirlinck  <teirllm@auburn.edu>

	* minibuf.texi (Completion Commands): Add xref to Emacs manual
	for Partial Completion mode.

2004-03-07  Thien-Thi Nguyen  <ttn@gnu.org>

	* customize.texi: Fix typo.  Remove eol whitespace.

2004-03-04  Richard M. Stallman  <rms@gnu.org>

	* processes.texi: Fix typos.

	* lists.texi (Building Lists): Minor clarification.

	* hash.texi (Creating Hash): Correct the meaning of t for WEAK
	in make-hash-table.

2004-02-29  Juanma Barranquero  <lektu@terra.es>

	* makefile.w32-in (clean, maintainer-clean): Use $(DEL) instead of
	rm, and ignore exit code.

2004-02-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* display.texi (Defining Faces): Add description for min-colors.
	Update example.

2004-02-23  Luc Teirlinck  <teirllm@auburn.edu>

	* abbrevs.texi: Various corrections and clarifications in addition
	to the following:
	(Abbrev Tables): Delete add-abbrev (as suggested by RMS).

2004-02-22  Matthew Mundell  <matt@mundell.ukfsn.org>  (tiny change)

	* calendar.texi (Holiday Customizing): Quote arg of holiday-sexp.

2004-02-21  Luc Teirlinck  <teirllm@auburn.edu>

	* text.texi: Various small changes in addition to the following:
	(User-Level Deletion): Mention optional BACKWARD-ONLY argument
	to delete-horizontal-space.
	(Kill Functions, Yanking, Low-Level Kill Ring): Clarify and correct
	description of yank-handler text property at various places.

	* frames.texi (Window System Selections): Add anchor.

	* syntax.texi (Syntax Table Functions): Clarify and correct
	descriptions of make-syntax-table and copy-syntax-table.
	(Motion and Syntax): Clarify SYNTAXES argument to
	skip-syntax-forward.
	(Parsing Expressions): Mention that the return value of
	parse-partial-sexp is currently a list of ten rather than nine
	elements.
	(Categories): Various corrections and clarifications.

2004-02-17  Luc Teirlinck  <teirllm@auburn.edu>

	* markers.texi (Marker Insertion Types): Minor change.

	* locals.texi (Standard Buffer-Local Variables):
	* commands.texi (Interactive Codes, Using Interactive):
	* functions.texi (Related Topics): Fix xrefs.

2004-02-16  Luc Teirlinck  <teirllm@auburn.edu>

	* lists.texi (Sets And Lists): Update description of delete-dups.

2004-02-16  Jesper Harder  <harder@ifa.au.dk>  (tiny change)

	* keymaps.texi (Tool Bar): tool-bar-item => tool-bar-button.

2004-02-16  Jan Djärv  <jan.h.d@swipnet.se>

	* frames.texi (Parameter Access): frame-parameters arg is optional.
	modify-frame-parameters handles nil for FRAME.
	(Window Frame Parameters): menu-bar-lines and tool-bar-lines
	are all-or-nothing for certain toolkits.
	Mention parameter wait-for-wm.
	(Frames and Windows): In frame-first-window and frame-selected-window
	the arg is optional.
	(Input Focus): In redirect-frame-focus the second arg is optional.
	(Window System Selections): Mention selection type CLIPBOARD.
	Mention data-type UTF8_STRING.
	Mention numbering of cut buffers.
	(Resources): Describe x-resource-name.

2004-02-16  Richard M. Stallman  <rms@gnu.org>

	* windows.texi (Buffers and Windows): Delete false table
	about all-frames.

	* syntax.texi (Parsing Expressions): Delete old caveat
	about parse-sexp-ignore-comments.

	* streams.texi (Output Variables): Add print-quoted.

	* lists.texi (Building Lists): Minor cleanup.

	* hash.texi (Creating Hash): Correct and clarify doc of WEAK values.

	* display.texi (Overlays): Explain overlays use markers.
	(Managing Overlays): Explain front-advance and rear-advance
	in more detail.

	* loading.texi (Unloading): Document unload-feature-special-hooks.
	Get rid of fns-NNN.el file.

2004-02-16  Matthew Mundell  <matt@mundell.ukfsn.org>  (tiny change)

	* help.texi (Describing Characters): Fix text-char-description
	example output.

	* edebug.texi (Using Edebug): Fix example.

	* debugging.texi (Internals of Debugger): Fix return value.

	* files.texi (Changing Files): Fix argname.

	* calendar.texi: Fix parens, and default values.

	* display.texi, frames.texi, internals.texi, modes.texi: Minor fixes.
	* nonascii.texi, objects.texi, os.texi: Minor fixes.
	* searching.texi, text.texi, tips.texi, windows.texi: Minor fixes.

	* positions.texi (Text Lines): Don't add -1 in current-line.

2004-02-16  Richard M. Stallman  <rms@gnu.org>

	* compile.texi (Compiler Errors): if-boundp feature applies to cond.

2004-02-16  Jesper Harder  <harder@ifa.au.dk>  (tiny change)

	* processes.texi (Low-Level Network): Fix a typo.

2004-02-12  Kim F. Storm  <storm@cua.dk>

	* display.texi (Fringes): Use consistent wording.
	Note that window-fringe's window arg is optional.
	(Scroll Bars): Use consistent wording.

2004-02-11  Luc Teirlinck  <teirllm@auburn.edu>

	* tips.texi (Comment Tips): Document the new conventions for
	commenting out code.

2004-02-07  Jan Djärv  <jan.h.d@swipnet.se>

	* positions.texi (Text Lines): Add missing end defun.

2004-02-07  Kim F. Storm  <storm@cua.dk>

	* positions.texi (Text Lines): Add line-number-at-pos.

2004-02-06  John Paul Wallington  <jpw@gnu.org>

	* display.texi (Button Properties, Button Buffer Commands):
	mouse-2 invokes button, not down-mouse-1.

2004-02-04  Jason Rumney  <jasonr@gnu.org>

	* makefile.w32-in: Sync with Makefile.in changes.

2004-02-03  Luc Teirlinck  <teirllm@auburn.edu>

	* minibuf.texi (Text from Minibuffer): Various corrections and
	clarifications.
	(Object from Minibuffer): Correct Lisp description of
	read-minibuffer.
	(Minibuffer History): Clarify description of cons values for
	HISTORY arguments.
	(Basic Completion): Various corrections and clarifications.
	Add completion-regexp-list.
	(Minibuffer Completion): Correct and clarify description of
	completing-read.
	(Completion Commands): Mention Partial Completion mode.
	Various other minor changes.
	(High-Level Completion): Various corrections and clarifications.
	(Reading File Names): Ditto.
	(Minibuffer Misc): Ditto.

2004-01-26  Luc Teirlinck  <teirllm@auburn.edu>

	* strings.texi (Text Comparison): assoc-string also matches
	elements of alists that are strings instead of conses.
	(Formatting Strings): Standardize Texinfo usage.  Update index
	entries.

2004-01-20  Luc Teirlinck  <teirllm@auburn.edu>

	* lists.texi (Sets And Lists): Add delete-dups.

2004-01-15  Luc Teirlinck  <teirllm@auburn.edu>

	* edebug.texi (Instrumenting Macro Calls): `declare' is not a
	special form.
	* macros.texi (Defining Macros): Update description of `declare',
	which now is a macro.
	(Wrong Time): Fix typos.

2004-01-14  Luc Teirlinck  <teirllm@auburn.edu>

	* compile.texi (Compilation Functions): Expand descriptions of
	`compile-defun', `byte-compile-file', `byte-recompile-directory'
	and `batch-byte-compile'.  In particular, mention and describe
	all optional arguments.
	(Disassembly): Correct and clarify the description of `disassemble'.

2004-01-11  Luc Teirlinck  <teirllm@auburn.edu>

	* searching.texi: Various small changes in addition to the
	following.
	(Regexp Example): Adapt to new value of `sentence-end'.
	(Regexp Functions): The PAREN argument to `regexp-opt' can be
	`words'.
	(Search and Replace): Add usage note for `perform-replace'.
	(Entire Match Data): Mention INTEGERS and REUSE arguments to
	`match-data'.
	(Standard Regexps): Update for new values of `paragraph-start'
	and `sentence-end'.

2004-01-07  Luc Teirlinck  <teirllm@auburn.edu>

	* files.texi (Saving Buffers): Clarify descriptions of
	`write-contents-functions' and `before-save-hook'.
	Make the defvar's for `before-save-hook' and `after-save-hook'
	into defopt's.

2004-01-07  Kim F. Storm  <storm@cua.dk>

	* commands.texi (Click Events): Describe new image and
	width/height elements of click events.
	(Accessing Events): Add posn-string, posn-image, and
	posn-object-width-height.  Change posn-object to return either
	image or string object.

2004-01-01  Simon Josefsson  <jas@extundo.com>

	* hooks.texi (Standard Hooks): Add before-save-hook.
	* files.texi (Saving Buffers): Likewise.

2004-01-03  Richard M. Stallman  <rms@gnu.org>

	* frames.texi (Frames and Windows): Delete frame-root-window.

2004-01-03  Luc Teirlinck  <teirllm@auburn.edu>

	* eval.texi, hash.texi, help.texi, symbols.texi: Add anchors.

	* functions.texi: Various small changes in addition to the
	following.
	(What Is a Function): `functionp' returns nil for macros.
	Clarify behavior of this and following functions for symbol arguments.
	(Function Documentation): Add `\' in front of (fn @var{arglist})
	and explain why.
	(Defining Functions): Mention DOCSTRING argument to `defalias'.
	Add anchor.
	(Mapping Functions): Add anchor.  Unquote nil in mapcar* example.

2004-01-01  Miles Bader  <miles@gnu.org>

	* display.texi (Buttons): New section.

2003-12-31  Andreas Schwab  <schwab@suse.de>

	* numbers.texi (Math Functions): sqrt reports a domain-error
	error.
	(Float Basics): Use `(/ 0.0 0.0)' instead of `(sqrt -1.0)'.

2003-12-30  Luc Teirlinck  <teirllm@auburn.edu>

	* tips.texi (Documentation Tips): Update item on hyperlinks in
	documentation strings.

	* errors.texi (Standard Errors): Various small corrections and
	additions.

	* control.texi: Various small changes in addition to the
	following.
	(Signaling Errors): Provide some more details on how `signal'
	constructs the error message.  Add anchor to the definition of
	`signal'.
	(Error Symbols): Describe special treatment of `quit'.
	(Cleanups): Rename BODY argument of `unwind-protect' to BODY-FORM
	to emphasize that it has to be a single form.

	* buffers.texi: Add anchor.

2003-12-29  Richard M. Stallman  <rms@gnu.org>

	* windows.texi (Choosing Window): Add same-window-p, special-display-p.
	(Window Configurations): Add window-configuration-frame.

	* variables.texi (Creating Buffer-Local): Add local-variable-if-set-p.

	* text.texi (Examining Properties): Add get-char-property-and-overlay.
	Change arg name in get-char-property.
	(Special Properties): Update handling of keymap property.

	* strings.texi (Modifying Strings): Add clear-string.
	(Text Comparison): Add assoc-string and remove
	assoc-ignore-case, assoc-ignore-representation.

	* os.texi (Time of Day): Add set-time-zone-rule.

	* numbers.texi (Math Functions): asin, acos, log, log10
	report domain-error errors.

	* nonascii.texi (Converting Representations):
	Add multibyte-char-to-unibyte and unibyte-char-to-multibyte.
	(Encoding and I/O): Add file-name-coding-system.

	* modes.texi (Search-based Fontification): Explain that
	face specs are symbols with face names as values.

	* minibuf.texi (Minibuffer Misc): Add set-minibuffer-window.

	* lists.texi (Building Lists): remq moved elsewhere.
	(Sets And Lists): remq moved here.
	(Association Lists): Refer to assoc-string.

	* internals.texi (Garbage Collection): Add memory-use-counts.

	* frames.texi (Frames and Windows): Add set-frame-selected-window
	and frame-root-window.

	* files.texi (Contents of Directories):
	Add directory-files-and-attributes.

	* display.texi (Refresh Screen): Add force-window-update.
	(Invisible Text): Explain about moving point out of invis text.
	(Overlay Properties): Add overlay-properties.
	(Managing Overlays): Add overlayp.
	(GIF Images): Invalid image number displays a hollow box.

	* buffers.texi (Buffer Modification): Add restore-buffer-modified-p.
	(Killing Buffers): Add buffer-live-p.

2003-12-25  Markus Rost  <rost@mathematik.uni-bielefeld.de>

	* display.texi (Fringes): Fix typo "set-buffer-window".

2003-12-24  Luc Teirlinck  <teirllm@auburn.edu>

	* display.texi, eval.texi, help.texi, internals.texi, loading.texi:
	* nonascii.texi, processes.texi, tips.texi, variables.texi:
	Add or change various xrefs and anchors.

	* commands.texi: Replace all occurrences of @acronym{CAR} with
	@sc{car}, for consistency with the rest of the Elisp manual.
	`car' and `cdr' are historically acronyms, but are no longer
	widely thought of as such.

	* internals.texi (Pure Storage): Mention that `purecopy' does not
	copy text properties.
	(Object Internals): Now 29 bits are used (in most implementations)
	to address Lisp objects.

	* variables.texi (Variables with Restricted Values): New node.

	* objects.texi (Lisp Data Types): Mention that certain variables
	can only take on a restricted set of values and add an xref to
	the new node "Variables with Restricted Values".

	* eval.texi (Function Indirection): Describe the errors that
	`indirect-function' can signal.
	(Eval): Clarify the descriptions of `eval-region' and `values'.
	Describe `eval-buffer' instead of `eval-current-buffer' and
	mention `eval-current-buffer' as an alias for `current-buffer'.
	Correct the description and mention all optional arguments.

	* nonascii.texi: Various small changes in addition to the
	following.
	(Converting Representations): Clarify behavior of
	`string-make-multibyte' and `string-to-multibyte' for unibyte all
	ASCII arguments.
	(Character Sets): Document the variable `charset-list' and adapt
	the definition of the function `charset-list' accordingly.
	(Translation of Characters): Clarify use of generic characters in
	`make-translation-table'.  Clarify and correct the description of
	the use of translation tables in encoding and decoding.
	(User-Chosen Coding Systems): Correct and clarify the description
	of `select-safe-coding-system'.
	(Default Coding Systems): Clarify description of
	`file-coding-system-alist'.

2003-11-30  Luc Teirlinck  <teirllm@auburn.edu>

	* strings.texi (Text Comparison): Correctly describe when two
	strings are `equal'.  Combine and clarify descriptions of
	`assoc-ignore-case' and `assoc-ignore-representation'.

	* objects.texi (Non-ASCII in Strings): Clarify description of
	when a string is unibyte or multibyte.
	(Bool-Vector Type): Update examples.
	(Equality Predicates): Correctly describe when two strings are
	`equal'.

2003-11-29  Luc Teirlinck  <teirllm@auburn.edu>

	* lists.texi (Building Lists): `append' no longer accepts integer
	arguments.  Update the description of `number-sequence' to reflect
	recent changes.
	(Sets And Lists): Describe `member-ignore-case' after `member'.

2003-11-27  Kim F. Storm  <storm@cua.dk>

	* commands.texi (Click Events): Click object may be an images.
	Describe (dx . dy) element of click positions.
	(Accessing Events): Remove duplicate posn-timestamp.
	New functions posn-object and posn-object-x-y.

2003-11-23  Kim F. Storm  <storm@cua.dk>

	* commands.texi (Click Events): Describe enhancements to event
	position lists, including new text-pos and (col . row) items.
	Mention left-fringe and right-fringe area events.
	(Accessing Events): New functions posn-area and
	posn-actual-col-row.  Mention posn-timestamp.  Mention that
	posn-point in non-text area still returns buffer position.
	Clarify posn-col-row.

2003-11-21  Lars Hansen  <larsh@math.ku.dk>

	* files.texi (File Attributes): Describe new parameter ID-FORMAT.
	* anti.texi (File Attributes): Describe removed parameter
	ID-FORMAT.

2003-11-20  Luc Teirlinck  <teirllm@auburn.edu>

	* positions.texi (Positions): Mention that, if a marker is used as
	a position, its buffer is ignored.

	* markers.texi (Overview of Markers): Mention it here too.

2003-11-12  Luc Teirlinck  <teirllm@auburn.edu>

	* numbers.texi (Numeric Conversions): Not just `floor', but also
	`truncate', `ceiling' and `round' accept optional argument DIVISOR.

2003-11-10  Luc Teirlinck  <teirllm@auburn.edu>

	* markers.texi (Creating Markers): Specify insertion type of
	created markers.  Add xref to `Marker Insertion Types'.
	Second argument to `copy-marker' is optional.
	(Marker Insertion Types): Mention that most markers are created
	with insertion type nil.
	(The Mark): Correctly describe when `mark' signals an error.
	(The Region): Correctly describe when `region-beginning' and
	`region-end' signal an error.

2003-11-08  Luc Teirlinck  <teirllm@auburn.edu>

	* hash.texi (Creating Hash): Clarify description of `eql'.
	`makehash' is obsolete.
	(Hash Access): Add Common Lisp notes for `remhash' and `clrhash'.

	* positions.texi (Point): Change description of `buffer-end', so
	that it is also correct for floating point arguments.
	(List Motion): Correct argument lists of `beginning-of-defun' and
	`end-of-defun'.
	(Excursions): Add xref to `Marker Insertion Types'.
	(Narrowing): Argument to `narrow-to-page' is optional.

2003-11-06  Luc Teirlinck  <teirllm@auburn.edu>

	* streams.texi (Output Streams): Clarify behavior of point for
	marker output streams.

2003-11-04  Luc Teirlinck  <teirllm@auburn.edu>

	* variables.texi (Defining Variables): Second argument to
	`defconst' is not optional.
	(Setting Variables): Mention optional argument APPEND to
	`add-to-list'.
	(Creating Buffer-Local): Expand description of
	`make-variable-buffer-local'.
	(Frame-Local Variables): Expand description of
	`make-variable-frame-local'.
	(Variable Aliases): Correct description of optional argument
	DOCSTRING to `defvaralias'.  Mention return value of
	`defvaralias'.
	(File Local Variables): Add xref to `File variables' in Emacs
	Manual.  Correct description of `hack-local-variables'.  Mention
	`safe-local-variable' property.  Mention optional second argument
	to `risky-local-variable-p'.

2003-11-03  Luc Teirlinck  <teirllm@auburn.edu>

	* symbols.texi (Symbol Plists): Mention return value of `setplist'.

2003-11-02  Jesper Harder  <harder@ifa.au.dk>  (tiny change)

	* lispref/anti.texi, lispref/backups.texi, lispref/commands.texi
	lispref/customize.texi, lispref/display.texi, lispref/files.texi,
	lispref/internals.texi, lispref/keymaps.texi, lispref/loading.texi,
	lispref/modes.texi, lispref/nonascii.texi, lispref/numbers.texi,
	lispref/objects.texi, lispref/os.texi, lispref/positions.texi,
	lispref/processes.texi, lispref/searching.texi,
	lispref/sequences.texi, lispref/streams.texi, lispref/strings.texi,
	lispref/syntax.texi, lispref/text.texi: Replace @sc{foo} with
	@acronym{FOO}.

2003-10-27  Luc Teirlinck  <teirllm@auburn.edu>

	* strings.texi (Creating Strings): Argument START to `substring'
	can not be `nil'.  Expand description of
	`substring-no-properties'.  Correct description of `split-string',
	especially with respect to empty matches.  Prevent very bad line
	break in definition of `split-string-default-separators'.
	(Text Comparison): `string=' and `string<' also accept symbols as
	arguments.
	(String Conversion): More completely describe argument BASE in
	`string-to-number'.
	(Formatting Strings): `%s' and `%S' in `format' do require
	corresponding object.  Clarify behavior of numeric prefix after
	`%' in `format'.
	(Case Conversion): The argument to `upcase-initials' can be a
	character.

2003-10-27  Kenichi Handa  <handa@m17n.org>

	* display.texi (Fontsets): Fix texinfo usage.

2003-10-25  Kenichi Handa  <handa@m17n.org>

	* display.texi (Fontsets): Add description of the function
	set-fontset-font.

2003-10-23  Luc Teirlinck  <teirllm@auburn.edu>

	* display.texi (Temporary Displays): Add xref to `Documentation
	Tips'.

	* functions.texi (Function Safety): Use inforef instead of pxref
	for SES.

2003-10-23  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (TEX, texinputdir): Don't define.
	(TEXI2DVI): Define.
	(srcs): Remove $(srcdir)/index.perm and $(srcdir)/index.unperm,
	add $(srcdir)/index.texi.
	($(infodir)/elisp): Remove index.texi dependency.
	(elisp.dvi): Likewise.  Use $(TEXI2DVI).
	(index.texi): Remove target.
	(dist): Don't link $(srcdir)/permute-index.
	(clean): Don't remove index.texi.

	* permute-index, index.perm: Remove.
	* index.texi: Rename from index.unperm.

2003-10-22  Luc Teirlinck  <teirllm@auburn.edu>

	* tips.texi (Documentation Tips): Document new behavior for face
	and variable hyperlinks in Help mode.

2003-10-21  Luc Teirlinck  <teirllm@auburn.edu>

	* objects.texi (Integer Type): Update for extra bit of integer range.
	(Character Type): Ditto.

2003-10-16  Eli Zaretskii  <eliz@gnu.org>

	* numbers.texi (Integer Basics): Add index entries for reading
	numbers in hex, octal, and binary.

2003-10-16  Lute Kamstra  <lute@gnu.org>

	* modes.texi (Mode Line Format): Mention force-mode-line-update's
	argument.

2003-10-13  Luc Teirlinck  <teirllm@auburn.edu>

	* windows.texi (Choosing Window): Fix typo.
	* edebug.texi (Edebug Execution Modes): Fix typo.

2003-10-13  Richard M. Stallman  <rms@gnu.org>

	* windows.texi (Basic Windows): A window has fringe settings,
	display margins and scroll-bar settings.
	(Splitting Windows): Doc split-window return value.
	Clean up one-window-p.
	(Selecting Windows): Fix typo.
	(Cyclic Window Ordering): Explain frame as ALL-FRAMES in next-window.
	(Buffers and Windows): In set-window-buffer, explain effect
	on fringe settings and scroll bar settings.
	(Displaying Buffers): In pop-to-buffer, explain nil as buffer arg.
	(Choosing Window): Use defopt for pop-up-frame-function.
	For special-display-buffer-names, explain same-window and same-frame.
	Clarify window-dedicated-p return value.
	(Textual Scrolling): scroll-up and scroll-down can get an error.
	(Horizontal Scrolling): Clarify auto-hscroll-mode.
	Clarify set-window-hscroll.
	(Size of Window): Don't mention tool bar in window-height.
	(Coordinates and Windows): Explain what coordinates-in-window-p
	returns for fringes and display margins.
	(Window Configurations): Explain saving fringes, etc.

	* tips.texi (Library Headers): Clean up Documentation.

	* syntax.texi (Parsing Expressions): Clean up forward-comment
	and parse-sexp-lookup-properties.

	* sequences.texi (Sequence Functions): sequencep accepts bool-vectors.

	* os.texi (System Environment): Clean up text for load-average errors.

	* modes.texi (Hooks): Don't explain local hook details at front.
	Clarify run-hooks and run-hook-with-args a little.
	Clean up add-hook and remove-hook.

	* edebug.texi (Edebug Execution Modes): Clarify t.
	Document edebug-sit-for-seconds.
	(Coverage Testing): Document C-x X = and =.
	(Instrumenting Macro Calls): Fix typo.
	(Specification List): Don't index the specification keywords.

2003-10-10  Kim F. Storm  <storm@cua.dk>

	* processes.texi (Network): Introduce make-network-process.

2003-10-09  Luc Teirlinck  <teirllm@auburn.edu>

	* tips.texi (Library Headers): Fix typo.

2003-10-07  Juri Linkov  <juri@jurta.org>

	* modes.texi (Imenu): Mention imenu-create-index-function's
	default value.  Explain submenus better.

2003-10-07  Lute Kamstra  <lute@gnu.org>

	* modes.texi (Faces for Font Lock): Fix typo.
	(Hooks): Explain how buffer-local hook variables can refer to
	global hook variables.
	Various minor clarifications.

2003-10-06  Lute Kamstra  <lute@gnu.org>

	* tips.texi (Coding Conventions): Mention naming conventions for
	hooks.

2003-10-05  Luc Teirlinck  <teirllm@auburn.edu>

	* loading.texi (Library Search): Correct default value of
	load-suffixes.
	(Named Features): Fix typo.

2003-10-05  Richard M. Stallman  <rms@gnu.org>

	* loading.texi (Named Features): In `provide',
	say how to test for subfeatures.
	(Unloading): In unload-feature, use new var name
	unload-feature-special-hooks.

2003-10-03  Lute Kamstra  <lute@gnu.org>

	* modes.texi (Major Mode Conventions): Mention third way to set up
	Imenu.
	(Imenu): A number of small fixes.
	Delete documentation of internal variable imenu--index-alist.
	Document the return value format of imenu-create-index-function
	functions.

2003-09-30  Richard M. Stallman  <rms@gnu.org>

	* processes.texi (Network): Say what stopped datagram connections do.

	* lists.texi (Association Lists): Clarify `assq-delete-all'.

	* display.texi (Overlay Properties): Clarify `evaporate' property.

2003-09-29  Lute Kamstra  <lute@gnu.org>

	* modes.texi (Mode Line Data): Explain when symbols in mode-line
	constructs should be marked as risky.
	Change cons cell into proper list.
	(Mode Line Variables): Change cons cell into proper list.

2003-09-26  Lute Kamstra  <lute@gnu.org>

	* modes.texi (Mode Line Data): Document the :propertize construct.
	(Mode Line Variables): Reorder the descriptions of the variables
	to match their order in the default mode-line-format.
	Describe the new variables mode-line-position and mode-line-modes.
	Update the default values of mode-line-frame-identification,
	minor-mode-alist, and default-mode-line-format.
	(Properties in Mode): Mention the :propertize construct.

2003-09-26  Richard M. Stallman  <rms@gnu.org>

	* buffers.texi, commands.texi, debugging.texi, eval.texi:
	* loading.texi, minibuf.texi, text.texi, variables.texi:
	Avoid @strong{Note:}.

2003-09-26  Richard M. Stallman  <rms@gnu.org>

	* keymaps.texi (Remapping Commands): Fix typo.

2003-09-23  Luc Teirlinck  <teirllm@mail.auburn.edu>

	* processes.texi (Low-Level Network): Fix typo.

2003-09-23  Kim F. Storm  <storm@cua.dk>

	* processes.texi (Network, Network Servers): Fix typos.
	(Low-Level Network): Add timeout value for :server keyword.
	Add new option keywords to make-network-process.
	Add set-network-process-options.
	Explain how to test availability of network options.

2003-09-19  Richard M. Stallman  <rms@gnu.org>

	* text.texi (Motion by Indent): Arg to
	backward-to-indentation and forward-to-indentation is optional.

	* strings.texi (Creating Strings): Add substring-no-properties.

	* processes.texi
	(Process Information): Add list-processes arg QUERY-ONLY.
	Delete process-contact from here.
	Add new status values for process-status.
	Add process-get, process-put, process-plist, set-process-plist.
	(Synchronous Processes): Add call-process-shell-command.
	(Signals to Processes): signal-process allows process objects.
	(Network): Complete rewrite.
	(Network Servers, Datagrams, Low-Level Network): New nodes.

	* positions.texi (Word Motion): forward-word, backward-word
	arg is optional.  Reword.

	* abbrevs.texi (Defining Abbrevs): Index no-self-insert.

	* variables.texi (Creating Buffer-Local):
	Delete duplicate definition of buffer-local-value.
	(File Local Variables): Explain about discarding text props.

2003-09-11  Richard M. Stallman  <rms@gnu.org>

	* minibuf.texi (Intro to Minibuffers): Explain that the minibuffer
	changes variables that record input events.
	(Minibuffer Misc): Add minibuffer-selected-window.

	* lists.texi (Building Lists): Add copy-tree.

	* display.texi (Fontsets): Add char-displayable-p.
	(Scroll Bars): New node.

2003-09-08  Lute Kamstra  <lute@gnu.org>

	* modes.texi (%-Constructs): Document new `%i' and `%I'
	constructs.

2003-09-03  Peter Runestig  <peter@runestig.com>

	* makefile.w32-in: New file.

2003-08-29  Richard M. Stallman  <rms@gnu.org>

	* display.texi (Overlay Properties): Clarify how priorities
	affect use of the properties.

2003-08-19  Luc Teirlinck  <teirllm@mail.auburn.edu>

	* customize.texi (Type Keywords): Correct the description of
	`:help-echo' in the case where `motion-doc' is a function.

2003-08-14  John Paul Wallington  <jpw@gnu.org>

	* modes.texi (Emulating Mode Line): Subsection, not section.

2003-08-13  Richard M. Stallman  <rms@gnu.org>

	* elisp.texi (Top): Update subnode lists in menu.

	* text.texi (Insertion): Add insert-buffer-substring-no-properties.
	(Kill Functions): kill-region has new arg yank-handler.
	(Yanking): New node.
	(Yank Commands): Add yank-undo-function.
	(Low-Level Kill Ring):
	kill-new and kill-append have new arg yank-handler.
	(Changing Properties): Add remove-list-of-text-properties.
	(Atomic Changes): New node.

	* symbols.texi (Other Plists): Add lax-plist-get, lax-plist-put.

	* streams.texi (Output Variables): Add eval-expression-print-length
	and eval-expression-print-level.

	* os.texi (Time Conversion): For encode-time, explain limits on year.

	* objects.texi (Character Type): Define anchor "modifier bits".

	* modes.texi (Emulating Mode Line): New node.
	(Search-based Fontification): Font Lock uses font-lock-face property.
	(Other Font Lock Variables): Likewise.

	* keymaps.texi (Format of Keymaps): Keymaps contain char tables,
	not vectors.
	(Active Keymaps): Add emulation-mode-map-alists.
	(Functions for Key Lookup): key-binding has new arg no-remap.
	(Remapping Commands): New node.
	(Scanning Keymaps): where-is-internal has new arg no-remap.
	(Tool Bar): Add tool-bar-local-item-from-menu.
	Clarify when to use tool-bar-add-item-from-menu.

	* commands.texi (Interactive Call): commandp has new arg.
	(Command Loop Info): Add this-original-command.

2003-08-06  John Paul Wallington  <jpw@gnu.org>

	* compile.texi (Compiler Errors): Say `@end defmac' after `@defmac'.

	* display.texi (Warning Basics): Fix typo.
	(Fringes): Add closing curly bracket and fix typo.

	* elisp.texi (Top): Fix typo.

2003-08-05  Richard M. Stallman  <rms@gnu.org>

	* elisp.texi: Update lists of subnodes.

	* windows.texi (Buffers and Windows): set-window-buffer has new arg.

	* variables.texi (Local Variables): Use lc for example variable names.

	* tips.texi (Library Headers): Explain where to put -*-.

	* strings.texi (Creating Strings): Fix xref for vconcat.

	* sequences.texi (Vector Functions):
	vconcat no longer allows integer args.

	* minibuf.texi (Reading File Names): read-file-name has new
	arg PREDICATE.  New function read-directory-name.

	* macros.texi (Defining Macros): Give definition of `declare'
	(Indenting Macros): New node.

	* frames.texi (Parameter Access): Add modify-all-frames-parameters.
	(Window Frame Parameters): Make separate table of parameters
	that are coupled with specific face attributes.
	(Deleting Frames): delete-frame-hooks renamed to
	delete-frame-functions.

	* files.texi (Magic File Names): Add file-remote-p.
	Clarify file-local-copy.

	* edebug.texi (Instrumenting Macro Calls): Don't define `declare'
	here; instead xref Defining Macros.

	* display.texi (Warnings): New node, and subnodes.
	(Fringes): New node.

	* debugging.texi (Test Coverage): New node.

	* compile.texi (Compiler Errors): Explain with-no-warnings
	and other ways to suppress warnings.

	* commands.texi (Interactive Call): Minor clarification.

	* buffers.texi (Buffer File Name): set-visited-file-name
	renames the buffer too.

	* abbrevs.texi (Abbrev Tables): Add copy-abbrev-table.

2003-07-24  Markus Rost  <rost@math.ohio-state.edu>

	* abbrevs.texi (Abbrev Expansion): Use \s syntax in example.

2003-07-22  Markus Rost  <rost@math.ohio-state.edu>

	* internals.texi (Garbage Collection): Fix previous change.

2003-07-22  Richard M. Stallman  <rms@gnu.org>

	* files.texi (Truenames): Add LIMIT arg to file-chase-links.

	* display.texi (Width): Use \s syntax in example.
	(Font Selection): Add face-font-rescale-alist.

	* modes.texi (Imenu): Add xref to Emacs Manual node on Imenu.
	Remove spurious indent in example.

	* lists.texi (Building Lists): Add number-sequence.

	* internals.texi (Garbage Collection): Add gcs-done, gc-elapsed.

	* functions.texi (Function Documentation): Explain how to
	show calling convention explicitly in the doc string.

	* windows.texi (Selecting Windows): save-selected-window saves
	selected window of each frame.
	(Window Configurations): Minor change.

	* syntax.texi (Syntax Table Functions): Use \s syntax in examples.

	* streams.texi (Output Variables): Add print-continuous-numbering
	and print-number-table.

	* processes.texi (Decoding Output): New node.

	* os.texi (Time Conversion): decode-time arg is optional.

	* objects.texi (Character Type): Don't use space as example for \.
	Make list of char names and \-sequences correspond.
	Explain that \s is not used in strings.  `\ ' needs space after.

	* nonascii.texi (Converting Representations): Add string-to-multibyte.
	(Translation of Characters): Add translation-table-for-input.
	(Default Coding Systems): Add auto-coding-functions.
	(Explicit Encoding): Add decode-coding-inserted-region.
	(Locales): Add locale-info.

	* minibuf.texi (Basic Completion): Describe test-completion.
	Collections can be lists of strings.
	Clean up lazy-completion-table.
	(Programmed Completion): Mention test-completion.
	Clarify why lambda expressions are not accepted.
	(Minibuffer Misc): Describe minibufferp.

2003-07-14  Richard M. Stallman  <rms@gnu.org>

	* buffers.texi (Killing Buffers): kill-buffer-hook is perm local.

	* windows.texi (Selecting Windows): New arg to select-window.
	(Selecting Windows): Add with-selected-window.
	(Size of Window): Add window-inside-edges, etc.

	* internals.texi (Garbage Collection): Add post-gc-hook.

	* processes.texi (Subprocess Creation): Add exec-suffixes.

	* keymaps.texi (Functions for Key Lookup): Add current-active-maps.
	(Scanning Keymaps): Add map-keymaps.
	(Defining Menus): Add keymap-prompt.

	* numbers.texi (Integer Basics): Add most-positive-fixnum,
	most-negative-fixnum.

	* compile.texi (Byte Compilation): Explain no-byte-compile
	(Compiler Errors): New node.

	* os.texi (User Identification): user-uid, user-real-uid
	can return float.

	* modes.texi (Major Mode Conventions): Explain about run-mode-hooks
	and about derived modes.
	(Minor Modes): Add minor-mode-list.
	(Defining Minor Modes): Keyword args for define-minor-mode.
	(Search-based Fontification): Explain managing other properties.
	(Other Font Lock Variables): Add font-lock-extra-managed-props.
	(Faces for Font Lock): Add font-lock-preprocessor-face.
	(Hooks): Add run-mode-hooks and delay-mode-hooks.

	* variables.texi (Creating Buffer-Local): Add buffer-local-value.
	(Variable Aliases): Clarify defvaralias.

	* loading.texi (Library Search): Add load-suffixes.

	* minibuf.texi (Basic Completion): Add lazy-completion-table.
	(Programmed Completion): Add dynamic-completion-table.

	* files.texi (Changing Files): copy-file allows dir as NEWNAME.
	(Magic File Names): Specify precedence order of handlers.

	* commands.texi (Command Overview): Emacs server runs pre-command-hook
	and post-command-hook.
	(Waiting): New calling convention for sit-for.

	* text.texi (Special Properties): local-map and keymap properties
	apply based on their stickiness.

2003-07-07  Richard M. Stallman  <rms@gnu.org>

	* modes.texi (Minor Mode Conventions): Specify only some kinds
	of list values as args to minor modes.

	* files.texi (File Name Expansion): Warn about iterative use
	of substitute-in-file-name.

	* advice.texi (Activation of Advice): Clean up previous change.

2003-07-06  Markus Rost  <rost@math.ohio-state.edu>

	* advice.texi (Activation of Advice): Note that ad-start-advice is
	turned on by default.

2003-06-30  Richard M. Stallman  <rms@gnu.org>

	* text.texi (Buffer Contents): Document current-word.
	(Change Hooks): Not called for *Messages*.

	* functions.texi (Defining Functions): Explain about redefining
	primitives.
	(Function Safety): Renamed.  Minor changes.
	Comment out the detailed criteria for what is safe.

2003-06-22  Andreas Schwab  <schwab@suse.de>

	* objects.texi (Symbol Type): Fix description of examples.

2003-06-16  Andreas Schwab  <schwab@suse.de>

	* hash.texi (Creating Hash): Fix description of :weakness.

2003-06-13  Kai Großjohann  <kai.grossjohann@gmx.net>

	* files.texi (Changing Files): copy-file copies file modes, too.

2003-05-28  Richard M. Stallman  <rms@gnu.org>

	* strings.texi (Creating Strings): Clarify split-string.

2003-05-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* strings.texi (Creating Strings): Update split-string specification
	and examples.

2003-05-19  Richard M. Stallman  <rms@gnu.org>

	* elisp.texi: Correct invariant section names.

2003-04-20  Richard M. Stallman  <rms@gnu.org>

	* os.texi (Timers): Explain about timers and quitting.

2003-04-19  Richard M. Stallman  <rms@gnu.org>

	* internals.texi (Writing Emacs Primitives): Strings are
	no longer special for GCPROs.  Mention GCPRO5, GCPRO6.
	Explain GCPRO convention for varargs function args.

2003-04-16  Richard M. Stallman  <rms@gnu.org>

	* minibuf.texi (Minibuffer Misc): Document fn minibuffer-message.

2003-04-08  Richard M. Stallman  <rms@gnu.org>

	* files.texi (Kinds of Files): Correct return value of file-symlink-p.

2003-02-13  Kim F. Storm  <storm@cua.dk>

	* objects.texi (Character Type): New \s escape for space.

2003-01-31  Joe Buehler  <jhpb@draco.hekimian.com>

	* os.texi (System Environment): Add cygwin system-type.

2003-01-25  Richard M. Stallman  <rms@gnu.org>

	* keymaps.texi: Document that a symbol can act as a keymap.

2003-01-13  Richard M. Stallman  <rms@gnu.org>

	* text.texi (Changing Properties): Say string indices are origin-0.

	* positions.texi (Screen Lines) <compute-motion>:
	Correct order of elts in return value.

	* keymaps.texi (Changing Key Bindings) <define-key>: Mention
	how to define a default binding.

2002-12-07  Markus Rost  <rost@math.ohio-state.edu>

	* loading.texi (Unloading): Fix recent change for load-history.

	* customize.texi (Simple Types): Clarify description of custom
	type 'number.  Describe new custom type 'float.

2002-12-04  Markus Rost  <rost@math.ohio-state.edu>

	* variables.texi (File Local Variables): Fix typo.

2002-10-23  Kai Großjohann  <kai.grossjohann@uni-duisburg.de>

	From Michael Albinus <Michael.Albinus@alcatel.de>.

	* README: Target for Info file is `make info'.

	* files.texi (File Name Components): Fix typos in
	`file-name-sans-extension'.
	(Magic File Names): Complete list of operations for magic file
	name handlers.

2002-09-16  Jonathan Yavner  <jyavner@engineer.com>

	* variables.texi (File Local Variables): New function
	risky-local-variable-p.

2002-09-15  Jonathan Yavner  <jyavner@engineer.com>

	* functions.texi (Function safety): New node about unsafep.

2002-08-05  Per Abrahamsen  <abraham@dina.kvl.dk>

	* customize.texi (Splicing into Lists): Fix example.
	Reported by Fabrice Bauzac <fabrice.bauzac@wanadoo.fr>.

2002-06-17  Juanma Barranquero  <lektu@terra.es>

	* frames.texi (Display Feature Testing): Fix typo.

2002-06-12  Andreas Schwab  <schwab@suse.de>

	* frames.texi (Initial Parameters, Resources): Fix references to
	the Emacs manual.

2002-05-13  Kim F. Storm  <storm@cua.dk>

	* variables.texi (Intro to Buffer-Local): Updated warning and
	example relating to changing buffer inside let.

2002-03-10  Jan Djärv  <jan.h.d@swipnet.se>

	* os.texi (Session Management): New node about X Session management.

2002-01-18  Eli Zaretskii  <eliz@is.elta.co.il>

	* elisp.texi (VERSION): Set to 2.9.  Update the version of Emacs
	to which the manual corresponds, and the copyright years.

	* Makefile.in (VERSION): Set to 2.9.

2001-11-29  Eli Zaretskii  <eliz@is.elta.co.il>

	* elisp.texi: Change the category in @dircategory to "Emacs", to
	make it consistent with info/dir.

2001-11-25  Miles Bader  <miles@gnu.org>

	* text.texi (Fields): Describe new `limit' arg in
	field-beginning/field-end.

2001-11-17  Eli Zaretskii  <eliz@is.elta.co.il>

	* permute-index: Don't depend on csh-specific features.
	Replace the interpreter name with /bin/sh.

	* two-volume-cross-refs.txt: New file.
	* two.el: New file.
	* spellfile: New file.

2001-11-16  Eli Zaretskii  <eliz@is.elta.co.il>

	* permute-index: New file.

	* vol1.texi, vol2.texi: Renamed from elisp-vol1.texi and
	elisp-vol2.texi, respectively, to avoid file-name clashes in DOS
	8+3 restricted namespace.

	* Makefile.in (infodir): Define relative to $(srcdir).
	($(infodir)/elisp): Don't chdir into $(srcdir), but add it to the
	include directories list via -I switch to makeinfo.
	(index.texi): Use cp if both hard and symbolic links fail.

2001-11-10  Eli Zaretskii  <eliz@is.elta.co.il>

	* Makefile.in (distclean): Add.

	The following changes make ELisp manual part of the Emacs
	distribution:

	* Makefile.in: Add Copyright notice.
	(prefix): Remove.
	(infodir): Change value to "../info".
	(VPATH): New variable.
	(MAKE): Don't define.
	(texmacrodir): Don't define.
	(texinputdir): Append the existing value of TEXINPUTS.
	($(infodir)/elisp): Instead of just "elisp".  Reformat the
	command to be compatible with man/Makefile.in, and to put the
	output into ../info.
	(info): Add target.
	(installall): Target removed.

2001-10-31  Pavel Janík  <Pavel@Janik.cz>

	* tips.texi (Coding Conventions): Fix typo.

2001-10-23  Gerd Moellmann  <gerd@gnu.org>

	* Makefile.in (srcs): Add gpl.texi and doclicense.texi.

2001-10-22  Eli Zaretskii  <eliz@is.elta.co.il>

	* files.texi (File Name Components): Update the description of
	file-name-sans-extension and file-name-extension, as they now
	ignore leading dots.

2001-10-20  Gerd Moellmann  <gerd@gnu.org>

	* (Version 21.1 released.)

2001-10-19  Miles Bader  <miles@gnu.org>

	* positions.texi (Text Lines): Describe behavior of
	`beginning-of-line'/`end-of-line' in the presence of field properties.

2001-10-17  Gerd Moellmann  <gerd@gnu.org>

	* Makefile.in (VERSION): Set to 2.8.
	(manual): Use `manual-21'.

	* elisp.texi (VERSION): Add and use it where the version
	number was used.  Set it to 2.8.

	* intro.texi: Likewise.

2001-10-13  Eli Zaretskii  <eliz@is.elta.co.il>

	* files.texi (File Name Completion): Document the significance of
	a trailing slash in elements of completion-ignored-extensions.

2001-10-06  Miles Bader  <miles@gnu.org>

	* variables.texi (Variable Aliases): It's `@defmac', not `@defmacro'.

2001-10-04  Gerd Moellmann  <gerd@gnu.org>

	* variables.texi (Variable Aliases): New node.

2001-10-04  Gerd Moellmann  <gerd@gnu.org>

	* Branch for 21.1.

2001-10-02  Miles Bader  <miles@gnu.org>

	* minibuf.texi (Minibuffer Misc): Add entries for
	`minibuffer-contents', `minibuffer-contents-no-properties', and
	`delete-minibuffer-contents'.
	Correct description for `minibuffer-prompt-end'.

	* text.texi (Property Search): Correct descriptions of
	`next-char-property-change' and `previous-char-property-change'.
	Add entries for `next-single-char-property-change' and
	`previous-single-char-property-change'.
	Make operand names a bit more consistent.

2001-09-30  Eli Zaretskii  <eliz@is.elta.co.il>

	* frames.texi (Finding All Frames): Document that next-frame and
	previous-frame are local to current terminal.

2001-09-26  Eli Zaretskii  <eliz@is.elta.co.il>

	* keymaps.texi (Creating Keymaps): Fix the description of the
	result of make-keymap.

2001-09-23  Eli Zaretskii  <eliz@is.elta.co.il>

	* display.texi (Font Lookup, Attribute Functions)
	(Image Descriptors): Add cross-references to the definition of
	selected frame.

	* buffers.texi (The Buffer List): Add cross-references to the
	definition of selected frame.

	* frames.texi (Input Focus): Clarify which frame is _the_ selected
	frame at any given time.
	(Multiple Displays, Size and Position): Add a cross-reference to
	the definition of the selected frame.

2001-09-08  Eli Zaretskii  <eliz@is.elta.co.il>

	* strings.texi (String Conversion) <string-to-number>: Document
	that a float is returned for integers that are too large.

	* frames.texi (Mouse Position): Document mouse-position-function.
	(Display Feature Testing): Document display-images-p.
	(Window Frame Parameters): Document the cursor-type variable.

	* numbers.texi (Integer Basics): Document CL style read syntax for
	integers in bases other than 10.

	* positions.texi (List Motion):
	Document open-paren-in-column-0-is-defun-start.

	* lists.texi (Sets And Lists): Document member-ignore-case.

	* internals.texi (Garbage Collection): Document the used and free
	strings report.
	(Memory Usage): Document strings-consed.

	* os.texi (Time of Day): Document float-time.
	(Recording Input): Document that clear-this-command-keys clears
	the vector to be returned by recent-keys.

	* keymaps.texi (Scanning Keymaps) <where-is-internal>: The
	argument keymap can be a list.

	* nonascii.texi (User-Chosen Coding Systems)
	<select-safe-coding-system>: Document the new argument
	accept-default-p and the variable
	select-safe-coding-system-accept-default-p.  Tell what happens if
	buffer-file-coding-system is undecided.
	(Default Coding Systems): Document auto-coding-regexp-alist.

	* display.texi (The Echo Area) <message>: Document
	message-truncate-lines.
	(Glyphs): Document that the glyph table is unused on windowed
	displays.

	* help.texi (Describing Characters) <single-key-description>:
	Document the new argument no-angles.
	(Accessing Documentation) <documentation-property>: Document that
	a non-string property is evaluated.
	<documentation>: Document that the function-documentation property
	is looked for.

	* windows.texi (Selecting Windows): Document some-window.

	* text.texi (MD5 Checksum): New node, documents the md5 primitive.

	* hooks.texi (Standard Hooks): Add kbd-macro-termination-hook and
	apropos-mode-hook.

	* commands.texi (Using Interactive): Document interactive-form.
	(Keyboard Macros): Document kbd-macro-termination-hook.
	(Command Loop Info): Document that clear-this-command-keys clears
	the vector to be returned by recent-keys.

2001-09-04  Werner LEMBERG  <wl@gnu.org>

	* Makefile.in (srcdir, texinputdir): New variables.
	(srcs, index.texi, install): Use $(srcdir).
	(.PHONY): Remove elisp.dvi.
	(elisp): Use -I switch for makeinfo.
	(elisp.dvi): Use $(srcdir) and $(texinputdir).
	(installall, dist): Use $(srcdir).
	Fix path to texinfo.tex.
	(maintainer-clean): Add elisp.dvi and elisp.oaux.

2001-08-30  Gerd Moellmann  <gerd@gnu.org>

	* display.texi (Conditional Display): Adjust to API change.

	* configure: New file.

2001-07-30  Gerd Moellmann  <gerd@gnu.org>

	* commands.texi (Repeat Events): Add description of
	double-click-fuzz.

2001-05-08  Stefan Monnier  <monnier@cs.yale.edu>

	* syntax.texi (Syntax Class Table): Add the missing designator for
	comment and string fences.
	(Syntax Properties): Add a xref to syntax table internals.
	(Syntax Table Internals): Document string-to-syntax.

2001-05-07  Gerd Moellmann  <gerd@gnu.org>

	* Makefile.in (install): Use install-info command line options
	like in Emacs' Makefile.in.

2000-12-09  Miles Bader  <miles@gnu.org>

	* windows.texi (Window Start): Update documentation for
	`pos-visible-in-window-p'.

2000-11-12  Stefan Monnier  <monnier@cs.yale.edu>

	* lists.texi (Building Lists): Add footnote to explain how to add
	to the end of a list.

2000-10-25  Gerd Moellmann  <gerd@gnu.org>

	* files.texi (Visiting Functions): Typos.

2000-10-25  Kenichi Handa  <handa@etl.go.jp>

	* files.texi (Visiting Functions): Return value of
	find-file-noselect may be a list of buffers if wildcards are used.

2000-10-24  Miles Bader  <miles@lsi.nec.co.jp>

	* display.texi (Defining Faces): Document `graphic' display type
	in face specs.

2000-10-18  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* hooks.texi (Standard Hooks): Replace obsolete
	`after-make-frame-hook' with `after-make-frame-functions'.

	* frames.texi (Creating Frames): Ditto.

	* variables.texi (Future Local Variables): Ditto.

2000-10-16  Gerd Moellmann  <gerd@gnu.org>

	* display.texi (Other Image Types): Add description of :foreground
	and :background properties of mono PBM images.

2000-08-17  Werner LEMBERG  <wl@gnu.org>

	* .cvsignore: New file.

2000-01-05  Gerd Moellmann  <gerd@gnu.org>

	* tindex.pl: New script.

1999-12-03  Dave Love  <fx@gnu.org>

	* Makefile.in (MAKEINFO): New parameter.

1999-09-17  Richard Stallman  <rms@gnu.org>

	* Makefile.in (srcs): Add hash.texi.
	(VERSION): Update to 20.6.

1999-09-13  Richard Stallman  <rms@gnu.org>

	* Makefile.in (index.texi): If cannot make a symlink, make a hard link.

1998-08-29  Karl Heuer  <kwzh@gnu.org>

	* configure.in: New file.
	* Makefile.in: Renamed from Makefile.
	(prefix, infodir): Use value obtained from configure.
	(emacslibdir): Obsolete variable deleted.
	(dist): Distribute configure.in, configure, Makefile.in.

1998-06-12  Richard Stallman  <rms@psilocin.ai.mit.edu>

	* Makefile (INSTALL_INFO): New variable.
	(install): Run install-info.

1998-05-09  Richard Stallman  <rms@psilocin.ai.mit.edu>

	* Makefile (elisp.dvi): Add missing backslash.

1998-05-02  Richard Stallman  <rms@psilocin.gnu.org>

	* Makefile (elisp.dvi): Don't depend on texindex or on elisp.tps.
	Run texindex without `./'.  Always run texindex on elisp.tp.
	(elisp.tps): Target deleted.

1998-04-05  Richard Stallman  <rms@psilocin.gnu.org>

	* Makefile (srcs): Add nonascii.texi and customize.texi.
	(dist): Start by deleting `temp'.

1998-02-17  Richard Stallman  <rms@psilocin.gnu.org>

	* Makefile (makeinfo, texindex): Targets deleted.
	(makeinfo.o, texindex.o): Targets deleted.
	(clean, dist): Don't do anything with them or with getopt*.

1998-01-30  Richard Stallman  <rms@psilocin.gnu.org>

	* Makefile (SHELL): Defined.

1998-01-27  Richard Stallman  <rms@psilocin.gnu.org>

	* Makefile (elisp.tps): New target.
	(elisp.dvi): Depend on elisp.tps.

1996-04-03  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* README: Update phone number.

	* Makefile (elisp): Make this be the default target.
	Depend on makeinfo.c instead of makeinfo.
	(install): Don't depend on elisp.dvi, since we don't install that.
	Use mkinstalldirs.
	(dist): Add mkinstalldirs.

1995-06-19  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile (VERSION): Update version number.
	(maintainer-clean): Rename from realclean.

1995-06-07  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* Makefile (realclean): New target.
	(elisp): Remove any old elisp-* files first.

1993-11-23  Noah Friedman  (friedman@nutrimat.gnu.ai.mit.edu)

	* Makefile (VERSION): New variable.
	(dist): Make packaged directory name `elisp-manual-19-$(VERSION)'.
	Compressed file suffix should be `.gz', not `.z'.

1993-11-22  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile (elisp): Depend on makeinfo.

1993-11-19  Noah Friedman  (friedman@gnu.ai.mit.edu)

	* Makefile (srcs): Add anti.texi.

1993-05-28  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile (infodir, prefix): New vars.
	(install): Use infodir.
	(emacsinfodir): Deleted.

1993-05-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile (srcs): Add calendar.texi.

	* Makefile (dist): Copy texindex.c and makeinfo.c.
	Limit elisp-* files to those with one or two digits.

1993-05-16  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Makefile (dist): Changed to use Gzip instead of compress.

1993-04-23  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* loading.texi (Unloading): define-function changed back to
	defalias.  It may not stay this way, but at least it's
	consistent with the known-good version of the code patch.

1993-03-26  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* modes.texi (Hooks): Document new optional arg of add-hook.

1993-03-17  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* variables.texi: Document nil initial value of buffer-local variables.

	* tips.texi: Add new section on standard library headers.

1993-02-27  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Makefile (srcs): Add frame.texi to the list of sources.

1993-02-23  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Makefile (dist): Don't bother excluding autosave files; they'll
	never make it into the temp directory anyway, and the hash marks
	in the name are problematic for make and the Bourne shell.
	(srcs):

1993-02-12  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Makefile (dist): Don't include backup files or autosave files in
	the distribution tar file.

1991-11-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile (srcs): Add index.perm.
	(elisp.dvi): Remove erroneous shell comment.
	Expect output of permute-index in permuted.fns.
	Save old elisp.aux in elisp.oaux.
	(clean): Add index.texi to be deleted.

1990-08-11  Richard Stallman  (rms@sugar-bombs.ai.mit.edu)

	* Makefile (elisp.dvi, index.texi): Use shell if instead of ifdef.

1990-06-26  David Lawrence  (tale@geech)

	* files.texi: Noted that completion-ignored-extensions is ignored
	when making *Completions*.

1990-06-08  Jay Fenlason  (hack@ai.mit.edu)

	* Makefile  make dist now depends on elisp.dvi, since it tries
	to include it in the dist file.

1990-03-28  Jim Kingdon  (kingdon@mole.ai.mit.edu)

	* functions.texinfo (Mapping Functions): Add missing quote.

1989-06-19  Richard Stallman  (rms@sugar-bombs.ai.mit.edu)

	* texinfo.tex (frenchspacing): Use decimal codes for char to be set.
	(defunargs): Turn off \hyphenchar of \sl font temporarily.

1989-05-10  Robert J. Chassell  (bob@rice-chex.ai.mit.edu)

	* @result{}, @expansion{}, @print{}, @quiv{}, @point{},
	and @error{} are the terms now being used.  The files in the
	directory have been changed to reflect this.

	* All instances of @indentedresultt{} have been changed to
	`     @result{}', using 5 spaces at the begining of the line.

1989-04-24  Robert J. Chassell  (bob@rice-chex.ai.mit.edu)

	* @result{}, @expandsto{}, @prints{}, @quiv{}, @error{}, and the
	experimental @indentedresult{}, @indentedexpandsto{} are part of
	the texinfo.tex in this directory.  These TeX macros are not
	stable yet.

1989-04-17  Robert J. Chassell  (bob@rice-chex.ai.mit.edu)

	* texinfo.tex: Temporarily added
		\let\result=\dblarrow
		\def\error{{\it ERROR} \longdblarrow}
	We need to do this better soon.

1989-04-11  Robert J. Chassell  (bob@rice-chex.ai.mit.edu)

	* Applied Karl Berry's patches to *.texinfo files, but not to
	texinfo.tex; those diffs are in `berry-texinfo-tex-diffs'.  (Karl's
	new title page format is also not applied, since it requires
	texinfo.tex changes.)

	* Cleaned up `Makefile' and defined the `emacslibdir' directory
	for the Project GNU development environment.

;; Local Variables:
;; coding: utf-8
;; add-log-time-zone-rule: t
;; End:

    Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006,
      2007, 2008, 2009, 2010, 2011  Free Software Foundation, Inc.

